"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AvatarWithPopover = AvatarWithPopover;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _react2 = _interopRequireDefault(require("@tippyjs/react"));
var _uuid = require("uuid");
var _ = _interopRequireDefault(require("."));
var _excluded = ["email", "name", "children", "overlayPosition", "pending"]; // @ts-expect-error TS(7016): Could not find a declaration file for module 'uuid... Remove this comment to see the full error message
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
/**
 * @usage
 *
 * <AvatarWithPopover
 *  name="Poppy Cox"
 *  email="poppycox@gmail.com"
 *  >
 *   ... popover content
 * </AvatarWithPopover>
 */

function AvatarWithPopover(_ref) {
  var email = _ref.email,
    name = _ref.name,
    children = _ref.children,
    overlayPosition = _ref.overlayPosition,
    pending = _ref.pending,
    rest = _objectWithoutProperties(_ref, _excluded);
  var id = (0, _uuid.v4)();
  return /*#__PURE__*/_react["default"].createElement(_react2["default"], {
    content: children,
    animation: "shift-toward",
    arrow: false,
    placement: overlayPosition,
    trigger: "mouseenter focus",
    className: "gui-avatar-tooltip__wrapper"
  }, /*#__PURE__*/_react["default"].createElement("span", {
    id: id,
    role: "button"
  }, /*#__PURE__*/_react["default"].createElement(_["default"], _extends({
    email: "".concat(pending ? "Pending • " : "").concat(email),
    name: name
  }, rest, {
    className: "gui-avatar--with-toggle"
  }))));
}
AvatarWithPopover.defaultProps = {
  overlayPosition: "top"
};
var _default = exports["default"] = AvatarWithPopover;
//# sourceMappingURL=AvatarWithPopover.js.map