"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Avatar = Avatar;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _index = require("../index");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function Avatar(_ref) {
  var className = _ref.className,
    children = _ref.children,
    wrapperClassName = _ref.wrapperClassName,
    colour = _ref.colour,
    name = _ref.name,
    url = _ref.url,
    initials = _ref.initials,
    isOffline = _ref.isOffline,
    isHighlighted = _ref.isHighlighted,
    smallSize = _ref.smallSize,
    largeSize = _ref.largeSize,
    extraLargeSize = _ref.extraLargeSize,
    additional = _ref.additional,
    bordered = _ref.bordered,
    animate = _ref.animate,
    locked = _ref.locked,
    onRemove = _ref.onRemove;
  var _useState = (0, _react.useState)(false),
    _useState2 = _slicedToArray(_useState, 2),
    showAdditional = _useState2[0],
    setShowAdditional = _useState2[1];
  var styles = colour ? {
    color: colour
  } : {};
  var additionalClasses = (0, _classnames["default"])(className, {
    "gui-avatar--highlighted": isHighlighted,
    "gui-avatar--offline": isOffline,
    "gui-avatar--size-sm": smallSize,
    "gui-avatar--size-lrg": largeSize,
    "gui-avatar--size-xlrg": extraLargeSize,
    "gui-avatar--bordered": bordered,
    "gui-avatar--animated": animate,
    "gui-avatar--has-colour": colour,
    "gui-avatar--is-locked": locked
  });
  var wrapperClasses = (0, _classnames["default"])("gui-avatar__wrapper ".concat(wrapperClassName), {
    "gui-avatar__wrapper--offline": isOffline,
    "gui-avatar__wrapper--size-sm": smallSize,
    "gui-avatar__wrapper--size-xlrg": extraLargeSize,
    "gui-avatar__wrapper--additional": additional,
    "gui-is-visible": showAdditional && additional
  });
  if (children || additional) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: wrapperClasses,
      onMouseEnter: function onMouseEnter() {
        return setShowAdditional(true);
      },
      onMouseLeave: function onMouseLeave() {
        return setShowAdditional(false);
      }
    }, /*#__PURE__*/_react["default"].createElement("div", {
      style: styles,
      className: "gui-avatar ".concat(additionalClasses),
      role: "figure"
    }, !url && /*#__PURE__*/_react["default"].createElement("span", {
      className: "gui-avatar__initials"
    }, initials), url && /*#__PURE__*/_react["default"].createElement("img", {
      className: "gui-avatar__image",
      src: url,
      alt: name
    }), locked && /*#__PURE__*/_react["default"].createElement("div", {
      className: "gui-avatar__locked"
    }, /*#__PURE__*/_react["default"].createElement(_index.Icon, {
      name: "locked",
      types: ["white"],
      defaultActiveColor: false
    })), onRemove && !locked && /*#__PURE__*/_react["default"].createElement("button", {
      onClick: onRemove,
      className: "gui-avatar__remove",
      type: "button"
    }, /*#__PURE__*/_react["default"].createElement(_index.Icon, {
      name: "cross",
      types: ["white"],
      defaultActiveColor: false
    }))), children && children, additional && /*#__PURE__*/_react["default"].createElement("div", {
      className: "gui-avatar__additional"
    }, additional));
  }
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: styles,
    className: "gui-avatar ".concat(additionalClasses),
    role: "figure"
  }, !url && /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-avatar__initials"
  }, initials), url && /*#__PURE__*/_react["default"].createElement("img", {
    className: "gui-avatar__image",
    src: url,
    alt: name
  }), locked && /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-avatar__locked"
  }, /*#__PURE__*/_react["default"].createElement(_index.Icon, {
    name: "locked",
    types: ["white"],
    defaultActiveColor: false
  })), onRemove && !locked && /*#__PURE__*/_react["default"].createElement("button", {
    onClick: onRemove,
    className: "gui-avatar__remove",
    type: "button"
  }, /*#__PURE__*/_react["default"].createElement(_index.Icon, {
    name: "cross",
    types: ["white"],
    defaultActiveColor: false,
    title: "Remove"
  })));
}
Avatar.defaultProps = {
  className: "",
  wrapperClassName: "",
  colour: "",
  name: "",
  url: "",
  initials: "",
  isOffline: false,
  isHighlighted: false,
  smallSize: false,
  largeSize: false,
  extraLargeSize: false,
  children: "",
  additional: "",
  bordered: false,
  animate: false,
  locked: false
};
var _default = exports["default"] = Avatar;
//# sourceMappingURL=index.js.map