"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Avatar = Avatar;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _faker = _interopRequireDefault(require("faker"));
var _index = require("../../index");
var _StoryItem = _interopRequireDefault(require("../../../stories/styleguide/StoryItem"));
var _AvatarGroupMock = require("./AvatarGroupMock");
var _excluded = ["colour"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); } // @ts-expect-error TS(7016): Could not find a declaration file for module 'fake... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "Legacy/Avatar",
  component: _index.Avatar,
  args: {
    name: _faker["default"].name.findName(),
    email: _faker["default"].internet.email(),
    colour: _faker["default"].commerce.color(),
    isHighlighted: false,
    showImage: false,
    smallSize: false,
    bordered: false,
    locked: false,
    stacked: true,
    animate: true,
    onRemove: function onRemove() {}
  },
  argTypes: {
    colour: {
      name: "Colour",
      control: {
        type: "color"
      }
    }
  }
};
function Avatar(args) {
  var avatarUrl = args.url;
  var props = _objectSpread(_objectSpread({}, args), {}, {
    initials: args.name.substring(0, 2),
    url: args.showImage ? avatarUrl : null
  });

  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  var colour = props.colour,
    propsWithoutColour = _objectWithoutProperties(props, _excluded);
  return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "AvatarComponent",
    description: "A component for rendering a miniature profile of a user."
  }, /*#__PURE__*/_react["default"].createElement(_index.Avatar, props)), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "AvatarComponent (with popover)",
    description: "An avatar can show a tooltip on hover."
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-h-display-flex"
  }, /*#__PURE__*/_react["default"].createElement(_index.AvatarWithPopover, props, /*#__PURE__*/_react["default"].createElement(_index.ParticipantInfo, {
    name: props.name,
    email: props.email
  })))), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "AvatarComponent (with inline information)",
    description: "An avatar can display the users name & email inline. It also supports additional nodes."
  }, /*#__PURE__*/_react["default"].createElement(_index.Avatar, _extends({}, props, {
    additional: /*#__PURE__*/_react["default"].createElement(_index.Button, {
      types: ["link-danger", "size-sm"],
      clickHandler: function clickHandler() {}
    }, "Link type")
  }), /*#__PURE__*/_react["default"].createElement(_index.AvatarInformation, {
    name: props.name,
    email: props.email
  }))), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "AvatarComponent (with inline information) who is pending",
    description: "An avatar can display the users name & email inline and displays if they are pending"
  }, /*#__PURE__*/_react["default"].createElement(_index.Avatar, _extends({}, props, {
    additional: /*#__PURE__*/_react["default"].createElement(_index.Button, {
      types: ["link-danger", "size-sm"],
      clickHandler: function clickHandler() {}
    }, "Link type")
  }), /*#__PURE__*/_react["default"].createElement(_index.AvatarInformation, {
    name: props.name,
    email: props.email,
    pending: true
  }))), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "AvatarComponent (with popover) who is pending",
    description: "An avatar can show a tooltip on hover that also shows pending status."
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-h-display-flex"
  }, /*#__PURE__*/_react["default"].createElement(_index.AvatarWithPopover, _extends({}, props, {
    pending: true
  }), /*#__PURE__*/_react["default"].createElement(_index.ParticipantInfo, {
    name: props.name,
    email: props.email,
    pending: true
  })))), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "AvatarComponent Groups",
    description: "An avatar group has a toggle to show extra users."
  }, /*#__PURE__*/_react["default"].createElement(_AvatarGroupMock.AvatarGroupMock, {
    defaultCount: 6,
    minCount: 6,
    avatarProps: propsWithoutColour,
    avatarGroupProps: {
      stacked: args.stacked
    }
  }, function (_ref) {
    var ui = _ref.ui;
    return ui;
  })));
}
//# sourceMappingURL=Avatar.stories.js.map