"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AvatarGroupMock = AvatarGroupMock;
var _react = _interopRequireDefault(require("react"));
var _faker = _interopRequireDefault(require("faker"));
var _v = _interopRequireDefault(require("uuid/v1"));
var _AvatarGroup = _interopRequireDefault(require("../AvatarGroup"));
var _index = require("../../index");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; } // @ts-expect-error TS(7016): Could not find a declaration file for module 'fake... Remove this comment to see the full error message
// @ts-expect-error TS(7016): Could not find a declaration file for module 'uuid... Remove this comment to see the full error message
function AvatarGroupMock(_ref) {
  var children = _ref.children,
    defaultMaxCount = _ref.defaultMaxCount,
    minCount = _ref.minCount,
    avatarProps = _ref.avatarProps,
    avatarGroupProps = _ref.avatarGroupProps,
    overlayProps = _ref.overlayProps;
  var count = minCount;
  var avatarCount = minCount > count || minCount > defaultMaxCount ? minCount : count;
  var ui = /*#__PURE__*/_react["default"].createElement(_AvatarGroup["default"], avatarGroupProps, _toConsumableArray(Array(avatarCount).keys()).map(function () {
    var name = _faker["default"].name.findName();
    var initials = name.substring(0, 2);
    var email = _faker["default"].internet.email();
    var avatar = _faker["default"].image.avatar();
    var color = _faker["default"].commerce.color();
    return /*#__PURE__*/_react["default"].createElement(_index.AvatarWithPopover, _extends({
      name: name,
      initials: initials,
      email: email,
      url: avatar,
      colour: color,
      className: color ? "gui-avatar--has-colour" : ""
    }, avatarProps, overlayProps, {
      key: (0, _v["default"])()
    }), /*#__PURE__*/_react["default"].createElement(_index.ParticipantInfo, {
      name: name,
      email: email
    }));
  }));
  return children({
    ui: ui,
    count: count
  });
}
AvatarGroupMock.defaultProps = {
  defaultMaxCount: 3,
  minCount: 0,
  avatarGroupProps: {
    maximum: 3,
    stacked: true
  },
  avatarProps: {},
  overlayProps: {}
};
//# sourceMappingURL=AvatarGroupMock.js.map