"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _index = _interopRequireDefault(require("../index"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
// @ts-expect-error
var keyboardSVG = function keyboardSVG(props) {
  return /*#__PURE__*/_react["default"].createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: "23",
    height: "16",
    viewBox: "0 0 23 16"
  }, props), /*#__PURE__*/_react["default"].createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/_react["default"].createElement("path", {
    fill: "#9BA9BB",
    d: "M4 4h3v2H4zM8 4h3v2H8zM12 4h3v2h-3zM10 7h3v2h-3zM4 10h2v2H4zM16 4h3v2h-3zM14 7h5v2h-5zM7 10h9v2H7zM17 10h2v2h-2zM4 7h5v2H4z"
  }), /*#__PURE__*/_react["default"].createElement("rect", {
    width: "21",
    height: "14",
    x: "1",
    y: "1",
    stroke: "#9BA9BB",
    strokeWidth: "2",
    rx: "2"
  })));
};
(0, _vitest.describe)("Blank Slate", function () {
  (0, _vitest.it)("Renders the BlankSlate SVG", function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_index["default"], null, /*#__PURE__*/_react["default"].createElement("div", {
      className: "gui-child"
    }, "I am a small child")));
    var blankSlate = _react2.screen.getByTestId("blank-slate");
    (0, _vitest.expect)(blankSlate.querySelector("svg")).toBeTruthy();
  });
  (0, _vitest.it)("Adds a fixed modifier", function () {
    var _render = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_index["default"], null)),
      rerender = _render.rerender;
    var blankSlate = _react2.screen.getByTestId("blank-slate");
    (0, _vitest.expect)(blankSlate.classList.contains("gui-blank-slate--fixed")).toBe(false);
    rerender( /*#__PURE__*/_react["default"].createElement(_index["default"], {
      fixed: true
    }));
    blankSlate = _react2.screen.getByTestId("blank-slate");
    (0, _vitest.expect)(blankSlate.classList.contains("gui-blank-slate--fixed")).toBeTruthy();
  });
  (0, _vitest.it)("Adds a style modifer", function () {
    var _render2 = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_index["default"], null)),
      rerender = _render2.rerender;
    var blankSlate = _react2.screen.getByTestId("blank-slate");
    (0, _vitest.expect)(blankSlate.classList.contains("gui-blank-slate--arrow")).toBe(false);
    rerender( /*#__PURE__*/_react["default"].createElement(_index["default"], {
      slateStyle: "arrow"
    }));
    blankSlate = _react2.screen.getByTestId("blank-slate");
    (0, _vitest.expect)(blankSlate.classList.contains("gui-blank-slate--arrow")).toBe(true);
  });
  (0, _vitest.it)("Renders its children", function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_index["default"], null, /*#__PURE__*/_react["default"].createElement("div", {
      "data-testid": "child"
    }, "I am a small child")));
    (0, _vitest.expect)(_react2.screen.getByTestId("child")).toBeTruthy();
  });
  (0, _vitest.it)("Renders a customSVG", function () {
    var _render3 = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_index["default"], null)),
      rerender = _render3.rerender;
    var blankSlate = _react2.screen.getByTestId("blank-slate");
    (0, _vitest.expect)(blankSlate.querySelector(".gui-blank-slate__svg--custom")).toBe(null);
    rerender( /*#__PURE__*/_react["default"].createElement(_index["default"], {
      customSVG: keyboardSVG
    }));
    blankSlate = _react2.screen.getByTestId("blank-slate");
    (0, _vitest.expect)(blankSlate.querySelector(".gui-blank-slate__svg--custom")).toBeTruthy();
  });
});
//# sourceMappingURL=BlankSlate.spec.js.map