"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)('BoundaryClickWatcher', function () {
  var insideSpy = _vitest.vi.fn();
  var outsideSpy = _vitest.vi.fn();
  var mouseEnterSpy = _vitest.vi.fn();
  var mouseLeaveSpy = _vitest.vi.fn();
  (0, _vitest.it)('can tell you when the element has been clicked and clicked away from', function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_["default"], {
      insideClickHandler: insideSpy,
      outsideClickHandler: outsideSpy
    }, /*#__PURE__*/_react["default"].createElement("div", null, "Hello! im inside!")), /*#__PURE__*/_react["default"].createElement("div", null, "Goodbye! im outside!")));
    (0, _vitest.expect)(insideSpy).not.toHaveBeenCalled();
    (0, _vitest.expect)(outsideSpy).not.toHaveBeenCalled();
    _react2.fireEvent.click(_react2.screen.getByText('Hello! im inside!'));
    (0, _vitest.expect)(insideSpy).toHaveBeenCalledTimes(1);
    (0, _vitest.expect)(outsideSpy).not.toHaveBeenCalled();
    _react2.fireEvent.click(_react2.screen.getByText('Goodbye! im outside!'));
    (0, _vitest.expect)(insideSpy).toHaveBeenCalledTimes(1);
    (0, _vitest.expect)(outsideSpy).toHaveBeenCalledTimes(1);
  });
  (0, _vitest.it)('can tell you when the element has been hovered and unhovered', function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_["default"], {
      onMouseEnter: mouseEnterSpy,
      onMouseLeave: mouseLeaveSpy
    }, /*#__PURE__*/_react["default"].createElement("div", null, "Hello! im inside!")), /*#__PURE__*/_react["default"].createElement("div", null, "Goodbye! im outside!")));
    (0, _vitest.expect)(mouseEnterSpy).not.toHaveBeenCalled();
    (0, _vitest.expect)(mouseLeaveSpy).not.toHaveBeenCalled();
    _react2.fireEvent.mouseEnter(_react2.screen.getByText('Hello! im inside!'));
    (0, _vitest.expect)(mouseEnterSpy).toHaveBeenCalledTimes(1);
    (0, _vitest.expect)(mouseLeaveSpy).not.toHaveBeenCalled();
    _react2.fireEvent.mouseLeave(_react2.screen.getByText('Hello! im inside!'));
    (0, _vitest.expect)(mouseEnterSpy).toHaveBeenCalledTimes(1);
    (0, _vitest.expect)(mouseLeaveSpy).toHaveBeenCalledTimes(1);
  });
});
//# sourceMappingURL=BoundaryClickWatcher.spec.js.map