"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BoundaryClickWatcher = BoundaryClickWatcher;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; } /* eslint-disable no-param-reassign */
var getElementPath = function getElementPath(targetElement) {
  var path = [targetElement];

  // @ts-expect-error TS(7023): 'addParentToPath' implicitly has return type 'any'... Remove this comment to see the full error message
  var addParentToPath = function addParentToPath(element) {
    var parentElement = element.parentElement;
    if (parentElement) {
      path = [].concat(_toConsumableArray(path), [parentElement]);
      return addParentToPath(parentElement);
    }
    return path;
  };
  return addParentToPath(targetElement);
};
var removeDocumentEventListener = function removeDocumentEventListener(handleClickRef, handleMouseDownRef) {
  document.removeEventListener("click", handleClickRef.current);
  document.removeEventListener("mousedown", handleMouseDownRef.current);
  handleClickRef.current = null;
  handleMouseDownRef.current = null;
};
var addDocumentEventListener = function addDocumentEventListener(handleClick, handleMouseDown, handleClickRef, handleMouseDownRef) {
  var hasExistingEvenListener = handleClickRef.current;
  if (hasExistingEvenListener) {
    removeDocumentEventListener(handleClickRef, handleMouseDownRef);
  }
  handleClickRef.current = handleClick;
  handleMouseDownRef.current = handleMouseDown;
  document.addEventListener("click", handleClickRef.current);
  document.addEventListener("mousedown", handleMouseDownRef.current);
};
var BoundaryClickWatcherContext = /*#__PURE__*/(0, _react.createContext)({});
function BoundaryClickWatcher(_ref) {
  var _ref$insideClickHandl = _ref.insideClickHandler,
    insideClickHandler = _ref$insideClickHandl === void 0 ? function () {} : _ref$insideClickHandl,
    _ref$outsideClickHand = _ref.outsideClickHandler,
    outsideClickHandler = _ref$outsideClickHand === void 0 ? function () {} : _ref$outsideClickHand,
    _ref$onMouseEnter = _ref.onMouseEnter,
    onMouseEnter = _ref$onMouseEnter === void 0 ? function () {} : _ref$onMouseEnter,
    _ref$onMouseLeave = _ref.onMouseLeave,
    onMouseLeave = _ref$onMouseLeave === void 0 ? function () {} : _ref$onMouseLeave,
    _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    _ref$alwaysListen = _ref.alwaysListen,
    alwaysListen = _ref$alwaysListen === void 0 ? false : _ref$alwaysListen,
    _ref$isActive = _ref.isActive,
    isActive = _ref$isActive === void 0 ? false : _ref$isActive,
    _ref$isFocussed = _ref.isFocussed,
    isFocussed = _ref$isFocussed === void 0 ? false : _ref$isFocussed,
    _ref$BoundaryElement = _ref.BoundaryElement,
    BoundaryElement = _ref$BoundaryElement === void 0 ? "div" : _ref$BoundaryElement,
    _ref$tabIndex = _ref.tabIndex,
    tabIndex = _ref$tabIndex === void 0 ? 0 : _ref$tabIndex,
    _ref$outsideClickEven = _ref.outsideClickEventValidator,
    outsideClickEventValidator = _ref$outsideClickEven === void 0 ? function () {
      return true;
    } : _ref$outsideClickEven,
    children = _ref.children;
  var _useState = (0, _react.useState)(isActive),
    _useState2 = _slicedToArray(_useState, 2),
    boundaryIsActive = _useState2[0],
    setBoundaryIsActive = _useState2[1];
  var _useState3 = (0, _react.useState)(isFocussed),
    _useState4 = _slicedToArray(_useState3, 2),
    boundaryIsFocussed = _useState4[0],
    setBoundaryIsFocussed = _useState4[1];
  var clickedElementPath = (0, _react.useRef)([]);
  var containerRef = (0, _react.useRef)();
  var handleClickRef = (0, _react.useRef)();
  var handleMouseDownRef = (0, _react.useRef)();
  var handleBlur = function handleBlur(e) {
    setBoundaryIsFocussed(e.target === containerRef.current && false);
  };
  var handleFocus = function handleFocus(e) {
    setBoundaryIsFocussed(e.target === containerRef.current);
  };
  var handleInnerClick = function handleInnerClick() {
    setBoundaryIsActive(true);
    insideClickHandler();
  };
  var handleOuterClick = function handleOuterClick(event) {
    setBoundaryIsActive(false);
    outsideClickHandler(event);
  };
  var handleMouseDown = function handleMouseDown(_ref2) {
    var target = _ref2.target;
    clickedElementPath.current = getElementPath(target);
  };
  var handleClick = function handleClick(event) {
    var target = event.target;
    var targetIsContainer = target === containerRef.current;
    var elementPathContainsContainer =
    // @ts-expect-error TS(2345): Argument of type 'undefined' is not assignable to ... Remove this comment to see the full error message
    clickedElementPath.current.indexOf(containerRef.current) !== -1;
    var containerContainsFocus = containerRef.current &&
    // @ts-expect-error TS(2339): Property 'contains' does not exist on type 'never'... Remove this comment to see the full error message
    containerRef.current.contains(document.activeElement);
    var hasPassedValidation = outsideClickEventValidator(event);
    var userHasClickedOutside = !targetIsContainer && !elementPathContainsContainer && !containerContainsFocus && hasPassedValidation;
    if (userHasClickedOutside) {
      handleOuterClick(event);
    }
  };
  (0, _react.useEffect)(function () {
    setBoundaryIsActive(isActive);
  }, [isActive]);
  (0, _react.useEffect)(function () {
    if (boundaryIsActive || alwaysListen) {
      addDocumentEventListener(handleClick, handleMouseDown, handleClickRef, handleMouseDownRef);
    }
    if (!boundaryIsActive && !alwaysListen) {
      removeDocumentEventListener(handleClickRef, handleMouseDownRef);
    }
    return function () {
      removeDocumentEventListener(handleClickRef, handleMouseDownRef);
    };
  }, [boundaryIsActive, outsideClickEventValidator]);
  var sharedContext = {
    boundaryIsActive: boundaryIsActive,
    boundaryIsFocussed: boundaryIsFocussed,
    clickedElementPath: clickedElementPath,
    containerRef: containerRef
  };
  return /*#__PURE__*/_react["default"].createElement(BoundaryClickWatcherContext.Provider, {
    value: sharedContext
  }, /*#__PURE__*/_react["default"].createElement(BoundaryElement, {
    tabIndex: tabIndex,
    role: "button",
    ref: function ref(el) {
      containerRef.current = el;
    },
    onClick: handleInnerClick,
    onKeyPress: handleInnerClick,
    className: "gui-boundary-click-watcher ".concat(className),
    onMouseEnter: onMouseEnter,
    onMouseLeave: onMouseLeave,
    onBlur: handleBlur,
    onFocus: handleFocus
  }, typeof children === "function" ? children(boundaryIsActive, boundaryIsFocussed) : children));
}
var _default = exports["default"] = BoundaryClickWatcher;
//# sourceMappingURL=index.js.map