"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _index = _interopRequireDefault(require("../index"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("Button", function () {
  (0, _vitest.it)("Can have different classnames depending on the type", function () {
    var _render = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_index["default"], null, "Bot\xE3o")),
      rerender = _render.rerender;
    (0, _vitest.expect)(_react2.screen.getByRole("button").classList.contains("gui-button--primary")).toBeTruthy();
    rerender( /*#__PURE__*/_react["default"].createElement(_index["default"], {
      types: ["collapsed"]
    }, "Bot\xE3o"));
    (0, _vitest.expect)(_react2.screen.getByRole("button").classList.contains("gui-button--collapsed")).toBeTruthy();
  });
  (0, _vitest.it)("Can be a regular button or a submit button", function () {
    var _render2 = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_index["default"], null, "Bot\xE3o")),
      rerender = _render2.rerender;
    (0, _vitest.expect)(_react2.screen.getByRole("button").getAttribute("type")).toEqual("button");
    rerender( /*#__PURE__*/_react["default"].createElement(_index["default"], {
      isSubmit: true
    }, "Bot\xE3o"));
    (0, _vitest.expect)(_react2.screen.getByRole("button").getAttribute("type")).toEqual("submit");
  });
  (0, _vitest.it)("Should have the disabled attribute when clicked if props.disableOnClick is true", function () {
    var _render3 = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_index["default"], null, "Bot\xE3o")),
      rerender = _render3.rerender;
    _react2.fireEvent.click(_react2.screen.getByRole("button"));
    (0, _vitest.expect)(_react2.screen.getByRole("button").hasAttribute("disabled")).toBeFalsy();
    rerender( /*#__PURE__*/_react["default"].createElement(_index["default"], {
      disableOnClick: true
    }, "Bot\xE3o"));
    _react2.fireEvent.click(_react2.screen.getByRole("button"));
    (0, _vitest.expect)(_react2.screen.getByRole("button").hasAttribute("disabled")).toBeTruthy();
  });
});
//# sourceMappingURL=Button.spec.js.map