"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _index = _interopRequireDefault(require("../index"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var classList = ["gui-disabled", "gui-margin-large", "gui-size-small"];
(0, _vitest.describe)("CheckToggle", function () {
  (0, _vitest.it)("Should have modifier classnames depending on props", function () {
    var _screen$getByRole, _screen$getByRole$par;
    var _render = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_index["default"], {
        id: "check-toggle"
      })),
      rerender = _render.rerender;
    var checkToggleWrapper = (_screen$getByRole = _react2.screen.getByRole("checkbox")) === null || _screen$getByRole === void 0 ? void 0 : (_screen$getByRole$par = _screen$getByRole.parentElement) === null || _screen$getByRole$par === void 0 ? void 0 : _screen$getByRole$par.parentElement;
    classList.map(function (modifierClass) {
      (0, _vitest.expect)(checkToggleWrapper === null || checkToggleWrapper === void 0 ? void 0 : checkToggleWrapper.classList.contains(modifierClass)).toBe(false);
    });
    rerender( /*#__PURE__*/_react["default"].createElement(_index["default"], {
      id: "check-toggle",
      disabled: true,
      displaySmall: true,
      marginSizeLarge: true
    }));
    classList.map(function (modifierClass) {
      (0, _vitest.expect)(checkToggleWrapper === null || checkToggleWrapper === void 0 ? void 0 : checkToggleWrapper.classList.contains(modifierClass)).toBeTruthy();
    });
  });
  (0, _vitest.it)("Should add a modifier class when props.displayChecked is set", function () {
    var _screen$getByRole$par2, _screen$getByRole$par3;
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_index["default"], {
      id: "check-toggle",
      displayChecked: true
    }));
    _react2.fireEvent.click(_react2.screen.getByRole("checkbox"));
    (0, _vitest.expect)((_screen$getByRole$par2 = _react2.screen.getByRole("checkbox").parentElement) === null || _screen$getByRole$par2 === void 0 ? void 0 : (_screen$getByRole$par3 = _screen$getByRole$par2.parentElement) === null || _screen$getByRole$par3 === void 0 ? void 0 : _screen$getByRole$par3.classList.contains("gui-is-checked")).toBeTruthy();
  });
});
//# sourceMappingURL=CheckToggle.spec.js.map