"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CheckToggle = CheckToggle;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function CheckToggle(_ref) {
  var id = _ref.id,
    labelLeft = _ref.labelLeft,
    labelRight = _ref.labelRight,
    clickHandler = _ref.clickHandler,
    _ref$checked = _ref.checked,
    checked = _ref$checked === void 0 ? false : _ref$checked,
    _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    displaySmall = _ref.displaySmall,
    displayChecked = _ref.displayChecked,
    _ref$autoToggle = _ref.autoToggle,
    autoToggle = _ref$autoToggle === void 0 ? true : _ref$autoToggle,
    spaceBetween = _ref.spaceBetween,
    disabled = _ref.disabled,
    labelSizeLarge = _ref.labelSizeLarge,
    marginSizeLarge = _ref.marginSizeLarge,
    _ref$toggleClasses = _ref.toggleClasses,
    toggleClasses = _ref$toggleClasses === void 0 ? "" : _ref$toggleClasses;
  var _useState = (0, _react.useState)(checked),
    _useState2 = _slicedToArray(_useState, 2),
    checkedState = _useState2[0],
    setCheckedState = _useState2[1];
  var onClickHandler = function onClickHandler() {
    if (clickHandler) {
      clickHandler();
    }
    setCheckedState(!checkedState);
  };
  var isChecked = autoToggle ? checkedState : checked;
  var wrapperClasses = (0, _classnames["default"])("gui-toggle-wrapper ".concat(className), {
    "gui-size-small": displaySmall,
    "gui-is-checked": displayChecked && isChecked,
    "gui-h-justify-content-space-between": spaceBetween,
    "gui-margin-large": marginSizeLarge,
    "gui-disabled": disabled
  });
  var switchLabelClasses = (0, _classnames["default"])("gui-toggle-switch__label", {
    "gui-label-size-large": labelSizeLarge
  });
  var wrapperLabelClasses = (0, _classnames["default"])("gui-toggle-wrapper__label", {
    "gui-label-size-large": labelSizeLarge
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: wrapperClasses
  }, labelLeft && /*#__PURE__*/_react["default"].createElement("label", {
    htmlFor: id,
    className: wrapperLabelClasses
  }, labelLeft), /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-toggle-wrapper__inner ".concat(toggleClasses)
  }, /*#__PURE__*/_react["default"].createElement("input", {
    "data-testid": id,
    onChange: onClickHandler,
    checked: isChecked,
    type: "checkbox",
    id: id,
    className: "gui-toggle-switch toggle-switch--inline"
  }), /*#__PURE__*/_react["default"].createElement("label", {
    // eslint-disable-line jsx-a11y/label-has-associated-control
    "data-label-id": true,
    className: switchLabelClasses,
    htmlFor: id
  })), labelRight && /*#__PURE__*/_react["default"].createElement("label", {
    htmlFor: id,
    className: wrapperLabelClasses
  }, labelRight));
}
var _default = exports["default"] = CheckToggle;
//# sourceMappingURL=index.js.map