import { HTMLAttributes } from "react";
import ColFieldHeader from "./ColFieldHeader";
import ColFieldLabel from "./ColFieldLabel";
import ColFieldBody from "./ColFieldBody";
import ColFieldFooter from "./ColFieldFooter";
import ColFieldInstructions from "./ColFieldInstructions";
interface Props extends HTMLAttributes<HTMLDivElement> {
    visible?: boolean;
    status?: "ACTIVE" | "ADDED" | "DELETED" | "MOVED_UP" | "MOVED_DOWN" | "UNCHANGED";
    isSelected?: boolean;
    isHovered?: boolean;
}
export declare function ColField({ children, className, visible, style, status, isSelected, isHovered, ...props }: Props): import("react/jsx-runtime").JSX.Element;
export declare namespace ColField {
    var defaultProps: {
        style: {};
        visible: boolean;
        status: string;
        isSelected: boolean;
        className: string;
    };
    var Header: typeof ColFieldHeader;
    var Label: typeof ColFieldLabel;
    var Body: typeof ColFieldBody;
    var Footer: typeof ColFieldFooter;
    var Instructions: typeof ColFieldInstructions;
    var statuses: {
        active: string;
        added: string;
        deleted: string;
        movedUp: string;
        movedDown: string;
        unchanged: string;
    };
}
export default ColField;
//# sourceMappingURL=ColField.d.ts.map