"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ColField = ColField;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactSpring = require("react-spring");
var _classnames = _interopRequireDefault(require("classnames"));
var _common = require("./common");
var _ColFieldHeader = _interopRequireDefault(require("./ColFieldHeader"));
var _ColFieldLabel = _interopRequireDefault(require("./ColFieldLabel"));
var _ColFieldBody = _interopRequireDefault(require("./ColFieldBody"));
var _ColFieldFooter = _interopRequireDefault(require("./ColFieldFooter"));
var _ColFieldInstructions = _interopRequireDefault(require("./ColFieldInstructions"));
var _excluded = ["children", "className", "visible", "style", "status", "isSelected", "isHovered"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
var statuses = {
  active: "ACTIVE",
  added: "ADDED",
  deleted: "DELETED",
  movedUp: "MOVED_UP",
  movedDown: "MOVED_DOWN",
  unchanged: "UNCHANGED"
};
function ColField(_ref) {
  var children = _ref.children,
    className = _ref.className,
    visible = _ref.visible,
    style = _ref.style,
    status = _ref.status,
    isSelected = _ref.isSelected,
    isHovered = _ref.isHovered,
    props = _objectWithoutProperties(_ref, _excluded);
  var animatedStyle = (0, _reactSpring.useSpring)({
    opacity: visible ? 1 : 0,
    config: {
      duration: 100
    }
  });
  var classes = (0, _classnames["default"])("gui-col-field border-solid rounded relative ".concat(className), {
    "bg-white border shadow": status === statuses.active,
    "border-neutral-90": (status === statuses.active || status === statuses.unchanged) && !isHovered,
    "bg-neutral-98 border hover:bg-white hover:shadow": status === statuses.unchanged,
    "border-2 border-green-primary bg-white": status === statuses.added,
    "border-2 border-red-primary bg-white": status === statuses.deleted,
    "border-2 border-purple-primary bg-white": status === statuses.movedDown || status === statuses.movedUp,
    "gui-col-field-selected": isSelected,
    "border-blue-primary": isHovered
  });
  return /*#__PURE__*/_react["default"].createElement(_reactSpring.animated.div, _extends({
    className: classes,
    style: _objectSpread(_objectSpread({}, animatedStyle), style)
  }, props), children);
}
ColField.defaultProps = _objectSpread(_objectSpread({}, _common.defaultProps), {}, {
  style: {},
  visible: true,
  status: statuses.active,
  isSelected: false
});
ColField.Header = _ColFieldHeader["default"];
ColField.Label = _ColFieldLabel["default"];
ColField.Body = _ColFieldBody["default"];
ColField.Footer = _ColFieldFooter["default"];
ColField.Instructions = _ColFieldInstructions["default"];
ColField.statuses = statuses;
var _default = exports["default"] = ColField;
//# sourceMappingURL=ColField.js.map