"use strict";

var _vitest = require("vitest");
var _react = require("@testing-library/react");
var _ColField = _interopRequireDefault(require("../ColField"));
var _react2 = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); } // @ts-expect-error TS(2307): Cannot find module 'lib/ColField/ColField' or its ... Remove this comment to see the full error message
(0, _vitest.describe)("ColField", function () {
  var labelChange = _vitest.vi.fn();
  var instructionChange = _vitest.vi.fn();
  var defaultProps = {
    editable: true,
    labelChange: labelChange,
    instructionChange: instructionChange,
    label: "Howdy",
    instructions: "Some fun instructions",
    instructionPlaceholder: "Enter field instructions"
  };
  var renderWrapper = function renderWrapper() {
    var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps;
    return (0, _react.render)( /*#__PURE__*/_react2["default"].createElement(_ColField["default"], null, /*#__PURE__*/_react2["default"].createElement(_ColField["default"].Header, null, /*#__PURE__*/_react2["default"].createElement(_ColField["default"].Label, {
      editable: props.editable,
      onChange: props.labelChange,
      label: props.label
    })), /*#__PURE__*/_react2["default"].createElement(_ColField["default"].Body, null, /*#__PURE__*/_react2["default"].createElement("div", {
      className: "py-5 px-6 text-center"
    }, "field body hello!")), /*#__PURE__*/_react2["default"].createElement(_ColField["default"].Footer, null, /*#__PURE__*/_react2["default"].createElement(_ColField["default"].Instructions, {
      editable: props.editable,
      onChange: props.instructionChange,
      placeholder: props.instructionPlaceholder,
      instructions: props.instructions
    }))));
  };
  (0, _vitest.afterEach)(function () {
    (0, _react.cleanup)();
    _vitest.vi.restoreAllMocks();
    _vitest.vi.clearAllMocks();
  });
  (0, _vitest.it)("displays the editable field label", function () {
    var _renderWrapper = renderWrapper(),
      getByText = _renderWrapper.getByText,
      getByLabelText = _renderWrapper.getByLabelText;
    _react.fireEvent.click(getByText(defaultProps.label));
    var labelInput = getByLabelText("edit field label: ".concat(defaultProps.label));
    _react.fireEvent.change(labelInput, {
      target: {
        value: "Meowdy"
      }
    });
    labelInput.blur();
    (0, _vitest.expect)(labelChange).toHaveBeenCalledWith("Meowdy");
  });
  (0, _vitest.it)("displays the editable field instructions", function () {
    var _renderWrapper2 = renderWrapper(),
      getByText = _renderWrapper2.getByText,
      getByPlaceholderText = _renderWrapper2.getByPlaceholderText;
    (0, _vitest.expect)(getByText(defaultProps.instructions));
    var instructionsInput = getByPlaceholderText(defaultProps.instructionPlaceholder);
    _react.fireEvent.change(instructionsInput, {
      target: {
        value: "add some lovely text"
      }
    });
    (0, _vitest.expect)(instructionChange).toHaveBeenCalled();
  });
  (0, _vitest.it)("displays the non-editable field label", function () {
    var _renderWrapper3 = renderWrapper(_objectSpread(_objectSpread({}, defaultProps), {}, {
        editable: false
      })),
      getByText = _renderWrapper3.getByText,
      queryByText = _renderWrapper3.queryByText;
    _react.fireEvent.click(getByText(defaultProps.label));
    var labelInput = queryByText("edit field label: ".concat(defaultProps.label));
    (0, _vitest.expect)(labelInput).toEqual(null);
  });
  (0, _vitest.it)("displays the non-editable field instructions", function () {
    var _renderWrapper4 = renderWrapper(_objectSpread(_objectSpread({}, defaultProps), {}, {
        editable: false
      })),
      getByText = _renderWrapper4.getByText,
      queryByPlaceholderText = _renderWrapper4.queryByPlaceholderText;
    (0, _vitest.expect)(getByText(defaultProps.instructions));
    var instructionsInput = queryByPlaceholderText(defaultProps.instructionPlaceholder);
    (0, _vitest.expect)(instructionsInput).toEqual(null);
  });
  (0, _vitest.it)("displays the field body", function () {
    var _renderWrapper5 = renderWrapper(),
      getByText = _renderWrapper5.getByText;
    (0, _vitest.expect)(getByText("field body hello!"));
  });
});
//# sourceMappingURL=ColField.spec.js.map