"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _index = _interopRequireDefault(require("../index"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("CollectionsTableRow", function () {
  (0, _vitest.it)("Should add modifier classes when props are set", function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_index["default"].Row, {
      selected: true,
      disabled: true
    }, "Hello world"));
    (0, _vitest.expect)(_react2.screen.getByRole("row").classList.contains("gui-collections-table__row--selected")).toBeTruthy();
    (0, _vitest.expect)(_react2.screen.getByRole("row").classList.contains("gui-collections-table__row--disabled")).toBeTruthy();
  });
});
(0, _vitest.describe)("CollectionsTableCellContent", function () {
  (0, _vitest.it)("Should add an overflow modifier class when props.allowOverflow is set", function () {
    var _tableCell$querySelec;
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_index["default"].Cell, {
      allowOverflow: true
    }, "Hello world"));
    var tableCell = _react2.screen.getByRole("cell");
    (0, _vitest.expect)((_tableCell$querySelec = tableCell.querySelector(".gui-collections-table__cell-content")) === null || _tableCell$querySelec === void 0 ? void 0 : _tableCell$querySelec.classList.contains("gui-collections-table__cell-content--allow-overflow")).toBeTruthy();
  });
});
//# sourceMappingURL=CollectionsTable.spec.js.map