"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Comment = Comment;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _CommentBody = require("./CommentBody");
var _CommentMeta = require("./CommentMeta");
var _CommentReplyCount = require("./CommentReplyCount");
var _CommentFailed = require("./CommentFailed");
var _CommentForm = require("./CommentForm");
var _CommentSubscribeToggle = require("./CommentSubscribeToggle");
var _CommentResolveButton = require("./CommentResolveButton");
var _CommentHeader = require("./CommentHeader");
var _CommentActions = require("./CommentActions");
var _CommentText = require("./CommentText");
var _CommentProvider = require("./CommentProvider");
var _CommentDeleteConfirmation = require("./CommentDeleteConfirmation");
var _excluded = ["children", "className"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function Comment(_ref) {
  var children = _ref.children,
    className = _ref.className,
    rest = _objectWithoutProperties(_ref, _excluded);
  var _useContext = (0, _react.useContext)(_CommentProvider.CommentContext),
    isOpen = _useContext.isOpen,
    showBorders = _useContext.showBorders;
  var classNames = (0, _classnames["default"])("gui-comment relative p-3", className, {
    "border-t-0 border-l-0 border-r-0 border-b border-solid border-neutral-90": isOpen || showBorders
  });
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: classNames
  }, rest), children);
}
Comment.defaultProps = {
  className: ""
};
Comment.Provider = _CommentProvider.CommentProvider;
Comment.Context = _CommentProvider.CommentContext;
Comment.Header = _CommentHeader.CommentHeader;
Comment.Body = _CommentBody.CommentBody;
Comment.Text = _CommentText.CommentText;
Comment.Meta = _CommentMeta.CommentMeta;
Comment.Actions = _CommentActions.CommentActions;
Comment.DeleteConfirmation = _CommentDeleteConfirmation.CommentDeleteConfirmation;
Comment.ReplyCount = _CommentReplyCount.CommentReplyCount;
Comment.Failed = _CommentFailed.CommentFailed;
Comment.Form = _CommentForm.CommentForm;
Comment.SubscribeToggle = _CommentSubscribeToggle.CommentSubscribeToggle;
Comment.ResolveButton = _CommentResolveButton.CommentResolveButton;
//# sourceMappingURL=Comment.js.map