"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Button = _interopRequireDefault(require("../Button"));
var _Icon = _interopRequireDefault(require("../Icon"));
var _TooltipWrapper = _interopRequireDefault(require("../TooltipWrapper"));
var _DropdownContent = require("../Dropdown/DropdownContent");
var _DropdownFooter = _interopRequireDefault(require("../Dropdown/DropdownFooter"));
var _DropdownProvider = require("../Dropdown/DropdownProvider");
var _excluded = ["id", "isDanger", "children", "promiseIsPending", "onConfirm", "disabled", "confirmationText", "onHide", "hideOnCompletion", "onCancel", "secondaryAction", "actionTooltip", "onCompletion"],
  _excluded2 = ["confirmationPromise", "onPromiseResolve", "onPromiseReject", "dropdownContent"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ConfirmationDropdownContent(_ref) {
  var id = _ref.id,
    isDanger = _ref.isDanger,
    children = _ref.children,
    promiseIsPending = _ref.promiseIsPending,
    onConfirm = _ref.onConfirm,
    disabled = _ref.disabled,
    confirmationText = _ref.confirmationText,
    onHide = _ref.onHide,
    hideOnCompletion = _ref.hideOnCompletion,
    onCancel = _ref.onCancel,
    secondaryAction = _ref.secondaryAction,
    actionTooltip = _ref.actionTooltip,
    onCompletion = _ref.onCompletion,
    props = _objectWithoutProperties(_ref, _excluded);
  var _useContext = (0, _react.useContext)(_DropdownProvider.DropdownContext),
    setShowContent = _useContext.setShowContent;
  var sharedButtonProps = ["slim", "collapse"];
  var confirmButtonTypes = isDanger ? [].concat(sharedButtonProps, ["link-danger"]) : [].concat(sharedButtonProps, ["link-default"]);
  var confirmationPromise = props.confirmationPromise,
    onPromiseResolve = props.onPromiseResolve,
    onPromiseReject = props.onPromiseReject,
    dropdownContent = props.dropdownContent,
    rest = _objectWithoutProperties(props, _excluded2);
  return /*#__PURE__*/_react["default"].createElement(_DropdownContent.DropdownContent, rest, function (showContent) {
    return showContent ? /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, children, /*#__PURE__*/_react["default"].createElement(_DropdownFooter["default"], {
      "data-testid": "".concat(id, "-footer")
    }, promiseIsPending && /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
      name: "loader",
      className: "gui-confirmation-dropdown__loader",
      title: "Loading icon"
    }), /*#__PURE__*/_react["default"].createElement(_TooltipWrapper["default"], {
      id: "confirmation-dropdown-tooltip",
      tooltipText: actionTooltip,
      placement: "top"
    }, /*#__PURE__*/_react["default"].createElement(_Button["default"], {
      types: confirmButtonTypes,
      clickHandler: function clickHandler() {
        return onConfirm().then(function () {
          if (hideOnCompletion) {
            setShowContent(false);
          }
          onCompletion();
        });
      },
      className: "gui-confirmation-dropdown__confirm-trigger",
      "aria-hidden": promiseIsPending,
      disabled: disabled
    }, confirmationText)), secondaryAction || /*#__PURE__*/_react["default"].createElement(_Button["default"], {
      types: sharedButtonProps,
      clickHandler: function clickHandler() {
        onHide();
        onCancel();
        setShowContent(false);
      },
      className: "gui-confirmation-dropdown__cancel"
    }, "Cancel"))) : null;
  });
}
ConfirmationDropdownContent.defaultProps = {
  isDanger: false,
  disabled: false,
  promiseIsPending: false,
  hideOnCompletion: true,
  confirmationText: "Confirm",
  onHide: function onHide() {},
  onCancel: function onCancel() {},
  secondaryAction: null,
  actionTooltip: ""
};
var _default = exports["default"] = ConfirmationDropdownContent;
//# sourceMappingURL=ConfirmationDropdownContent.js.map