"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConfirmationModal = ConfirmationModal;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _Form = require("../src/components/form/Form");
var _Button = _interopRequireDefault(require("../Button"));
var _ProgressButton = _interopRequireDefault(require("../ProgressButton"));
var _Modal = _interopRequireDefault(require("../Modal"));
var _excluded = ["title", "introText", "children", "submitText", "buttonType", "cancelText", "submitCallback", "callbackCanExecute", "footerContent", "disabled", "showSpinner", "useShowSpinnerProp", "extraButtons"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ConfirmationModal(_ref) {
  var title = _ref.title,
    introText = _ref.introText,
    children = _ref.children,
    submitText = _ref.submitText,
    buttonType = _ref.buttonType,
    cancelText = _ref.cancelText,
    submitCallback = _ref.submitCallback,
    callbackCanExecute = _ref.callbackCanExecute,
    footerContent = _ref.footerContent,
    disabled = _ref.disabled,
    showSpinner = _ref.showSpinner,
    useShowSpinnerProp = _ref.useShowSpinnerProp,
    extraButtons = _ref.extraButtons,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_Modal["default"].Container, rest, /*#__PURE__*/_react["default"].createElement(_Form.Form, {
    onSubmit: function onSubmit(event) {
      submitCallback(event);
    }
  }, /*#__PURE__*/_react["default"].createElement(_Modal["default"].Header, {
    text: introText
  }, title), /*#__PURE__*/_react["default"].createElement(_Modal["default"].Body, null, children), /*#__PURE__*/_react["default"].createElement(_Modal["default"].Footer, {
    text: footerContent
  }, /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    types: ["link"],
    clickHandler: rest.onHide
  }, cancelText), extraButtons, /*#__PURE__*/_react["default"].createElement(_ProgressButton["default"], {
    buttonType: buttonType,
    value: submitText,
    clickHandler: function clickHandler() {},
    callbackCanExecute: callbackCanExecute,
    disabled: disabled,
    isSubmit: true,
    showSpinner: showSpinner,
    useShowSpinnerProp: useShowSpinnerProp
  }))));
}
ConfirmationModal.defaultProps = {
  buttonType: "primary",
  introText: null,
  callbackCanExecute: true,
  footerContent: null,
  disabled: false,
  showSpinner: false,
  useShowSpinnerProp: false
};
var _default = exports["default"] = ConfirmationModal;
//# sourceMappingURL=index.js.map