"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require("../"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("Confirmation Overlay", function () {
  var cancelSpy = _vitest.vi.fn();
  var confirmSpy = _vitest.vi.fn();
  test("adds a show modifier", function () {
    var _render = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
        cancel: cancelSpy,
        confirm: confirmSpy,
        confirmationText: "dooo ittttt",
        show: true,
        "data-testid": "confirmation-overlay"
      })),
      rerender = _render.rerender;
    (0, _vitest.expect)(_react2.screen.getByTestId("confirmation-overlay").classList.contains("gui-confirmation-overlay--show")).toBeTruthy();
    rerender( /*#__PURE__*/_react["default"].createElement(_["default"], {
      cancel: cancelSpy,
      confirm: confirmSpy,
      confirmationText: "dooo ittttt",
      "data-testid": "confirmation-overlay"
    }));
    (0, _vitest.expect)(_react2.screen.getByTestId("confirmation-overlay").classList.contains("gui-confirmation-overlay--show")).toBeFalsy();
  });
  test("renders two Buttons", function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
      cancel: cancelSpy,
      confirm: confirmSpy,
      confirmationText: "dooo ittttt",
      show: true,
      "data-testid": "confirmation-overlay"
    }));
    var cancelButton = _react2.screen.getByText("Cancel");
    var submitButton = _react2.screen.getByLabelText(/Submit/i);
    _react2.fireEvent.click(cancelButton);
    (0, _vitest.expect)(cancelSpy).toHaveBeenCalled();
    _react2.fireEvent.click(submitButton);
    (0, _vitest.expect)(confirmSpy).toHaveBeenCalled();
  });
});
//# sourceMappingURL=ConfirmationOverlay.spec.js.map