"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Conversation = Conversation;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ConversationHeader = require("./ConversationHeader");
var _ConversationFooter = require("./ConversationFooter");
var _ConversationBody = require("./ConversationBody");
var _excluded = ["className", "children", "isOpen", "isFocussed"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function Conversation(_ref) {
  var className = _ref.className,
    children = _ref.children,
    isOpen = _ref.isOpen,
    isFocussed = _ref.isFocussed,
    rest = _objectWithoutProperties(_ref, _excluded);
  var innerClassName = (0, _classnames["default"])("".concat(className, " relative rounded w-full group"), {
    "shadow-small bg-white": isOpen,
    "bg-neutral-98 hover:bg-neutral-95 cursor-pointer gui-conversation__inactive": !isOpen,
    "shadow-button-secondary-focus border border-solid border-blue-primary": !isOpen && isFocussed,
    "border border-solid border-neutral-90": !isFocussed || isOpen
  });
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: innerClassName
  }, rest), children);
}
Conversation.defaultProps = {
  className: "",
  isFocussed: false
};
Conversation.Header = _ConversationHeader.ConversationHeader;
Conversation.Footer = _ConversationFooter.ConversationFooter;
Conversation.Body = _ConversationBody.ConversationBody;
//# sourceMappingURL=Conversation.js.map