"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Conversation = Conversation;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("../..");
var _BoundaryClickWatcher = _interopRequireDefault(require("../../BoundaryClickWatcher"));
var _ConversationHeaderForStory = require("./ConversationHeaderForStory");
var _ConversationFooterForStory = require("./ConversationFooterForStory");
var _ConversationBodyForStory = require("./ConversationBodyForStory");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var _default = exports["default"] = {
  title: "Legacy/Conversations/Conversation",
  component: _.Conversation,
  args: {
    isOpen: false,
    isSubscribed: false,
    isResolved: false,
    userCanResolve: true,
    commentHasFailedToSubscribe: false,
    commentHasFailedToSave: false,
    commentHasFailedToDelete: false
  }
};
function Conversation(_ref) {
  var isOpen = _ref.isOpen,
    isSubscribed = _ref.isSubscribed,
    isResolved = _ref.isResolved,
    userCanResolve = _ref.userCanResolve,
    commentHasFailedToSubscribe = _ref.commentHasFailedToSubscribe,
    commentHasFailedToSave = _ref.commentHasFailedToSave,
    commentHasFailedToDelete = _ref.commentHasFailedToDelete;
  var headerProps = {
    isOpen: isOpen,
    isResolved: isResolved,
    userCanResolve: userCanResolve,
    isSubscribed: isSubscribed,
    commentHasFailedToSubscribe: commentHasFailedToSubscribe
  };
  var bodyProps = {
    isOpen: isOpen,
    commentHasFailedToSave: commentHasFailedToSave,
    commentHasFailedToDelete: commentHasFailedToDelete
  };
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      maxWidth: "300px"
    }
  }, /*#__PURE__*/_react["default"].createElement(_BoundaryClickWatcher["default"], null, function (boundaryIsActive, boundaryIsFocussed) {
    return /*#__PURE__*/_react["default"].createElement(_.Conversation, {
      isOpen: boundaryIsActive || isOpen,
      isFocussed: boundaryIsFocussed
    }, /*#__PURE__*/_react["default"].createElement(_ConversationHeaderForStory.ConversationHeaderForStory, _extends({}, headerProps, {
      isOpen: boundaryIsActive || isOpen
    })), /*#__PURE__*/_react["default"].createElement(_ConversationBodyForStory.ConversationBodyForStory, _extends({}, bodyProps, {
      isOpen: boundaryIsActive || isOpen
    })), /*#__PURE__*/_react["default"].createElement(_ConversationFooterForStory.ConversationFooterForStory, {
      isOpen: boundaryIsActive || isOpen,
      isFocussed: boundaryIsFocussed
    }));
  }));
}
//# sourceMappingURL=Conversation.stories.js.map