"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConversationBodyForStory = ConversationBodyForStory;
var _react = _interopRequireDefault(require("react"));
var _ = require("../..");
var _mockData = require("./mockData");
var _createDelayedPromise = require("../../../stories/helpers/createDelayedPromise");
var _createFailedPromise = require("../../../stories/helpers/createFailedPromise");
var _ExistingCommentExample = require("./ExistingCommentExample");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
/* eslint-disable react/prop-types */

function ConversationBodyForStory(_ref) {
  var isOpen = _ref.isOpen,
    commentHasFailedToSave = _ref.commentHasFailedToSave,
    commentHasFailedToDelete = _ref.commentHasFailedToDelete;
  var numberOfRepliesInbetween = _mockData.mockComments.length - 2;
  var commentsToMap = !isOpen ? [_mockData.mockComments[0], _mockData.mockComments[_mockData.mockComments.length - 1]] : _mockData.mockComments;
  var submitPromise = commentHasFailedToSave ? (0, _createFailedPromise.createFailedPromise)() : (0, _createDelayedPromise.createDelayedPromise)();
  var deletePromise = commentHasFailedToDelete ? (0, _createFailedPromise.createFailedPromise)() : (0, _createDelayedPromise.createDelayedPromise)();
  var comments = commentsToMap.map(function (c, index) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      key: c.id
    }, /*#__PURE__*/_react["default"].createElement(_.Comment.Provider, {
      isOpen: isOpen,
      showBorders: _mockData.mockComments.length === 2
    }, /*#__PURE__*/_react["default"].createElement(_ExistingCommentExample.ExistingCommentExample, {
      comment: c,
      isFirst: index === 0,
      submitPromise: submitPromise,
      deletePromise: deletePromise
    })), !isOpen && index === 0 && numberOfRepliesInbetween > 0 && /*#__PURE__*/_react["default"].createElement(_.Comment.ReplyCount, {
      count: numberOfRepliesInbetween
    }));
  });
  return /*#__PURE__*/_react["default"].createElement(_.Conversation.Body, null, comments);
}
//# sourceMappingURL=ConversationBodyForStory.js.map