"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConversationContext = ConversationContext;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("./..");
var _Conversation = require("../Conversation/Conversation");
var _Comment = require("../Comment/Comment");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function ConversationContext(_ref) {
  var label = _ref.label,
    children = _ref.children,
    userCanResolve = _ref.userCanResolve,
    resolved = _ref.resolved,
    comments = _ref.comments,
    resolveConversation = _ref.resolveConversation,
    users = _ref.users;
  return /*#__PURE__*/_react["default"].createElement(_.Row, null, /*#__PURE__*/_react["default"].createElement(_.Col, {
    sm: 3,
    xs: 12
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-conversation-context__label"
  }, label)), /*#__PURE__*/_react["default"].createElement(_.Col, {
    sm: 8,
    xs: 12
  }, children && /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-conversation-context__context"
  }, children), /*#__PURE__*/_react["default"].createElement(_Conversation.Conversation, {
    isOpen: true
  }, /*#__PURE__*/_react["default"].createElement(_Conversation.Conversation.Header, null, userCanResolve && /*#__PURE__*/_react["default"].createElement(_Comment.Comment.ResolveButton, {
    resolved: resolved,
    onResolve: resolveConversation,
    userCanResolve: true
  })), /*#__PURE__*/_react["default"].createElement(_Conversation.Conversation.Body, null, comments.map(function (comment) {
    var _comment$author, _comment$author2, _comment$author3;
    return /*#__PURE__*/_react["default"].createElement(_Comment.Comment.Provider, {
      isOpen: true,
      key: comment.id
    }, /*#__PURE__*/_react["default"].createElement(_Comment.Comment, null, /*#__PURE__*/_react["default"].createElement(_Comment.Comment.Header, null, /*#__PURE__*/_react["default"].createElement(_.Person, {
      collapse: true,
      avatarUrl: (_comment$author = comment.author) === null || _comment$author === void 0 ? void 0 : _comment$author.avatar,
      initials: (_comment$author2 = comment.author) === null || _comment$author2 === void 0 ? void 0 : _comment$author2.initials,
      name: (_comment$author3 = comment.author) === null || _comment$author3 === void 0 ? void 0 : _comment$author3.name,
      subtitle: /*#__PURE__*/_react["default"].createElement(_Comment.Comment.Meta, null, comment.createdAt)
    })), /*#__PURE__*/_react["default"].createElement(_Comment.Comment.Body, null, /*#__PURE__*/_react["default"].createElement(_Comment.Comment.Text, {
      users: users,
      showFullText: true
    }, comment.body))));
  })))));
}
ConversationContext.defaultProps = {
  children: null,
  userCanResolve: false
};
var _default = exports["default"] = ConversationContext;
//# sourceMappingURL=index.js.map