"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DragPreview = DragPreview;
var _react = _interopRequireDefault(require("react"));
var _reactDndCjs = require("react-dnd-cjs");
var _getItemStyles = require("./helpers/getItemStyles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function DragPreview(_ref) {
  var children = _ref.children;
  var _useDragLayer = (0, _reactDndCjs.useDragLayer)(function (monitor) {
      return {
        item: monitor.getItem(),
        itemType: monitor.getItemType(),
        initialOffset: monitor.getInitialSourceClientOffset(),
        currentOffset: monitor.getSourceClientOffset(),
        isDragging: monitor.isDragging(),
        clientOffset: monitor.getClientOffset()
      };
    }),
    initialOffset = _useDragLayer.initialOffset,
    currentOffset = _useDragLayer.currentOffset,
    clientOffset = _useDragLayer.clientOffset;
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      position: "fixed",
      pointerEvents: "none",
      zIndex: 100,
      left: 0,
      top: 0,
      width: "100%",
      height: "100%"
    }
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: (0, _getItemStyles.getItemStyles)(initialOffset, currentOffset, clientOffset)
  }, children));
}
//# sourceMappingURL=DragPreview.js.map