"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Draggable = Draggable;
var _react = _interopRequireWildcard(require("react"));
var _reactDndCjs = require("react-dnd-cjs");
var _reactDndHtml5BackendCjs = require("react-dnd-html5-backend-cjs");
var _DndProvider = require("./DndProvider");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function Draggable(_ref) {
  var children = _ref.children,
    preview = _ref.preview,
    item = _ref.item,
    onBeginDrag = _ref.onBeginDrag,
    onEndDrag = _ref.onEndDrag,
    canDragChecker = _ref.canDragChecker;
  var _useContext = (0, _react.useContext)(_DndProvider.DndContext),
    setIsDragging = _useContext.setIsDragging,
    setPreview = _useContext.setPreview;
  var _useDrag = (0, _reactDndCjs.useDrag)({
      item: item,
      begin: function begin(monitor) {
        setPreview(preview);
        setIsDragging(true);
        onBeginDrag(item, monitor);
      },
      end: function end(targetItem, monitor) {
        if (!monitor.didDrop()) {
          onEndDrag(targetItem, monitor);
          setIsDragging(false);
        }
      },
      collect: function collect(monitor) {
        return {
          itemType: monitor.getItemType(),
          isDragging: !!monitor.isDragging()
        };
      },
      canDrag: canDragChecker
    }),
    _useDrag2 = _slicedToArray(_useDrag, 3),
    collect = _useDrag2[0],
    defineDragRef = _useDrag2[1],
    definePreviewRef = _useDrag2[2];
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, preview && /*#__PURE__*/_react["default"].createElement(_reactDndCjs.DragPreviewImage
  // @ts-expect-error TS(2322): Type 'string | null' is not assignable to type 'st... Remove this comment to see the full error message
  , {
    src: (0, _reactDndHtml5BackendCjs.getEmptyImage)().getAttribute("src"),
    connect: definePreviewRef
  }), children(collect, defineDragRef, definePreviewRef));
}
Draggable.defaultProps = {
  preview: null,
  onBeginDrag: function onBeginDrag() {},
  onEndDrag: function onEndDrag() {},
  canDragChecker: function canDragChecker() {
    return true;
  }
};
//# sourceMappingURL=Draggable.js.map