"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Droppable = Droppable;
var _reactDndCjs = require("react-dnd-cjs");
var _react = require("react");
var _ = require("./..");
var _lodash = require("lodash");
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function Droppable(_ref) {
  var children = _ref.children,
    acceptDragTypes = _ref.acceptDragTypes,
    onDrop = _ref.onDrop,
    canDropChecker = _ref.canDropChecker,
    onHoverHandler = _ref.onHoverHandler,
    isOverOptions = _ref.isOverOptions;
  var _useContext = (0, _react.useContext)(_.DndContext),
    setIsDragging = _useContext.setIsDragging;
  var _useDrop = (0, _reactDndCjs.useDrop)({
      accept: acceptDragTypes,
      drop: function drop() {
        setIsDragging(false);
        return onDrop.apply(void 0, arguments);
      },
      canDrop: canDropChecker,
      hover: (0, _lodash.throttle)(function (item, monitor) {
        if (monitor && monitor.getItem()) {
          onHoverHandler(item, monitor);
        }
      }, 150),
      collect: function collect(monitor) {
        return {
          isOver: monitor.isOver(isOverOptions),
          canDrop: monitor.canDrop(),
          item: monitor.getItem()
        };
      }
    }),
    _useDrop2 = _slicedToArray(_useDrop, 2),
    collected = _useDrop2[0],
    defineDropRef = _useDrop2[1];
  return children(collected, defineDropRef);
}
Droppable.defaultProps = {
  canDropChecker: function canDropChecker() {
    return true;
  },
  isOverOptions: {
    shallow: false
  },
  onHoverHandler: function onHoverHandler() {}
};
//# sourceMappingURL=Droppable.js.map