"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("Dropdown", function () {
  (0, _vitest.it)("Displays the dropdown content", function () {
    var onToggleSpy = _vitest.vi.fn();
    var onHideSpy = _vitest.vi.fn();
    var actionSpy = _vitest.vi.fn();
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_["default"], {
      onToggle: onToggleSpy,
      onHide: onHideSpy,
      id: "id-1"
    }, /*#__PURE__*/_react["default"].createElement(_["default"].Trigger, null, "Trigger 1"), /*#__PURE__*/_react["default"].createElement(_["default"].Content, {
      "data-testid": "test-dropdown-content"
    }, /*#__PURE__*/_react["default"].createElement(_["default"].ActionGroup, null, /*#__PURE__*/_react["default"].createElement(_["default"].Action, {
      action: actionSpy
    }, "Howdy")))), /*#__PURE__*/_react["default"].createElement("div", null, "We outside")));
    (0, _vitest.expect)(_react2.screen.getByTestId("test-dropdown-content").classList.contains("gui-is-active")).toBeFalsy();
    _react2.fireEvent.click(_react2.screen.getByText("Trigger 1"));
    (0, _vitest.expect)(onToggleSpy).toHaveBeenCalledOnce();
    (0, _vitest.expect)(_react2.screen.getByTestId("test-dropdown-content").classList.contains("gui-is-active")).toBeTruthy();
    _react2.fireEvent.click(_react2.screen.getByText("Howdy"));
    (0, _vitest.expect)(actionSpy).toHaveBeenCalledOnce();
    _react2.fireEvent.click(_react2.screen.getByText("We outside"));
    (0, _vitest.expect)(_react2.screen.getByTestId("test-dropdown-content").classList.contains("gui-is-active")).toBeFalsy();
  });
  (0, _vitest.it)("Persists the active state when the external show prop is true", function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_["default"], {
      onToggle: function onToggle() {},
      onHide: function onHide() {},
      id: "id-1",
      persistShow: true
    }, /*#__PURE__*/_react["default"].createElement(_["default"].Trigger, null, "Trigger 1"), /*#__PURE__*/_react["default"].createElement(_["default"].Content, {
      "data-testid": "test-dropdown-content"
    }, /*#__PURE__*/_react["default"].createElement(_["default"].ActionGroup, null, /*#__PURE__*/_react["default"].createElement(_["default"].Action, {
      action: function action() {}
    }, "Howdy")))), /*#__PURE__*/_react["default"].createElement("div", null, "We outside")));
    _react2.fireEvent.click(_react2.screen.getByText("Trigger 1"));
    (0, _vitest.expect)(_react2.screen.getByTestId("test-dropdown-content").classList.contains("gui-is-active")).toBeTruthy();
    _react2.fireEvent.click(_react2.screen.getByText("We outside"));
    (0, _vitest.expect)(_react2.screen.getByTestId("test-dropdown-content").classList.contains("gui-is-active")).toBeTruthy();
  });
});
//# sourceMappingURL=Dropdown.spec.js.map