"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _DropdownProvider = require("./DropdownProvider");
var _excluded = ["children", "action", "actionKeyDown", "danger", "className", "noBackground", "iconOnly", "isSubmit", "hideAfterPerformingAction", "selected", "overflow", "disabled", "value", "showContent", "toggleShowContent"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function DropdownAction(_ref) {
  var children = _ref.children,
    action = _ref.action,
    actionKeyDown = _ref.actionKeyDown,
    danger = _ref.danger,
    className = _ref.className,
    noBackground = _ref.noBackground,
    iconOnly = _ref.iconOnly,
    isSubmit = _ref.isSubmit,
    hideAfterPerformingAction = _ref.hideAfterPerformingAction,
    selected = _ref.selected,
    overflow = _ref.overflow,
    disabled = _ref.disabled,
    value = _ref.value,
    showContentProp = _ref.showContent,
    toggleShowContentProp = _ref.toggleShowContent,
    props = _objectWithoutProperties(_ref, _excluded);
  var _ref2 = (0, _react.useContext)(_DropdownProvider.DropdownContext) || {},
    _ref2$toggleShowConte = _ref2.toggleShowContent,
    toggleShowContent = _ref2$toggleShowConte === void 0 ? toggleShowContentProp : _ref2$toggleShowConte,
    _ref2$showContent = _ref2.showContent,
    showContent = _ref2$showContent === void 0 ? showContentProp : _ref2$showContent;
  var classNames = (0, _classnames["default"])("gui-dropdown__action ".concat(className), {
    "gui-dropdown__action--danger": danger,
    "gui-dropdown__action--noBg": noBackground,
    "gui-dropdown__action--icon-only": iconOnly,
    "gui-dropdown__action--selected": selected,
    "gui-dropdown__action--overflow": overflow,
    "gui-dropdown__action--disabled": disabled
  });
  var sharedProps = _objectSpread({
    tabIndex: showContent ? 0 : -1,
    className: classNames,
    type: isSubmit ? "submit" : "button",
    value: value,
    onClick: function onClick(e) {
      action(e);
      if (hideAfterPerformingAction && toggleShowContent) {
        toggleShowContent(null);
      }
    },
    onKeyDown: function onKeyDown(e) {
      if (actionKeyDown) actionKeyDown(e);
    },
    disabled: disabled
  }, props);
  return isSubmit ? /*#__PURE__*/_react["default"].createElement("button", _extends({}, sharedProps, {
    type: "submit"
  }), children) : /*#__PURE__*/_react["default"].createElement("button", _extends({}, sharedProps, {
    type: "button"
  }), children);
}
DropdownAction.defaultProps = {
  danger: false,
  noBackground: false,
  selected: false,
  iconOnly: false,
  className: "",
  isSubmit: false,
  overflow: false,
  hideAfterPerformingAction: true,
  disabled: false,
  toggleShowContent: function toggleShowContent() {},
  showContent: false,
  value: null
};
var _default = exports["default"] = DropdownAction;
//# sourceMappingURL=DropdownAction.js.map