"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DropdownContent = DropdownContent;
var _react = _interopRequireWildcard(require("react"));
var _lodash = require("lodash");
var _classnames = _interopRequireDefault(require("classnames"));
var _DropdownProvider = require("./DropdownProvider");
var _excluded = ["children", "className", "collapse", "right", "centre", "top", "fixRight", "full", "noBorder", "autoPositionLeft", "noTransform"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
var CONTENT_BOUNDARY_PADDING = 40;
function DropdownContent(_ref) {
  var children = _ref.children,
    className = _ref.className,
    collapse = _ref.collapse,
    right = _ref.right,
    centre = _ref.centre,
    top = _ref.top,
    fixRight = _ref.fixRight,
    full = _ref.full,
    noBorder = _ref.noBorder,
    autoPositionLeft = _ref.autoPositionLeft,
    noTransform = _ref.noTransform,
    rest = _objectWithoutProperties(_ref, _excluded);
  var _ref2 = (0, _react.useContext)(_DropdownProvider.DropdownContext) || {
      showContent: false
    },
    showContent = _ref2.showContent,
    autoPosition = _ref2.autoPosition,
    bounds = _ref2.bounds;
  var _useState = (0, _react.useState)({}),
    _useState2 = _slicedToArray(_useState, 2),
    style = _useState2[0],
    setStyle = _useState2[1];
  var contentElementRef = (0, _react.useRef)();
  var getTopPosition = function getTopPosition(pos, contentBounds) {
    var newPos = pos;
    var originalExceedsHeight = pos > window.innerHeight;
    if (originalExceedsHeight) {
      newPos = bounds.top - contentBounds.height;
    }
    if (pos !== newPos) {
      var newPositionPrecedesHeight = newPos < 0;
      if (newPositionPrecedesHeight) {
        newPos = bounds.top - contentBounds.height / 2;
      }
      var newPositionStillExceedsHeight = newPos + contentBounds.height > window.innerHeight;
      var newPositionStillPrecedesHeight = newPos < 0;
      if (newPositionStillExceedsHeight || newPositionStillPrecedesHeight) {
        return CONTENT_BOUNDARY_PADDING;
      }
      return newPos;
    }
    return bounds.bottom;
  };
  var getLeftPosition = function getLeftPosition(pos, contentBounds) {
    var newPos = pos;
    var originalExceedsWidth = pos > window.innerWidth;
    if (originalExceedsWidth) {
      var anchorBounds = autoPositionLeft ? bounds.right : bounds.left;
      newPos = anchorBounds - contentBounds.width;
    }
    if (pos !== newPos) {
      var newPositionPrecedesWidth = newPos < 0;
      return newPositionPrecedesWidth ? bounds.right - contentBounds.width / 2 : newPos;
    }
    return autoPositionLeft ? bounds.left : bounds.right;
  };
  var getStyle = function getStyle() {
    if (contentElementRef !== null && contentElementRef !== void 0 && contentElementRef.current && autoPosition && showContent) {
      var contentBounds = contentElementRef.current.getBoundingClientRect();
      var bottomOfDropdownContent = bounds.top !== "auto" ? bounds.top + contentBounds.height + CONTENT_BOUNDARY_PADDING : bounds.top;
      var rightOfDropdownContent = bounds.left !== "auto" ? bounds.left + contentBounds.width + CONTENT_BOUNDARY_PADDING : bounds.left;
      return {
        top: getTopPosition(bottomOfDropdownContent, contentBounds),
        left: getLeftPosition(rightOfDropdownContent, contentBounds)
      };
    }
    if (autoPosition && !showContent) {
      return {
        left: -99999,
        top: -99999
      };
    }
    return {};
  };
  (0, _react.useEffect)(function () {
    var newStyle = getStyle();
    if (!(0, _lodash.isEqual)(newStyle, style)) {
      setStyle(newStyle);
    }
  }, [showContent, !!contentElementRef.current]);
  var classNames = (0, _classnames["default"])("gui-dropdown__content shadow ".concat(className), {
    "gui-is-active": showContent,
    "gui-dropdown__content--collapse": collapse,
    "gui-dropdown__content--right": right,
    "gui-dropdown__content--centre": centre,
    "gui-dropdown__content--top": top,
    "gui-dropdown__content--fix-right": fixRight,
    "gui-dropdown__content--full": full,
    "gui-dropdown__content--noborder": noBorder,
    "border border-solid border-neutral-90 rounded": !noBorder,
    "gui-dropdown__content--no-transform": noTransform
  });
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: classNames,
    style: style,
    ref: contentElementRef
  }, rest), typeof children === "function" ? children(showContent) : children);
}
DropdownContent.defaultProps = {
  className: "",
  collapse: false,
  right: false,
  centre: false,
  top: false,
  fixRight: false,
  full: false,
  noBorder: false,
  autoPositionLeft: false
};
//# sourceMappingURL=DropdownContent.js.map