"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.DropdownContext = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _BoundaryClickWatcher = _interopRequireDefault(require("../BoundaryClickWatcher"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
var DropdownContext = exports.DropdownContext = /*#__PURE__*/(0, _react.createContext)({
  toggleShowContent: function toggleShowContent() {}
});
function DropdownProvider(_ref) {
  var id = _ref.id,
    onToggle = _ref.onToggle,
    persistShow = _ref.persistShow,
    children = _ref.children,
    onHide = _ref.onHide,
    autoPosition = _ref.autoPosition,
    block = _ref.block,
    className = _ref.className;
  var _useState = (0, _react.useState)(false),
    _useState2 = _slicedToArray(_useState, 2),
    showContent = _useState2[0],
    setShowContent = _useState2[1];
  var _useState3 = (0, _react.useState)({
      top: -9999,
      left: -9999,
      right: -9999,
      bottom: -9999,
      width: 0,
      height: 0
    }),
    _useState4 = _slicedToArray(_useState3, 2),
    bounds = _useState4[0],
    setBounds = _useState4[1];
  var dispatchToggle = function dispatchToggle(contentWillShow) {
    var type = contentWillShow || persistShow ? "ACTIVE" : "UNACTIVE";
    onToggle({
      type: type,
      payload: {
        id: id
      }
    });
  };
  var toggleAndSetShowContent = function toggleAndSetShowContent(show) {
    dispatchToggle(show);
    setShowContent(persistShow ? true : show);
  };
  var toggleShowContent = function toggleShowContent(elBounds) {
    dispatchToggle(!showContent);
    setShowContent(persistShow ? true : !showContent);
    if (elBounds) {
      setBounds({
        top: elBounds.top,
        left: elBounds.left,
        right: elBounds.right,
        width: elBounds.width,
        bottom: elBounds.bottom,
        height: elBounds.height
      });
    }
  };
  var sharedState = {
    showContent: showContent,
    toggleShowContent: toggleShowContent,
    setShowContent: toggleAndSetShowContent,
    autoPosition: autoPosition,
    bounds: bounds
  };
  var classNames = (0, _classnames["default"])("gui-dropdown-gc ".concat(className), {
    "gui-is-active": showContent,
    "gui-auto-top": autoPosition,
    "gui-dropdown-gc--block": block
  });
  return /*#__PURE__*/_react["default"].createElement(DropdownContext.Provider, {
    value: sharedState
  }, /*#__PURE__*/_react["default"].createElement(_BoundaryClickWatcher["default"], {
    className: classNames,
    outsideClickHandler: function outsideClickHandler() {
      toggleAndSetShowContent(false);
      onHide();
    },
    tabIndex: -1
  }, typeof children === "function" ? children({
    setShowContent: toggleAndSetShowContent,
    showContent: showContent
  }) : children));
}
var _default = exports["default"] = DropdownProvider;
//# sourceMappingURL=DropdownProvider.js.map