"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DropdownTrigger = DropdownTrigger;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _lodash = require("lodash");
var _Button = _interopRequireDefault(require("../Button"));
var _Icon = _interopRequireDefault(require("../Icon"));
var _DropdownProvider = require("./DropdownProvider");
var _excluded = ["onClick", "children", "triggerClassName", "useButton", "useSelect", "direction", "types", "blueOnActive", "useHover"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function DropdownTrigger(_ref) {
  var onClick = _ref.onClick,
    children = _ref.children,
    triggerClassName = _ref.triggerClassName,
    useButton = _ref.useButton,
    useSelect = _ref.useSelect,
    direction = _ref.direction,
    _ref$types = _ref.types,
    types = _ref$types === void 0 ? [] : _ref$types,
    blueOnActive = _ref.blueOnActive,
    useHover = _ref.useHover,
    rest = _objectWithoutProperties(_ref, _excluded);
  var triggerDivRef = (0, _react.useRef)();
  var triggerBtnRef = (0, _react.useRef)();
  var _useContext = (0, _react.useContext)(_DropdownProvider.DropdownContext),
    toggleShowContent = _useContext.toggleShowContent,
    autoPosition = _useContext.autoPosition,
    showContent = _useContext.showContent;
  var handleClick = function handleClick(e) {
    if (onClick) {
      onClick(!showContent, e);
    }
    var triggerRef = triggerDivRef.current || triggerBtnRef.current;
    if (triggerRef && autoPosition) {
      var bounds = triggerRef.getBoundingClientRect();
      return toggleShowContent(bounds);
    }
    return toggleShowContent(null);
  };
  var handleMouseover = function handleMouseover(event) {
    if (useHover) {
      if (onClick) {
        onClick(!showContent, event);
      }
      var triggerRef = triggerDivRef.current || triggerBtnRef.current;
      if (triggerRef && autoPosition) {
        var bounds = triggerRef.getBoundingClientRect();
        return toggleShowContent(bounds);
      }
      return toggleShowContent(null);
    }
    return null;
  };
  var wrapperClassNames = (0, _classnames["default"])("gui-dropdown__trigger-wrapper--".concat(direction), {
    "gui-dropdown__trigger-wrapper": useButton,
    "gui-dropdown__trigger-wrapper--select": useSelect
  });
  var buttonClassNames = (0, _classnames["default"])(triggerClassName, {
    "gui-is-active": showContent,
    "gui-dropdown__trigger": !useButton && !useSelect,
    "gui-primary-blue-text": blueOnActive && showContent
  });
  var buttonTypes = useSelect ? types.concat("outline") : types;
  if ((0, _lodash.isFunction)(children)) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: triggerClassName,
      ref: triggerDivRef
    }, children({
      toggleShowContent: handleClick
    }));
  }
  if (useButton || useSelect) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      ref: triggerDivRef,
      className: wrapperClassNames
    }, /*#__PURE__*/_react["default"].createElement(_Button["default"], _extends({
      types: buttonTypes,
      className: buttonClassNames
    }, rest, {
      onClick: handleClick,
      onMouseEnter: handleMouseover
    }), children, useSelect && /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
      name: "down"
    })));
  }
  return /*#__PURE__*/_react["default"].createElement("button", _extends({
    type: "button"
  }, rest, {
    className: buttonClassNames,
    onClick: handleClick,
    onMouseEnter: handleMouseover,
    ref: triggerBtnRef
  }), children);
}
DropdownTrigger.defaultProps = {
  useButton: false,
  useSelect: false,
  direction: "top",
  triggerClassName: "",
  onClick: function onClick() {},
  types: [],
  blueOnActive: false,
  useHover: false
};
var _default = exports["default"] = DropdownTrigger;
//# sourceMappingURL=DropdownTrigger.js.map