"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DropdownMenuItem = DropdownMenuItem;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Icon = _interopRequireDefault(require("../Icon"));
var _AvatarInformation = _interopRequireDefault(require("../Avatar/AvatarInformation"));
var _Avatar = _interopRequireDefault(require("../Avatar"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function DropdownMenuItem(_ref) {
  var item = _ref.item;
  var className = item.className,
    type = item.type;
  var activeContents = /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-dropdown-item__tick is-active"
  }, /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: "tick",
    size: "micro"
  }));
  var classes = (0, _classnames["default"])("gui-dropdown__item", className, "gui-dropdown__item--".concat(item.linkType || "gui-button"));
  if (type === "separator") {
    return /*#__PURE__*/_react["default"].createElement("li", {
      className: "gui-dropdown__separator"
    });
  }
  if (type === "link") {
    return /*#__PURE__*/_react["default"].createElement("li", {
      className: classes
    }, item.active && activeContents, /*#__PURE__*/_react["default"].createElement("a", {
      className: "gui-dropdown__link",
      href: item.href
    }, item.name));
  }
  if (type === "withAdditional") {
    return /*#__PURE__*/_react["default"].createElement("li", {
      className: classes
    }, /*#__PURE__*/_react["default"].createElement("button", {
      type: "button",
      className: "gui-dropdown__link gui-dropdown__additional",
      onClick: item.action
    }, item.active && activeContents, /*#__PURE__*/_react["default"].createElement("span", {
      className: "gui-dropdown__item--name"
    }, item.name), item.additional && /*#__PURE__*/_react["default"].createElement("span", {
      className: "gui-dropdown__item--additional"
    }, item.additional)));
  }
  if (type === "avatar") {
    return /*#__PURE__*/_react["default"].createElement("li", {
      className: classes
    }, /*#__PURE__*/_react["default"].createElement("button", {
      type: "button",
      className: "gui-dropdown__link dropdown__avatar",
      onClick: item.action
    }, /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      url: item.avatar,
      initials: item.initials
    }, /*#__PURE__*/_react["default"].createElement(_AvatarInformation["default"], {
      name: item.name,
      email: item.email
    }))));
  }
  if (type === "title") {
    return /*#__PURE__*/_react["default"].createElement("li", {
      className: classes
    }, /*#__PURE__*/_react["default"].createElement("button", {
      type: "button",
      className: "gui-dropdown__link gui-dropdown__title",
      onClick: item.action
    }, /*#__PURE__*/_react["default"].createElement("span", {
      className: "gui-dropdown__item--name"
    }, item.name), item.additional && /*#__PURE__*/_react["default"].createElement("span", {
      className: "gui-dropdown__item--additional"
    }, item.additional)));
  }
  return /*#__PURE__*/_react["default"].createElement("li", {
    className: classes
  }, /*#__PURE__*/_react["default"].createElement("button", {
    type: "button",
    className: "gui-dropdown__link",
    onClick: item.action
  }, item.active && activeContents, item.name));
}
//# sourceMappingURL=DropdownMenuItem.js.map