"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DropdownMenu = DropdownMenu;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Button = _interopRequireDefault(require("../Button"));
var _Icon = _interopRequireDefault(require("../Icon"));
var _DropdownMenuItem = require("./DropdownMenuItem");
var _excluded = ["items", "className", "listClassName", "type", "direction", "caret", "children", "shouldDisplay", "alignRight", "selected", "downIcon", "fullWidth", "buttonClassName", "disabled"];
/* eslint-disable react/no-array-index-key */
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function DropdownMenu(_ref) {
  var items = _ref.items,
    className = _ref.className,
    listClassName = _ref.listClassName,
    type = _ref.type,
    direction = _ref.direction,
    caret = _ref.caret,
    children = _ref.children,
    shouldDisplay = _ref.shouldDisplay,
    alignRight = _ref.alignRight,
    selected = _ref.selected,
    downIcon = _ref.downIcon,
    fullWidth = _ref.fullWidth,
    buttonClassName = _ref.buttonClassName,
    disabled = _ref.disabled,
    rest = _objectWithoutProperties(_ref, _excluded);
  var _useState = (0, _react.useState)(selected),
    _useState2 = _slicedToArray(_useState, 2),
    showItems = _useState2[0],
    setShowItems = _useState2[1];
  var eventSet = (0, _react.useRef)(selected);
  var closeDropdown = function closeDropdown(e) {
    var isTargetDropDownButton = false;
    if (e.target.classList) {
      isTargetDropDownButton = e.target.classList.contains("gui-dropdown-menu__button");
    }
    if (showItems && !isTargetDropDownButton) {
      setShowItems(false);
    }
  };
  (0, _react.useEffect)(function () {
    if (showItems) {
      document.body.addEventListener("click", closeDropdown);
      eventSet.current = true;
    }
    if (!showItems && eventSet.current) {
      document.body.removeEventListener("click", closeDropdown);
      eventSet.current = false;
    }
    return function () {
      if (eventSet.current) {
        document.body.removeEventListener("click", closeDropdown);
      }
    };
  }, [showItems]);
  var toggleShowItems = function toggleShowItems() {
    if (!disabled) {
      setShowItems(!showItems);
    }
  };
  var menuClass = (0, _classnames["default"])("gui-dropdown ".concat(className), {
    "gui-is-visible": shouldDisplay,
    "gui-is-hidden": !shouldDisplay,
    "gui-open gui-is-active": showItems,
    "gui-dropup": direction === "up",
    "gui-full-width": fullWidth
  });
  var listClass = (0, _classnames["default"])("gui-dropdown-menu ".concat(listClassName), {
    "gui-align-right": alignRight
  });
  var buttonClass = (0, _classnames["default"])("".concat(buttonClassName, " gui-dropdown-menu__button gui-dropdown-menu__button--").concat([type]), {
    "gui-dropdown-menu__button-disabled": disabled
  });
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: menuClass
  }, rest), /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    types: [type],
    className: buttonClass,
    onClick: toggleShowItems
  }, children, caret && /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-dropdown-menu__caret"
  }, /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: "caret",
    size: "micro",
    title: "Caret icon"
  })), downIcon && /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-dropdown-menu__down"
  }, /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: "down",
    size: "micro",
    title: "Down icon"
  }))), /*#__PURE__*/_react["default"].createElement("ul", {
    className: listClass
  }, items.map(function (item, index) {
    return /*#__PURE__*/_react["default"].createElement(_DropdownMenuItem.DropdownMenuItem, {
      item: item,
      key: "item-".concat(index)
    });
  })));
}
DropdownMenu.defaultProps = {
  type: "primary",
  selected: false,
  alignRight: false,
  className: "",
  listClassName: "",
  caret: false,
  downIcon: false,
  direction: "down",
  shouldDisplay: true,
  fullWidth: false,
  buttonClassName: "",
  disabled: false
};
//# sourceMappingURL=index.js.map