"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _moment = _interopRequireDefault(require("moment"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Icon = _interopRequireDefault(require("../Icon"));
var _Dropdown = _interopRequireDefault(require("../Dropdown"));
var _excluded = ["children"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function DueDateButton(_ref) {
  var children = _ref.children,
    props = _objectWithoutProperties(_ref, _excluded);
  if (!props.dueDate && !props.userCanSetDueDate) {
    return null;
  }
  var buttonTypes = ["link-default", "collapse"].concat(_toConsumableArray(props.types));
  if (children || !props.dueDate) {
    return /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Trigger, {
      className: "gui-duedate__button gui-duedate__button--set-duedate gui-duedate__toggle",
      useButton: true,
      types: buttonTypes
    }, /*#__PURE__*/_react["default"].createElement("span", null, children || "Set due date"));
  }
  var overdue = props.dueDate < (0, _moment["default"])();
  var classes = (0, _classnames["default"])("gui-duedate__button", {
    "gui-color-overdue": overdue
  });
  if (!props.userCanSetDueDate) {
    return /*#__PURE__*/_react["default"].createElement("span", {
      className: classes
    }, overdue && /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
      name: "warning"
    }), "Due to be completed ", props.dueDate.fromNow());
  }
  return /*#__PURE__*/_react["default"].createElement("span", {
    className: classes
  }, overdue && /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: "warning"
  }), "Due to be completed ", /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Trigger, {
    className: "gui-duedate__toggle",
    useButton: true,
    types: buttonTypes
  }, props.dueDate.fromNow()));
}
DueDateButton.defaultProps = {
  dueDate: null,
  children: null,
  types: []
};
var _default = exports["default"] = DueDateButton;
//# sourceMappingURL=DueDateButton.js.map