"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _moment = _interopRequireDefault(require("moment"));
var _classnames = _interopRequireDefault(require("classnames"));
var _DueDateTime = _interopRequireDefault(require("./DueDateTime"));
var _Dropdown = _interopRequireDefault(require("../Dropdown"));
var _Icon = _interopRequireDefault(require("../Icon"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function DueDateHeader(props) {
  var label = /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-duedate__header--date gui-duedate__header--date-not-set"
  }, "No due date set");
  if (props.dueDate) {
    var date = (0, _moment["default"])(props.dueDate);
    var day = date.set({
      hour: props.dueTime.hour(),
      minute: props.dueTime.minute()
    }).calendar(null, {
      sameDay: "[Today at]",
      nextDay: "[Tomorrow at]",
      nextWeek: "dddd [at]",
      lastDay: "[Yesterday at]",
      lastWeek: "[Last] dddd [at]",
      sameElse: "MMMM Do YYYY [at]"
    });
    var time = props.dueTime.local().format("LT");
    var classes = (0, _classnames["default"])("gui-duedate__header--date", {
      "gui-color-overdue": date < (0, _moment["default"])()
    });
    label = /*#__PURE__*/_react["default"].createElement("div", {
      className: classes
    }, day, " ", /*#__PURE__*/_react["default"].createElement(_DueDateTime["default"], {
      time: time,
      setTime: props.setTime
    }));
  }
  var dropdownClasses = (0, _classnames["default"])("gui-duedate__remove", {
    "gui-duedate__remove--not-set": !props.dueDate
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-duedate__header"
  }, "Due date", label, /*#__PURE__*/_react["default"].createElement(_Dropdown["default"], {
    className: dropdownClasses,
    id: "duedate__remove"
  }, /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Trigger, null, /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: "menuDotted"
  })), /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Content, {
    right: true,
    collapse: true
  }, /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].ActionGroup, null, /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Action, {
    className: "gui-duedate__remove-action",
    action: props.removeDueDate,
    danger: true
  }, "Remove due date")))));
}
DueDateHeader.defaultProps = {
  dueDate: null,
  dueTime: null
};
var _default = exports["default"] = DueDateHeader;
//# sourceMappingURL=DueDateHeader.js.map