"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DueDatePicker = DueDatePicker;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _moment = _interopRequireDefault(require("moment"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("./..");
var _Button = _interopRequireDefault(require("../Button"));
var _Dropdown = _interopRequireDefault(require("../Dropdown"));
var _DueDateHeader = _interopRequireDefault(require("./DueDateHeader"));
var _DueDateButton = _interopRequireDefault(require("./DueDateButton"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function DueDatePicker(_ref) {
  var applyDueDate = _ref.applyDueDate,
    removeDueDate = _ref.removeDueDate,
    dueDate = _ref.dueDate,
    children = _ref.children,
    completed = _ref.completed,
    userCanSetDueDate = _ref.userCanSetDueDate,
    autoPosition = _ref.autoPosition,
    triggerButtonTypes = _ref.triggerButtonTypes,
    today = _ref.today;
  var defaultSelectedDay = dueDate ? dueDate.toDate() : null;
  var defaultSelectedTime = dueDate ? (0, _moment["default"])(dueDate) : (0, _moment["default"])().set({
    hours: 17,
    minutes: 0
  });
  var _useState = (0, _react.useState)(false),
    _useState2 = _slicedToArray(_useState, 2),
    changed = _useState2[0],
    setChanged = _useState2[1];
  var _useState3 = (0, _react.useState)(defaultSelectedDay),
    _useState4 = _slicedToArray(_useState3, 2),
    selectedDay = _useState4[0],
    setSelectedDay = _useState4[1];
  var _useState5 = (0, _react.useState)(defaultSelectedTime),
    _useState6 = _slicedToArray(_useState5, 2),
    selectedTime = _useState6[0],
    setSelectedTime = _useState6[1];
  var resetState = function resetState() {
    setChanged(false);
    setSelectedDay(defaultSelectedDay);
    setSelectedTime(defaultSelectedTime);
  };
  (0, _react.useEffect)(function () {
    resetState();
  }, [dueDate]);
  var handleApplyDueDate = function handleApplyDueDate(hideDropdown) {
    if (selectedDay) {
      var newDueDate = (0, _moment["default"])(selectedDay).set({
        hour: selectedTime.hour(),
        minute: selectedTime.minute()
      });
      applyDueDate(newDueDate);
      hideDropdown();
      resetState();
    }
  };
  var handleRemoveDueDate = function handleRemoveDueDate(hideDropdown) {
    removeDueDate();
    // @ts-expect-error TS(2345): Argument of type 'null' is not assignable to param... Remove this comment to see the full error message
    setChanged(null);
    setSelectedDay(null);
    hideDropdown();
  };
  var handleDayClick = function handleDayClick(day, _ref2) {
    var selected = _ref2.selected;
    if (!selected) {
      setSelectedDay(day);
      setChanged(true);
    }
  };
  var handleTimeClick = function handleTimeClick(time) {
    setSelectedTime((0, _moment["default"])(time));
    setChanged(true);
  };
  var classes = (0, _classnames["default"])("gui-duedate__container gui-is-active", {
    "gui-duedate__container--completed": completed
  });
  var buttonClasses = (0, _classnames["default"])("gui-duedate__submit", {
    "gui-duedate__submit--hidden": !changed
  });
  return /*#__PURE__*/_react["default"].createElement("span", {
    className: classes
  }, /*#__PURE__*/_react["default"].createElement(_Dropdown["default"], {
    id: "duedate__dropdown",
    autoPosition: autoPosition,
    onToggle: resetState
  }, function (_ref3) {
    var setShowContent = _ref3.setShowContent;
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_DueDateButton["default"], {
      dueDate: dueDate,
      userCanSetDueDate: userCanSetDueDate,
      types: triggerButtonTypes
    }, children), userCanSetDueDate && /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Content, {
      className: "gui-duedate__dropdown"
    }, function (showContent) {
      return showContent ? /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_DueDateHeader["default"], {
        dueDate: selectedDay,
        dueTime: selectedTime,
        setTime: handleTimeClick,
        removeDueDate: function removeDueDate() {
          return handleRemoveDueDate(function () {
            return setShowContent(false);
          });
        }
      }), /*#__PURE__*/_react["default"].createElement("div", {
        className: "gui-duedate__datepicker"
      }, /*#__PURE__*/_react["default"].createElement(_.Calendar, {
        onDayClick: handleDayClick,
        selectedDay: selectedDay,
        enableWeekendDays: true,
        leftAlignHeader: true,
        today: today
      }), /*#__PURE__*/_react["default"].createElement("div", {
        className: buttonClasses
      }, /*#__PURE__*/_react["default"].createElement(_Button["default"], {
        clickHandler: function clickHandler() {
          return setShowContent(false);
        },
        types: ["link-default", "collapse"],
        className: "gui-duedate__submit--cancel"
      }, "Cancel"), /*#__PURE__*/_react["default"].createElement(_Button["default"], {
        clickHandler: function clickHandler() {
          return handleApplyDueDate(function () {
            return setShowContent(false);
          });
        },
        types: ["primary"],
        className: "gui-duedate__submit--save"
      }, "Set due date")))) : null;
    }));
  }));
}
DueDatePicker.defaultProps = {
  dueDate: null,
  children: null,
  completed: false,
  userCanSetDueDate: true,
  autoPosition: false,
  triggerButtonTypes: []
};
var _default = exports["default"] = DueDatePicker;
//# sourceMappingURL=index.js.map