"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EditableChoiceInput = EditableChoiceInput;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _excluded = ["type", "className", "label", "placeholder", "readOnly", "onChange", "aside", "autoFocus", "onBlur", "onFocus"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function EditableChoiceInput(_ref) {
  var type = _ref.type,
    className = _ref.className,
    label = _ref.label,
    placeholder = _ref.placeholder,
    readOnly = _ref.readOnly,
    onChange = _ref.onChange,
    aside = _ref.aside,
    autoFocus = _ref.autoFocus,
    onBlur = _ref.onBlur,
    onFocus = _ref.onFocus,
    props = _objectWithoutProperties(_ref, _excluded);
  var textInput = (0, _react.useRef)(null);
  (0, _react.useEffect)(function () {
    if (textInput.current && autoFocus) {
      // @ts-expect-error TS(2339): Property 'focus' does not exist on type 'never'.
      textInput.current.focus();
    }
  }, [autoFocus]);
  var _useState = (0, _react.useState)(label),
    _useState2 = _slicedToArray(_useState, 2),
    labelText = _useState2[0],
    setLabelText = _useState2[1];
  var _useState3 = (0, _react.useState)(false),
    _useState4 = _slicedToArray(_useState3, 2),
    isFocused = _useState4[0],
    setIsFocused = _useState4[1];
  var _useState5 = (0, _react.useState)(false),
    _useState6 = _slicedToArray(_useState5, 2),
    showAside = _useState6[0],
    setShowAside = _useState6[1];
  var handleOnChange = function handleOnChange(e) {
    onChange(e);
    setLabelText(e.target.value);
  };
  var handleOnBlur = function handleOnBlur(e) {
    onBlur(e);
    setIsFocused(false);
  };
  var handleOnFocus = function handleOnFocus(e) {
    onFocus(e);
    setIsFocused(true);
  };
  var classNames = (0, _classnames["default"])("gui-text-input-border pl-5 pr-2 ".concat(className), {
    "gui-text-input-border-focus": isFocused
  });
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: classNames,
    onMouseEnter: function onMouseEnter() {
      return setShowAside(true);
    },
    onMouseLeave: function onMouseLeave() {
      return setShowAside(false);
    }
  }, props), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-option-inner flex items-center"
  }, /*#__PURE__*/_react["default"].createElement("input", {
    type: type,
    disabled: true
  }), /*#__PURE__*/_react["default"].createElement("input", {
    "data-testid": "editable-choice-text-input",
    value: labelText,
    placeholder: placeholder,
    type: "text",
    disabled: readOnly,
    onChange: handleOnChange,
    onFocus: handleOnFocus,
    onBlur: handleOnBlur,
    className: "border-none p-3 w-full text-input-base text-input-padding bg-transparent",
    ref: textInput
  }), aside && showAside && aside));
}
EditableChoiceInput.defaultProps = {
  className: "",
  label: "",
  placeholder: "Add label text",
  readOnly: false,
  aside: null,
  autoFocus: false,
  onBlur: function onBlur() {},
  onFocus: function onFocus() {}
};
var _default = exports["default"] = EditableChoiceInput;
//# sourceMappingURL=index.js.map