"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EditableTextWrapperInput = EditableTextWrapperInput;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("./..");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function EditableTextWrapperInput(_ref) {
  var multiline = _ref.multiline,
    className = _ref.className,
    inputLabel = _ref.inputLabel,
    placeholder = _ref.placeholder,
    inputClassNames = _ref.inputClassNames,
    stopEditing = _ref.stopEditing,
    onChange = _ref.onChange,
    value = _ref.value,
    maxLength = _ref.maxLength;
  var _useState = (0, _react.useState)(value),
    _useState2 = _slicedToArray(_useState, 2),
    inputValue = _useState2[0],
    setInputValue = _useState2[1];
  (0, _react.useEffect)(function () {
    if (inputValue !== value) {
      setInputValue(value);
    }
  }, [value]);
  var classes = (0, _classnames["default"])("gui-editable-text__wrapper", "gui-editable-text__wrapper--editing", className, "".concat(className, "--editing"));
  var handleOnKeyDown = function handleOnKeyDown(e) {
    var isEscKey = e.keyCode === 27;
    var isReturnKey = e.keyCode === 13;
    if (isReturnKey) {
      onChange(inputValue);
      stopEditing();
    }
    if (isEscKey) {
      setInputValue(value);
      stopEditing();
    }
  };
  var handleOnBlur = function handleOnBlur() {
    onChange(inputValue);
    stopEditing();
  };
  if (multiline) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: classes
    }, /*#__PURE__*/_react["default"].createElement("label", {
      htmlFor: "editable-text-wrapper-input",
      className: "gui-visually-hidden"
    }, inputLabel), /*#__PURE__*/_react["default"].createElement(_.ExpandingTextArea, {
      placeholder: placeholder,
      className: "gui-editable-text__input ".concat(inputClassNames),
      value: inputValue,
      handleOnChange: function handleOnChange(e) {
        return setInputValue(e.target.value);
      },
      onKeyDown: handleOnKeyDown,
      handleOnFocus: function handleOnFocus(e) {
        return e.target.select();
      },
      handleOnBlur: handleOnBlur,
      focusOnMount: true,
      id: "editable-text-wrapper-input",
      maxLength: maxLength
    }));
  }
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classes
  }, /*#__PURE__*/_react["default"].createElement("label", {
    htmlFor: "editable-text-wrapper-input",
    className: "gui-visually-hidden"
  }, inputLabel), /*#__PURE__*/_react["default"].createElement("input", {
    placeholder: placeholder,
    className: "gui-editable-text__input gui-single-line ".concat(inputClassNames),
    value: inputValue,
    onChange: function onChange(e) {
      return setInputValue(e.target.value);
    },
    onKeyDown: handleOnKeyDown,
    onFocus: function onFocus(e) {
      return e.target.select();
    },
    onBlur: handleOnBlur,
    autoFocus: true // eslint-disable-line jsx-a11y/no-autofocus
    ,
    id: "editable-text-wrapper-input",
    maxLength: maxLength
  }));
}
//# sourceMappingURL=EditableTextWrapperInput.js.map