"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EditableTextWrapperText = EditableTextWrapperText;
var _react = _interopRequireDefault(require("react"));
var _ = require("./..");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function EditableTextWrapperText(_ref) {
  var startEditing = _ref.startEditing,
    title = _ref.title,
    buttonLabel = _ref.buttonLabel,
    className = _ref.className,
    pencilEditOnly = _ref.pencilEditOnly,
    children = _ref.children;
  var handleEditKeyPress = function handleEditKeyPress(event) {
    if (event.key === "Enter") {
      startEditing();
    }
  };
  var handleEditStart = function handleEditStart(event) {
    event.stopPropagation();
    startEditing();
  };
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-editable-text__wrapper ".concat(className)
  }, /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-editable-text__text",
    onClick: pencilEditOnly ? null : startEditing,
    tabIndex: 0
    // @ts-expect-error TS(2322): Type '((event: any) => void) | null' is not assign... Remove this comment to see the full error message
    ,
    onKeyUp: pencilEditOnly ? null : handleEditKeyPress,
    role: "button"
  }, children), /*#__PURE__*/_react["default"].createElement(_.Button, {
    types: ["icon-only"],
    className: "gui-editable-text__button",
    clickHandler: function clickHandler(e) {
      return handleEditStart(e);
    },
    title: title
  }, buttonLabel && /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-visually-hidden"
  }, buttonLabel), /*#__PURE__*/_react["default"].createElement(_.Icon, {
    name: "pencil"
  })));
}
//# sourceMappingURL=EditableTextWrapperText.js.map