"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ExpandingTextArea = ExpandingTextArea;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _excluded = ["placeholder", "handleOnChange", "handleOnBlur", "onRowCountChange", "value", "focusOnMount", "setValue", "className", "minRows", "maxRows", "hasError", "errorMessage", "handleOnFocus"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ExpandingTextArea(_ref) {
  var placeholder = _ref.placeholder,
    handleOnChange = _ref.handleOnChange,
    handleOnBlur = _ref.handleOnBlur,
    onRowCountChange = _ref.onRowCountChange,
    value = _ref.value,
    focusOnMount = _ref.focusOnMount,
    setValue = _ref.setValue,
    className = _ref.className,
    minRows = _ref.minRows,
    maxRows = _ref.maxRows,
    hasError = _ref.hasError,
    errorMessage = _ref.errorMessage,
    handleOnFocus = _ref.handleOnFocus,
    rest = _objectWithoutProperties(_ref, _excluded);
  var _useState = (0, _react.useState)(""),
    _useState2 = _slicedToArray(_useState, 2),
    inputValue = _useState2[0],
    setInputValue = _useState2[1];
  var _useState3 = (0, _react.useState)(1),
    _useState4 = _slicedToArray(_useState3, 2),
    rowCount = _useState4[0],
    setRowCount = _useState4[1];
  var _useState5 = (0, _react.useState)(0),
    _useState6 = _slicedToArray(_useState5, 2),
    rowHeight = _useState6[0],
    setRowHeight = _useState6[1];
  var _useState7 = (0, _react.useState)(0),
    _useState8 = _slicedToArray(_useState7, 2),
    padding = _useState8[0],
    setPadding = _useState8[1];
  var inputRef = (0, _react.useRef)(null);
  var calculateRows = function calculateRows() {
    var newRowHeight = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : rowHeight;
    var newPadding = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : padding;
    var newRows = ~~(
    // @ts-expect-error TS(2531): Object is possibly 'null'.
    (inputRef.current.scrollHeight - newPadding) / newRowHeight);
    if (newRows <= 0 || newRows < minRows) {
      newRows = minRows;
    }
    if (maxRows && newRows > maxRows) {
      newRows = maxRows;
    }
    return newRows;
  };
  var resizeTextArea = function resizeTextArea() {
    if (!inputRef.current) {
      return;
    }
    // @ts-expect-error TS(2339): Property 'rows' does not exist on type 'never'.
    inputRef.current.rows = 1;
    var newRows = calculateRows();
    if (newRows === rowCount) {
      // @ts-expect-error TS(2339): Property 'rows' does not exist on type 'never'.
      inputRef.current.rows = newRows;
    }
    if (newRows !== rowCount) {
      onRowCountChange();
    }
    setRowCount(newRows);
  };
  var setInitialRows = function setInitialRows() {
    // @ts-expect-error TS(2345): Argument of type 'null' is not assignable to param... Remove this comment to see the full error message
    var inputStyle = window.getComputedStyle(inputRef.current);
    var newRowHeight = parseInt(inputStyle.lineHeight, 10);
    var newPadding = parseInt(inputStyle.paddingTop, 10) + parseInt(inputStyle.paddingBottom, 10);
    var initialRows = calculateRows(newRowHeight, newPadding);
    setRowHeight(newRowHeight);
    setPadding(newPadding);
    setRowCount(initialRows);
  };
  var handleChange = function handleChange(e) {
    handleOnChange(e);
    if (!setValue) {
      setInputValue(e.target.value);
      resizeTextArea();
    }
  };
  (0, _react.useEffect)(function () {
    setInitialRows();
    window.addEventListener("resize", resizeTextArea);
    return function () {
      window.removeEventListener("resize", resizeTextArea);
    };
  }, []);
  (0, _react.useEffect)(function () {
    if (!value) {
      setRowCount(minRows);
    }
    if (padding && rowHeight) {
      resizeTextArea();
    }
  }, [value]);
  var classNames = (0, _classnames["default"])("gui-expanding-textarea ".concat(className), {
    "gui-expanding-textarea--has-error": hasError
  });
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("textarea", _extends({
    className: classNames,
    ref: inputRef,
    value: inputValue || value,
    placeholder: placeholder,
    onChange: handleChange,
    onFocus: handleOnFocus,
    onBlur: handleOnBlur,
    rows: rowCount
  }, rest)), hasError && errorMessage && /*#__PURE__*/_react["default"].createElement("span", {
    role: "alert",
    className: "gui-expanding-textarea__error-message"
  }, errorMessage));
}
ExpandingTextArea.defaultProps = {
  handleOnChange: function handleOnChange() {},
  handleOnFocus: function handleOnFocus() {},
  handleOnBlur: function handleOnBlur() {},
  onRowCountChange: function onRowCountChange() {},
  value: "",
  focusOnMount: false,
  setValue: false,
  className: "",
  minRows: 1,
  maxRows: null,
  hasError: false,
  errorMessage: ""
};
var _default = exports["default"] = ExpandingTextArea;
//# sourceMappingURL=index.js.map