"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("FinderNavigation", function () {
  (0, _vitest.it)("adds all the modifier classes", function () {
    var itemClasses = ["gui-finder-item-active", "gui-finder-item-disabled", "gui-finder-item-hover-settings", "gui-finder-item-selected"];
    var contentClasses = ["gui-finder-item-content-hidden", "gui-finder-item-content-folder"];
    var _render = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], null, /*#__PURE__*/_react["default"].createElement(_["default"].Item, {
        "data-testid": "finder-item",
        hoverSettings: false
      }, /*#__PURE__*/_react["default"].createElement(_["default"].ItemContent, {
        "data-testid": "finder-item-content"
      }, "hello!")))),
      rerender = _render.rerender;
    (0, _vitest.expect)(_react2.screen.getByText("hello!"));
    itemClasses.map(function (modifierClass) {
      (0, _vitest.expect)(_react2.screen.getByTestId("finder-item").classList.contains(modifierClass)).toBeFalsy();
    });
    contentClasses.map(function (modifierClass) {
      (0, _vitest.expect)(_react2.screen.getByTestId("finder-item-content").classList.contains(modifierClass)).toBeFalsy();
    });
    rerender( /*#__PURE__*/_react["default"].createElement(_["default"], null, /*#__PURE__*/_react["default"].createElement(_["default"].Item, {
      "data-testid": "finder-item",
      active: true,
      disabled: true,
      hoverSettings: true,
      selected: true
    }, /*#__PURE__*/_react["default"].createElement(_["default"].ItemContent, {
      "data-testid": "finder-item-content",
      hidden: true,
      isFolder: true
    }, "hello!"))));
    itemClasses.map(function (modifierClass) {
      (0, _vitest.expect)(_react2.screen.getByTestId("finder-item").classList.contains(modifierClass)).toBeTruthy();
    });
    contentClasses.map(function (modifierClass) {
      (0, _vitest.expect)(_react2.screen.getByTestId("finder-item-content").classList.contains(modifierClass)).toBeTruthy();
    });
  });
  (0, _vitest.it)("can render a group title and meta", function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], null, /*#__PURE__*/_react["default"].createElement(_["default"].Group, {
      title: "Howdy",
      meta: "partner"
    }, /*#__PURE__*/_react["default"].createElement(_["default"].Item, null, /*#__PURE__*/_react["default"].createElement(_["default"].ItemContent, null, "hello!")))));
    (0, _vitest.expect)(_react2.screen.getByText("hello!"));
    (0, _vitest.expect)(_react2.screen.getByText("Howdy"));
    (0, _vitest.expect)(_react2.screen.getByText("partner"));
  });
});
//# sourceMappingURL=FinderNavigation.spec.js.map