"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = require("../");
var _FolderRowName = require("../FolderRowName");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("FolderRow", function () {
  var renderWrapper = function renderWrapper(ui) {
    var props = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    return (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_.FolderRow, props, ui));
  };
  (0, _vitest.it)("rendering folder name", function () {
    var _renderWrapper = renderWrapper(function () {
        return (
          /*#__PURE__*/
          // @ts-expect-error TS(2694): Namespace 'FolderRow' has no exported member 'Name... Remove this comment to see the full error message
          _react["default"].createElement(_.FolderRow.Name, null, "Folder name")
        );
      }),
      getByText = _renderWrapper.getByText;
    (0, _vitest.expect)(getByText(/folder name/i));
  });
  (0, _vitest.it)("showing the toggle action", function () {
    var _renderWrapper2 = renderWrapper(function () {
        return (
          /*#__PURE__*/
          // @ts-expect-error TS(2694): Namespace 'FolderRow' has no exported member 'Name... Remove this comment to see the full error message
          _react["default"].createElement(_.FolderRow.Name, null, "Folder name")
        );
      }),
      getByTitle = _renderWrapper2.getByTitle;
    (0, _vitest.expect)(getByTitle(_FolderRowName.FolderRowName.defaultProps.toggleTitle));
  });
  (0, _vitest.it)("hiding the toggle action", function () {
    var _renderWrapper3 = renderWrapper(function () {
        return (
          /*#__PURE__*/
          // @ts-expect-error TS(2694): Namespace 'FolderRow' has no exported member 'Name... Remove this comment to see the full error message
          _react["default"].createElement(_.FolderRow.Name, {
            showToggle: false
          }, "Folder name")
        );
      }),
      queryByTitle = _renderWrapper3.queryByTitle;
    (0, _vitest.expect)(queryByTitle(_FolderRowName.FolderRowName.defaultProps.toggleTitle)).toBeNull();
  });
  (0, _vitest.it)("rendering the folder contents", function () {
    var _renderWrapper4 = renderWrapper(function (show, setShow) {
        return (
          /*#__PURE__*/
          // @ts-expect-error TS(2694): Namespace 'FolderRow' has no exported member 'Inne... Remove this comment to see the full error message
          _react["default"].createElement(_.FolderRow.Inner, null, /*#__PURE__*/_react["default"].createElement(_.FolderRow.Name, {
            show: show,
            setShow: setShow
          }, "folder name"), /*#__PURE__*/_react["default"].createElement(_.FolderRow.Contents, {
            show: show
          }, "contents"))
        );
      }),
      getByText = _renderWrapper4.getByText,
      queryByText = _renderWrapper4.queryByText,
      getByTitle = _renderWrapper4.getByTitle;
    (0, _vitest.expect)(queryByText(/contents/i)).toBeNull();
    _react2.fireEvent.click(getByTitle(_FolderRowName.FolderRowName.defaultProps.toggleTitle));
    (0, _vitest.expect)(getByText(/contents/i));
  });
});
//# sourceMappingURL=FolderRow.spec.js.map