"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
var _Input = require("../../src/modules/input/Input");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("Form", function () {
  (0, _vitest.it)("renders a form that calls onSubmit", function () {
    var onSubmit = _vitest.vi.fn();
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
      onSubmit: onSubmit,
      "aria-label": "form"
    }, /*#__PURE__*/_react["default"].createElement(_Input.Input, null)));
    (0, _vitest.expect)(onSubmit).not.toHaveBeenCalled();
    _react2.fireEvent.submit(_react2.screen.getByRole("form"));
    (0, _vitest.expect)(onSubmit).toHaveBeenCalled();
  });
  (0, _vitest.it)("calls onCancel on esc key down", function () {
    var onCancel = _vitest.vi.fn();
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
      onCancel: onCancel,
      "aria-label": "form",
      escToClose: true
    }, /*#__PURE__*/_react["default"].createElement(_Input.Input, null)));
    (0, _vitest.expect)(onCancel).not.toHaveBeenCalled();
    _react2.fireEvent.keyDown(_react2.screen.getByRole("form"), {
      keyCode: 27
    });
    (0, _vitest.expect)(onCancel).toHaveBeenCalled();
  });
});
//# sourceMappingURL=Form.spec.js.map