"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _FormInput = _interopRequireDefault(require("../FormInput"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("FormInput", function () {
  (0, _vitest.it)("renders the input that calls a prop on change", function () {
    var onInputChange = _vitest.vi.fn();
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_FormInput["default"], {
      onInputChange: onInputChange,
      placeholder: "Input friend"
    }));
    (0, _vitest.expect)(_react2.screen.getByPlaceholderText("Input friend").classList.contains("gui-form__input--has-error")).toBeFalsy();
    _react2.fireEvent.change(_react2.screen.getByPlaceholderText("Input friend"), {
      target: {
        value: "Hey friend!"
      }
    });
    (0, _vitest.expect)(onInputChange).toHaveBeenCalled();
  });
  (0, _vitest.it)("displays an error message", function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_FormInput["default"], {
      placeholder: "yikes",
      hasError: true,
      errorMessage: "A big oof has happened"
    }));
    (0, _vitest.expect)(_react2.screen.getByPlaceholderText("yikes").classList.contains("gui-form__input--has-error")).toBeTruthy();
    (0, _vitest.expect)(_react2.screen.getByText("A big oof has happened"));
  });
});
//# sourceMappingURL=FormInput.spec.js.map