"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _Label = _interopRequireDefault(require("../Label"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("Label", function () {
  (0, _vitest.it)("adds modifier classes", function () {
    var parentClasses = ["gui-is-disabled", "gui-form-checkbox__label--hinted"];
    var classes = ["gui-is-highlight", "gui-is-active"];
    var _render = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
        id: "123",
        label: "Its me, the label"
      })),
      rerender = _render.rerender;
    var parent = _react2.screen.getByText("Its me, the label").parentNode;
    parentClasses.map(function (modifierClass) {
      (0, _vitest.expect)(parent.classList.contains(modifierClass)).toBe(false);
    });
    classes.map(function (modifierClass) {
      (0, _vitest.expect)(_react2.screen.getByText("Its me, the label").classList.contains(modifierClass)).toBe(false);
    });
    rerender( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      id: "123",
      label: "Its me, the label",
      active: true,
      highlight: true,
      hinted: true,
      disabled: true
    }));
    parent = _react2.screen.getByText("Its me, the label").parentNode;
    parentClasses.map(function (modifierClass) {
      (0, _vitest.expect)(parent.classList.contains(modifierClass)).toBe(true);
    });
    classes.map(function (modifierClass) {
      (0, _vitest.expect)(_react2.screen.getByText("Its me, the label").classList.contains(modifierClass)).toBe(true);
    });
  });
  (0, _vitest.it)("renders a subtitle", function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      id: "123",
      label: "Its me, the label",
      subtitle: "and its me, the subtitle"
    }));
    (0, _vitest.expect)(_react2.screen.getByText("and its me, the subtitle"));
  });
  (0, _vitest.it)("can render a button instead of a label", function () {
    var _render2 = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
        id: "123",
        label: "I'm a label, not a button"
      })),
      rerender = _render2.rerender;
    (0, _vitest.expect)(_react2.screen.getByText("I'm a label, not a button"));
    (0, _vitest.expect)(_react2.screen.queryByRole("button")).toBeFalsy();
    rerender( /*#__PURE__*/_react["default"].createElement(_Label["default"], {
      id: "123",
      label: "Teehee now im a button",
      overrideLabelDefault: true
    }));
    (0, _vitest.expect)(_react2.screen.getByText("Teehee now im a button"));
    (0, _vitest.expect)(_react2.screen.getByRole("button"));
  });
});
//# sourceMappingURL=Label.spec.js.map