"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CheckboxGroup = CheckboxGroup;
var _react = _interopRequireWildcard(require("react"));
var _ = _interopRequireDefault(require("."));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function CheckboxGroup(_ref) {
  var choices = _ref.choices,
    onAddingChoice = _ref.onAddingChoice,
    onRemovingChoice = _ref.onRemovingChoice,
    labelMouseEnter = _ref.labelMouseEnter,
    labelMouseLeave = _ref.labelMouseLeave,
    overrideLabelDefault = _ref.overrideLabelDefault,
    active = _ref.active,
    disabled = _ref.disabled;
  var checkedChoices = choices.filter(function (c) {
    return c.checked;
  });
  var _useState = (0, _react.useState)(checkedChoices),
    _useState2 = _slicedToArray(_useState, 2),
    selected = _useState2[0],
    setSelected = _useState2[1];
  (0, _react.useEffect)(function () {
    if ((checkedChoices === null || checkedChoices === void 0 ? void 0 : checkedChoices.length) !== (selected === null || selected === void 0 ? void 0 : selected.length)) {
      setSelected(checkedChoices);
    }
  }, [checkedChoices === null || checkedChoices === void 0 ? void 0 : checkedChoices.length]);
  var isChecked = function isChecked(choice) {
    return selected.filter(function (c) {
      return c.id === choice.id;
    }).length > 0;
  };
  var addChoice = function addChoice(choice) {
    setSelected(selected.concat(choice));
    onAddingChoice(choice);
  };
  var removeChoice = function removeChoice(choice) {
    setSelected(selected.filter(function (c) {
      return c.id !== choice.id;
    }));
    onRemovingChoice(choice);
  };
  var onChange = function onChange(e) {
    var choice = choices.filter(function (c) {
      return c.id === e.target.id;
    })[0];
    return isChecked(choice) ? removeChoice(choice) : addChoice(choice);
  };
  return /*#__PURE__*/_react["default"].createElement("div", null, choices.map(function (choice) {
    return /*#__PURE__*/_react["default"].createElement(_["default"], _extends({
      key: choice.id
    }, choice, {
      onChangeHandler: onChange,
      checked: isChecked(choice),
      overrideLabelDefault: overrideLabelDefault,
      labelMouseEnter: labelMouseEnter,
      labelMouseLeave: labelMouseLeave,
      active: active,
      disabled: disabled
    }));
  }));
}
CheckboxGroup.defaultProps = {
  overrideLabelDefault: false,
  labelMouseEnter: function labelMouseEnter() {},
  labelMouseLeave: function labelMouseLeave() {},
  onAddingChoice: function onAddingChoice() {},
  onRemovingChoice: function onRemovingChoice() {},
  active: false,
  disabled: false
};
//# sourceMappingURL=Group.js.map