"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function Label(_ref) {
  var label = _ref.label,
    id = _ref.id,
    subtitle = _ref.subtitle,
    className = _ref.className,
    highlight = _ref.highlight,
    labelMouseEnter = _ref.labelMouseEnter,
    labelMouseLeave = _ref.labelMouseLeave,
    overrideLabelDefault = _ref.overrideLabelDefault,
    active = _ref.active,
    disabled = _ref.disabled,
    hinted = _ref.hinted;
  var labelClasses = (0, _classnames["default"])("gui-form-checkbox__label ".concat(className), {
    "gui-is-disabled": disabled,
    "gui-form-checkbox__label--hinted": hinted
  });
  var textElementClasses = (0, _classnames["default"])("gui-form-input__text", {
    "gui-is-highlight": highlight,
    "gui-is-active": active
  });
  var buttonElementClasses = (0, _classnames["default"])({
    "gui-is-highlight": highlight
  });
  var handleOnClick = function handleOnClick() {
    if (typeof overrideLabelDefault === "function") {
      overrideLabelDefault();
    }
  };
  if (overrideLabelDefault) {
    return /*#__PURE__*/_react["default"].createElement("button", {
      type: "button",
      className: "gui-form-checkbox__label--button ".concat(className, " ").concat(buttonElementClasses),
      onClick: handleOnClick,
      onMouseEnter: labelMouseEnter,
      onMouseLeave: labelMouseLeave
    }, /*#__PURE__*/_react["default"].createElement("span", {
      className: textElementClasses
    }, label), subtitle && /*#__PURE__*/_react["default"].createElement("span", {
      className: "gui-form-checkbox__subtitle"
    }, subtitle));
  }
  return /*#__PURE__*/_react["default"].createElement("label", {
    htmlFor: id,
    className: labelClasses
  }, /*#__PURE__*/_react["default"].createElement("span", {
    className: textElementClasses
  }, label), subtitle && /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-form-checkbox__subtitle"
  }, subtitle));
}
Label.defaultProps = {
  subtitle: "",
  className: "",
  highlight: false,
  overrideLabelDefault: false,
  labelMouseEnter: function labelMouseEnter() {},
  labelMouseLeave: function labelMouseLeave() {},
  active: false,
  disabled: false,
  hinted: false
};
var _default = exports["default"] = Label;
//# sourceMappingURL=index.js.map