"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
var _Input = require("../../src/modules/input/Input");
var _Label = require("../../src/modules/label/Label");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("FormModal", function () {
  var submitHandler = _vitest.vi.fn();
  (0, _vitest.it)("renders a modal with a form", function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
      title: "FormModal example",
      submitText: "Submit",
      cancelText: "Cancel",
      submitHandler: submitHandler,
      show: true,
      onHide: function onHide() {}
    }, /*#__PURE__*/_react["default"].createElement(_Label.Label, {
      htmlFor: "form-modal-field-a"
    }, "Field A"), /*#__PURE__*/_react["default"].createElement(_Input.Input, {
      id: "form-modal-field-a"
    })));
    (0, _vitest.expect)(_react2.screen.getByText("FormModal example"));
    (0, _vitest.expect)(_react2.screen.getByText("Cancel"));
    _react2.fireEvent.change(_react2.screen.getByLabelText("Field A"), {
      target: {
        value: "Waffles"
      }
    });
    _react2.fireEvent.click(_react2.screen.getByText("Submit"));
    (0, _vitest.expect)(submitHandler).toHaveBeenCalled();
  });
});
//# sourceMappingURL=FormModal.spec.js.map