"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FormModal = FormModal;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _Button = _interopRequireDefault(require("../Button"));
var _ProgressButton = _interopRequireDefault(require("../ProgressButton"));
var _Modal = _interopRequireDefault(require("../Modal"));
var _excluded = ["children", "title", "submitText", "submitHandler", "cancelText", "formIsSubmitting"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function FormModal(_ref) {
  var children = _ref.children,
    title = _ref.title,
    submitText = _ref.submitText,
    submitHandler = _ref.submitHandler,
    cancelText = _ref.cancelText,
    formIsSubmitting = _ref.formIsSubmitting,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_Modal["default"].Container, rest, /*#__PURE__*/_react["default"].createElement("form", {
    onSubmit: submitHandler
  }, /*#__PURE__*/_react["default"].createElement(_Modal["default"].Header, null, title), /*#__PURE__*/_react["default"].createElement(_Modal["default"].Body, null, children), /*#__PURE__*/_react["default"].createElement(_Modal["default"].Footer, null, /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    types: ["link"],
    clickHandler: rest.onHide
  }, cancelText), /*#__PURE__*/_react["default"].createElement(_ProgressButton["default"], {
    buttonType: "primary",
    value: submitText,
    clickHandler: function clickHandler(e) {
      return e;
    },
    isSubmit: true,
    useShowSpinnerProp: true,
    showSpinner: formIsSubmitting
  }))));
}
FormModal.defaultProps = {
  formIsSubmitting: false
};
var _default = exports["default"] = FormModal;
//# sourceMappingURL=index.js.map