"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Guideline = Guideline;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Button = _interopRequireDefault(require("../Button"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function Guideline(_ref) {
  var children = _ref.children,
    title = _ref.title,
    onToggle = _ref.onToggle,
    className = _ref.className,
    dir = _ref.dir;
  var _useState = (0, _react.useState)(true),
    _useState2 = _slicedToArray(_useState, 2),
    showContent = _useState2[0],
    setShowContent = _useState2[1];
  var _useState3 = (0, _react.useState)(null),
    _useState4 = _slicedToArray(_useState3, 2),
    style = _useState4[0],
    setStyle = _useState4[1];
  var guidelineBody = (0, _react.useRef)(null);
  var getHeight = function getHeight() {
    if (guidelineBody.current) {
      // @ts-expect-error TS(2339): Property 'getBoundingClientRect' does not exist on... Remove this comment to see the full error message
      var _guidelineBody$curren = guidelineBody.current.getBoundingClientRect(),
        height = _guidelineBody$curren.height;
      if (height !== 0) {
        // @ts-expect-error TS(2345): Argument of type '{ maxHeight: any; }' is not assi... Remove this comment to see the full error message
        setStyle({
          maxHeight: height
        });
      }
    }
  };
  var toggleShow = function toggleShow() {
    var newShowContent = !showContent;
    setShowContent(newShowContent);
    onToggle(newShowContent);
    getHeight();
  };
  (0, _react.useEffect)(function () {
    if (children) {
      getHeight();
    }
  }, [guidelineBody.current]);
  var toggleText = showContent ? "Hide guidelines" : "Show guidelines";
  var classNames = (0, _classnames["default"])("gui-guideline bg-blue-98 border border-blue-90 border-solid ".concat(className), {
    "gui-is-active": showContent
  });
  var buttonClasses = (0, _classnames["default"])("gui-guideline__button", {
    "ml-auto": dir === "ltr",
    "mr-auto": dir === "rtl ml-0"
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classNames,
    dir: dir
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-guideline__head"
  }, /*#__PURE__*/_react["default"].createElement("h2", {
    className: "gui-guideline__title"
  }, title), children && /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    types: ["link-default", "collapse"],
    onClick: toggleShow,
    className: buttonClasses
  }, toggleText)), children && /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-guideline__body"
    // @ts-expect-error TS(2322): Type 'null' is not assignable to type 'CSSProperti... Remove this comment to see the full error message
    ,
    style: showContent ? style : null,
    ref: guidelineBody
  }, children));
}
Guideline.defaultProps = {
  children: "",
  onToggle: function onToggle() {},
  className: "",
  dir: "ltr"
};
var _default = exports["default"] = Guideline;
//# sourceMappingURL=index.js.map