"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("Icon", function () {
  (0, _vitest.it)("appends the icon name to the class", function () {
    var _render = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
        name: "comment"
      })),
      rerender = _render.rerender;
    (0, _vitest.expect)(_react2.screen.getByRole("figure").classList.contains("gui-icon--comment")).toBeTruthy();
    rerender( /*#__PURE__*/_react["default"].createElement(_["default"], {
      name: "pencil"
    }));
    (0, _vitest.expect)(_react2.screen.getByRole("figure").classList.contains("gui-icon--pencil")).toBeTruthy();
  });
  (0, _vitest.it)("renders icon text", function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
      name: "comment",
      text: "Howdy there"
    }));
    (0, _vitest.expect)(_react2.screen.getByText("Howdy there"));
  });
  (0, _vitest.it)("adds a notification", function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
      name: "comment",
      notification: 2
    }));
    (0, _vitest.expect)(_react2.screen.getByText(2));
  });
});
//# sourceMappingURL=Icon.spec.js.map