"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InputConfirmationModal = InputConfirmationModal;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _ = require("./..");
var _excluded = ["onHide", "show", "introTitle", "confirmTitle", "introBody", "confirmBody", "buttonText", "confirmKeyword", "onConfirm", "className", "loading", "skipConfirm"];
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function InputConfirmationModal(_ref) {
  var onHide = _ref.onHide,
    show = _ref.show,
    introTitle = _ref.introTitle,
    confirmTitle = _ref.confirmTitle,
    introBody = _ref.introBody,
    confirmBody = _ref.confirmBody,
    buttonText = _ref.buttonText,
    confirmKeyword = _ref.confirmKeyword,
    onConfirm = _ref.onConfirm,
    className = _ref.className,
    loading = _ref.loading,
    skipConfirm = _ref.skipConfirm,
    rest = _objectWithoutProperties(_ref, _excluded);
  var _useState = (0, _react.useState)(""),
    _useState2 = _slicedToArray(_useState, 2),
    value = _useState2[0],
    setValue = _useState2[1];
  var _useState3 = (0, _react.useState)(true),
    _useState4 = _slicedToArray(_useState3, 2),
    showIntro = _useState4[0],
    setShowIntro = _useState4[1];
  var disableButton = !skipConfirm && value !== confirmKeyword || loading;
  return /*#__PURE__*/_react["default"].createElement(_.Modal.Container, _extends({
    className: "gui-modal--clear gui-modal--input-confirm ".concat(className),
    show: show,
    onHide: onHide
  }, rest), /*#__PURE__*/_react["default"].createElement(_.Modal.Header, null, showIntro ? introTitle : confirmTitle), /*#__PURE__*/_react["default"].createElement(_.Modal.Body, null, showIntro ? introBody : /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, confirmBody, /*#__PURE__*/_react["default"].createElement(_.FormInput, {
    className: "mt-3 w-64",
    value: value,
    onInputChange: setValue,
    placeholder: "Type ".concat(confirmKeyword, " to confirm")
  }))), /*#__PURE__*/_react["default"].createElement(_.Modal.Footer, null, /*#__PURE__*/_react["default"].createElement(_.ButtonTertiary, {
    className: "mr-2",
    onClick: onHide
  }, "Cancel"), showIntro && !skipConfirm ? /*#__PURE__*/_react["default"].createElement(_.ButtonSecondary, {
    onClick: function onClick() {
      return setShowIntro(false);
    }
  }, "Confirm") : /*#__PURE__*/_react["default"].createElement(_.ButtonPrimaryDanger, {
    onClick: onConfirm,
    disabled: disableButton,
    loading: loading
  }, buttonText)));
}
InputConfirmationModal.defaultProps = {
  onHide: function onHide() {},
  show: false,
  buttonText: "Delete",
  confirmKeyword: "DELETE",
  className: "",
  loading: false,
  skipConfirm: false
};
var _default = exports["default"] = InputConfirmationModal;
//# sourceMappingURL=InputConfirmationModal.js.map