"use strict";

var _vitest = require("vitest");
var _react = require("@testing-library/react");
var _ = require("../..");
var _react2 = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
(0, _vitest.describe)("InputConfirmationModal", function () {
  var onConfirmSpy = _vitest.vi.fn();
  var defaultProps = {
    onConfirm: onConfirmSpy,
    introTitle: "Do a delete",
    confirmTitle: "Confirm a delete",
    introBody: "ready to delete something?",
    confirmBody: "are you sure you are sure?",
    show: true,
    onHide: _vitest.vi.fn()
  };
  var renderWrapper = function renderWrapper() {
    var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps;
    return (0, _react.render)( /*#__PURE__*/_react2["default"].createElement(_.InputConfirmationModal, props));
  };
  (0, _vitest.afterEach)(function () {
    (0, _react.cleanup)();
    _vitest.vi.restoreAllMocks();
    _vitest.vi.clearAllMocks();
  });
  (0, _vitest.it)("makes you confirm by typing the keyword", function () {
    var _renderWrapper = renderWrapper(),
      getByText = _renderWrapper.getByText,
      getByPlaceholderText = _renderWrapper.getByPlaceholderText;
    (0, _vitest.expect)(getByText(defaultProps.introTitle));
    (0, _vitest.expect)(getByText(defaultProps.introBody));
    _react.fireEvent.click(getByText("Confirm"));
    (0, _vitest.expect)(getByText(defaultProps.confirmTitle));
    (0, _vitest.expect)(getByText(defaultProps.confirmBody));
    _react.fireEvent.click(getByText("Delete"));
    (0, _vitest.expect)(onConfirmSpy).not.toBeCalled();
    var confirmInput = getByPlaceholderText("Type DELETE to confirm");
    _react.fireEvent.change(confirmInput, {
      target: {
        value: "PLOP"
      }
    });
    _react.fireEvent.click(getByText("Delete"));
    (0, _vitest.expect)(onConfirmSpy).not.toBeCalled();
    _react.fireEvent.change(confirmInput, {
      target: {
        value: "DELETE"
      }
    });
    _react.fireEvent.click(getByText("Delete"));
    (0, _vitest.expect)(onConfirmSpy).toBeCalled();
  });
  (0, _vitest.it)("lets you skip the confirmation", function () {
    var _renderWrapper2 = renderWrapper(_objectSpread(_objectSpread({}, defaultProps), {}, {
        // @ts-expect-error TS(2345): Argument of type '{ skipConfirm: boolean; onConfir... Remove this comment to see the full error message
        skipConfirm: true
      })),
      getByText = _renderWrapper2.getByText;
    (0, _vitest.expect)(getByText(defaultProps.introTitle));
    (0, _vitest.expect)(getByText(defaultProps.introBody));
    _react.fireEvent.click(getByText("Delete"));
    (0, _vitest.expect)(onConfirmSpy).toBeCalled();
  });
});
//# sourceMappingURL=InputConfirmationModal.spec.js.map