"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("InputWithButton", function () {
  (0, _vitest.it)("can change the button text after clicking", function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"]
    // @ts-expect-error no overload matches this call
    , {
      inputId: "input",
      buttonId: "button",
      value: "Hello",
      buttonText: "Click me",
      buttonTextAfterClick: "Ouchy",
      onClick: function onClick() {}
    }));
    (0, _vitest.expect)(_react2.screen.queryByText("Ouchy")).toBeFalsy();
    _react2.fireEvent.click(_react2.screen.getByText("Click me"));
    (0, _vitest.expect)(_react2.screen.queryByText("Click me")).toBeFalsy();
    (0, _vitest.expect)(_react2.screen.getByText("Ouchy"));
  });
  (0, _vitest.it)("can add a small modifier", function () {
    var _render = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"]
      // @ts-expect-error no overload matches this call
      , {
        inputId: "input",
        buttonId: "button",
        value: "Hello",
        buttonText: "Clicky"
      })),
      rerender = _render.rerender;
    var wrapper = _react2.screen.getByText("Clicky").parentNode;
    (0, _vitest.expect)(wrapper.classList.contains("gui-input-with-button--padding-small")).toBeFalsy();
    rerender( /*#__PURE__*/_react["default"].createElement(_["default"]
    // @ts-expect-error no overload matches this call
    , {
      inputId: "input",
      buttonId: "button",
      value: "Hello",
      buttonText: "Clicky",
      paddingSmall: true
    }));
    _react2.screen.getByText("Clicky").parentNode;
    (0, _vitest.expect)(wrapper.classList.contains("gui-input-with-button--padding-small")).toBeTruthy();
  });
});
//# sourceMappingURL=InputWithButton.spec.js.map