"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ItemRow = ItemRow;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ItemRowName = require("./ItemRowName");
var _ItemRowAside = require("./ItemRowAside");
var _ItemRowData = require("./ItemRowData");
var _excluded = ["children", "stacked", "className", "bordered", "list"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ItemRow(_ref) {
  var children = _ref.children,
    stacked = _ref.stacked,
    className = _ref.className,
    bordered = _ref.bordered,
    list = _ref.list,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classNames = (0, _classnames["default"])("gui-item-row ".concat(className), {
    "gui-item-row--stacked": stacked,
    "gui-item-row--bordered": bordered,
    "gui-item-row-list": list
  });
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: classNames
  }, rest), children);
}
ItemRow.defaultProps = {
  stacked: false,
  bordered: false,
  className: ""
};
ItemRow.Name = _ItemRowName.ItemRowName;
ItemRow.Aside = _ItemRowAside.ItemRowAside;
ItemRow.Data = _ItemRowData.ItemRowData;
//# sourceMappingURL=index.js.map