"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LayoutOverlaySidebar = LayoutOverlaySidebar;
var _react = _interopRequireDefault(require("react"));
var easings = _interopRequireWildcard(require("d3-ease"));
var _classnames = _interopRequireDefault(require("classnames"));
var _reactSpring = require("react-spring");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); } // @ts-expect-error TS(7016): Could not find a declaration file for module 'd3-e... Remove this comment to see the full error message
function LayoutOverlaySidebar(_ref) {
  var children = _ref.children,
    isOpen = _ref.isOpen,
    direction = _ref.direction,
    width = _ref.width,
    className = _ref.className,
    onTransitionEnd = _ref.onTransitionEnd;
  var classNames = (0, _classnames["default"])("gui-layout-overlay-sidebar", {
    "border-l border-r-0": direction === "right",
    "border-r border-l-0": direction === "left"
  }, "border-solid border-neutral-90 border-b-0 border-t-0 h-full bg-white shadow", className);
  var transitions = (0, _reactSpring.useTransition)(isOpen, null, {
    from: _defineProperty({
      position: "absolute",
      width: width
    }, direction, "-".concat(width)),
    enter: _defineProperty({}, direction, "0"),
    leave: _defineProperty({}, direction, "-".concat(width)),
    onDestroyed: onTransitionEnd,
    config: {
      easing: easings.easeCubic,
      duration: 300
    }
  });
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, transitions.map(function (_ref2) {
    var item = _ref2.item,
      key = _ref2.key,
      props = _ref2.props;
    return item && /*#__PURE__*/_react["default"].createElement(_reactSpring.animated.aside, {
      className: classNames,
      key: key,
      style: props
    }, children);
  }));
}
LayoutOverlaySidebar.defaultProps = {
  isOpen: false,
  width: "25%",
  direction: "right"
};
//# sourceMappingURL=LayoutOverlaySidebar.js.map