"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Layout = Layout;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Body = require("./Body");
var _Footer = require("./Footer");
var _Header = require("./Header");
var _SubHeader = require("./SubHeader");
var _Main = require("./Main");
var _InlineSidebar = require("./InlineSidebar");
var _Section = require("./Section");
var _LayoutOverlaySidebar = require("./LayoutOverlaySidebar");
var _excluded = ["children", "className", "fullScreen"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function Layout(_ref) {
  var children = _ref.children,
    className = _ref.className,
    fullScreen = _ref.fullScreen,
    rest = _objectWithoutProperties(_ref, _excluded);
  var layoutClassName = (0, _classnames["default"])("gui-layout flex flex-col overflow-x-hidden", className, {
    "h-screen": fullScreen
  });
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: layoutClassName
  }, rest), children);
}
Layout.defaultProps = {
  className: "",
  fullScreen: true
};
Layout.Header = _Header.Header;
Layout.SubHeader = _SubHeader.SubHeader;
Layout.Main = _Main.Main;
Layout.Body = _Body.Body;
Layout.Footer = _Footer.Footer;
Layout.OverlaySidebar = _LayoutOverlaySidebar.LayoutOverlaySidebar;
Layout.InlineSidebar = _InlineSidebar.InlineSidebar;
Layout.Section = _Section.Section;
//# sourceMappingURL=index.js.map