"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
var _ListItem = _interopRequireDefault(require("../ListItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("List", function () {
  var classList = ["gui-list--bordered-right", "gui-list--bordered-left", "gui-list--bordered"];
  (0, _vitest.it)("adds modifier classes", function () {
    var _render = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], null, /*#__PURE__*/_react["default"].createElement(_ListItem["default"], null, "I'm an item!"))),
      rerender = _render.rerender;
    classList.map(function (modifierClass) {
      (0, _vitest.expect)(_react2.screen.getByRole("list").classList.contains(modifierClass)).toBe(false);
    });
    rerender( /*#__PURE__*/_react["default"].createElement(_["default"], {
      bordered: true,
      borderedLeft: true,
      borderedRight: true
    }, /*#__PURE__*/_react["default"].createElement(_ListItem["default"], null, "I'm an item!")));
    classList.map(function (modifierClass) {
      (0, _vitest.expect)(_react2.screen.getByRole("list").classList.contains(modifierClass)).toBe(true);
    });
  });
  (0, _vitest.it)("displays sublists", function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], null, /*#__PURE__*/_react["default"].createElement(_ListItem["default"], null, "I'm an item!", /*#__PURE__*/_react["default"].createElement(_["default"], null, /*#__PURE__*/_react["default"].createElement(_ListItem["default"], null, "I'm a sub list")))));
    (0, _vitest.expect)(_react2.screen.getByText("I'm an item!"));
    _react2.fireEvent.click(_react2.screen.getByTitle("Show sublist"));
    (0, _vitest.expect)(_react2.screen.getByText("I'm a sub list"));
  });
});
//# sourceMappingURL=List.spec.js.map