"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("LoadingOverlay", function () {
  (0, _vitest.it)("can optionally load the svg", function () {
    var _render = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], null)),
      rerender = _render.rerender;
    (0, _vitest.expect)(_react2.screen.getByTitle("Loading"));
    rerender( /*#__PURE__*/_react["default"].createElement(_["default"], {
      hideSVG: true
    }));
    (0, _vitest.expect)(_react2.screen.queryByTitle("Loading")).toBeFalsy();
  });
  (0, _vitest.it)("can optionally load a fixed modifier", function () {
    var _render2 = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], null)),
      rerender = _render2.rerender;
    (0, _vitest.expect)(_react2.screen.getByRole("status").classList.contains("gui-loading-overlay--fixed")).toBeFalsy();
    rerender( /*#__PURE__*/_react["default"].createElement(_["default"], {
      fixed: true
    }));
    (0, _vitest.expect)(_react2.screen.getByRole("status").classList.contains("gui-loading-overlay--fixed")).toBeTruthy();
  });
  (0, _vitest.it)("can optionally load text and a loading percentage", function () {
    var loadingText = "Gathering flumps";
    var loadingPercentage = 25;
    var _render3 = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], null)),
      rerender = _render3.rerender;
    (0, _vitest.expect)(_react2.screen.queryByText(loadingText)).toBeFalsy();
    (0, _vitest.expect)(_react2.screen.queryByText("".concat(loadingPercentage, "%"))).toBeFalsy();
    rerender( /*#__PURE__*/_react["default"].createElement(_["default"], {
      percentageLoaded: loadingPercentage,
      loadingText: loadingText
    }));
    (0, _vitest.expect)(_react2.screen.getByText(loadingText));
    (0, _vitest.expect)(_react2.screen.getByText("".concat(loadingPercentage, "%")));
  });
});
//# sourceMappingURL=LoadingOverlay.spec.js.map