"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Logo = Logo;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var logoSVG = function logoSVG(props) {
  return /*#__PURE__*/_react["default"].createElement("svg", _extends({
    width: "40",
    height: "40",
    viewBox: "0 0 40 40",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), /*#__PURE__*/_react["default"].createElement("path", {
    fill: "#0AF",
    d: "M0 0h40v40H0z"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M26.54 11.25a5.971 5.971 0 0 1 5.426 3.485 5.916 5.916 0 0 1-.936 6.357l-7.427 7.397A5.02 5.02 0 0 1 20.007 30a5.074 5.074 0 0 1-3.618-1.515l-.515-.507 2.517-2.504.536.53a1.506 1.506 0 0 0 2.155.021l7.122-7.086c.392-.434.607-.998.601-1.582a2.383 2.383 0 0 0-.695-1.703 2.408 2.408 0 0 0-1.705-.708 2.342 2.342 0 0 0-1.596.6L14.095 26.21l-5.129-5.124A5.952 5.952 0 0 1 7.5 17.17a5.94 5.94 0 0 1 3.596-5.428 5.995 5.995 0 0 1 6.44 1.1l.73.724-2.53 2.516s-.404-.415-.546-.54a2.345 2.345 0 0 0-1.586-.596 2.408 2.408 0 0 0-1.708.695 2.383 2.383 0 0 0-.708 1.696 2.337 2.337 0 0 0 .601 1.595l2.287 2.274 7.987-7.937a5.955 5.955 0 0 1 4.477-2.019z",
    fill: "#fff"
  }));
};
/**
 * @usage
 *
 * <Logo url="http://example.com/myimage.png" alt="Alt Tag" />
 */
function Logo(props) {
  var LogoPath = props.url || logoSVG;
  var image = typeof LogoPath === "string" ? /*#__PURE__*/_react["default"].createElement("img", {
    src: props.url,
    alt: props.alt,
    className: "gui-logo__image"
  }) : /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-logo__image gui-bynder-logo"
  }, /*#__PURE__*/_react["default"].createElement(LogoPath, null));
  return /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-logo"
  }, image);
}
Logo.defaultProps = {
  url: "",
  alt: "GatherContent Logo"
};
var _default = exports["default"] = Logo;
//# sourceMappingURL=index.js.map