"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.LegacyModalContext = void 0;
var _react = _interopRequireWildcard(require("react"));
var _ = require("./..");
var _classnames = _interopRequireDefault(require("classnames"));
var _excluded = ["size", "highlight", "overflow", "overflowHalf", "mediaOnly", "collapse"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
var LegacyModalContext = exports.LegacyModalContext = /*#__PURE__*/(0, _react.createContext)({});
function Modal(props) {
  var size = props.size,
    highlight = props.highlight,
    overflow = props.overflow,
    overflowHalf = props.overflowHalf,
    mediaOnly = props.mediaOnly,
    collapse = props.collapse,
    rest = _objectWithoutProperties(props, _excluded);
  var classNames = (0, _classnames["default"])(props.className, "gui-legacy-modal", {
    "gui-modal--small": size === "small",
    "gui-modal--large": size === "large",
    "gui-modal--x-large": size === "x-large",
    "gui-modal--full-screen": size === "full-screen",
    "gui-modal--highlight": highlight,
    "gui-modal--overflow": overflow,
    "gui-modal--overflow-half": overflowHalf,
    "gui-modal--media-only": mediaOnly,
    "gui-modal--collapse": collapse
  });
  var sharedState = {
    onHide: props.onHide
  };
  return /*#__PURE__*/_react["default"].createElement(LegacyModalContext.Provider, {
    value: sharedState
  }, /*#__PURE__*/_react["default"].createElement(_.NewModal, _extends({}, rest, {
    className: classNames
  }), props.children));
}
Modal.defaultProps = {
  size: "",
  className: "",
  overflow: false,
  overflowHalf: false,
  mediaOnly: false,
  collapse: false,
  highlight: false
};
var _default = exports["default"] = Modal;
//# sourceMappingURL=Modal.js.map