"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _bar = _interopRequireDefault(require("../bar"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("NotificationBar", function () {
  (0, _vitest.it)("renders the correct level class", function () {
    var _render = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_bar["default"], null, "I'm notifying you!")),
      rerender = _render.rerender;
    (0, _vitest.expect)(_react2.screen.getByText("I'm notifying you!"));
    (0, _vitest.expect)(_react2.screen.queryByTitle("Close notification")).toEqual(null);
    (0, _vitest.expect)(_react2.screen.getByRole("button").classList.contains("bg-yellow-primary"));
    rerender( /*#__PURE__*/_react["default"].createElement(_bar["default"], {
      level: "danger"
    }, "I'm notifying you!"));
    (0, _vitest.expect)(_react2.screen.getByRole("button").classList.contains("bg-red-primary"));
    rerender( /*#__PURE__*/_react["default"].createElement(_bar["default"], {
      level: "information"
    }, "I'm notifying you!"));
    (0, _vitest.expect)(_react2.screen.getByRole("button").classList.contains("bg-blue-primary"));
    rerender( /*#__PURE__*/_react["default"].createElement(_bar["default"], {
      level: "promo"
    }, "I'm notifying you!"));
    (0, _vitest.expect)(_react2.screen.getByRole("button").classList.contains("bg-purple-primary"));
  });
  (0, _vitest.it)("adds a close button", function () {
    var onClose = _vitest.vi.fn();
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_bar["default"], {
      onClose: onClose
    }, "I'm notifying you!"));
    _react2.fireEvent.click(_react2.screen.getByTitle("Close notification"));
    (0, _vitest.expect)(onClose).toHaveBeenCalled();
  });
});
//# sourceMappingURL=NotificationBar.spec.js.map