"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Button = _interopRequireDefault(require("../../Button"));
var _Icon = _interopRequireDefault(require("../../Icon"));
var _barTypes = require("./barTypes");
var _excluded = ["children", "clickHandler", "className", "center", "onClose"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
/**
 * @usage
 *
 * <NotificationBarBase>This is a warning</NotificationBarBase>
 */
function NotificationBarBase(_ref) {
  var children = _ref.children,
    clickHandler = _ref.clickHandler,
    className = _ref.className,
    center = _ref.center,
    onClose = _ref.onClose,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classes = (0, _classnames["default"])({
    "cursor-pointer": clickHandler,
    "text-center": center,
    flex: onClose,
    "justify-end": center && onClose
  });
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    role: "button",
    onClick: clickHandler,
    onKeyPress: clickHandler,
    className: "gui-notification text-base font-semi-bold p-3 border-0 rounded-none gui-inherit-color-icon gui-inherit-color-link ".concat(classes, " ").concat(className),
    tabIndex: 0
  }, rest), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-notification__content w-full"
  }, children), onClose && /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    onClick: onClose,
    types: ["icon-only"],
    className: "gui-notification__close ml-auto"
  }, /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: "cross",
    title: "Close notification",
    defaultActiveColor: false
  })));
}
NotificationBarBase.defaultProps = _barTypes.defaults;
var _default = exports["default"] = NotificationBarBase;
//# sourceMappingURL=NotificationBarBase.js.map