"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _inlineTypes = require("./inlineTypes");
var _Icon = _interopRequireDefault(require("../../Icon"));
var _excluded = ["children", "className", "textClassName", "iconName", "showShadow"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
/**
 * @usage
 *
 * <NotificationInlineBase>This is a warning</NotificationInlineBase>
 */
function NotificationInlineBase(_ref) {
  var children = _ref.children,
    _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    _ref$textClassName = _ref.textClassName,
    textClassName = _ref$textClassName === void 0 ? "" : _ref$textClassName,
    iconName = _ref.iconName,
    showShadow = _ref.showShadow,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classes = (0, _classnames["default"])({
    "shadow-large": showShadow
  });
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    role: "alert",
    className: "gui-notification text-base font-semi-bold py-3 px-4 border-2 border-solid inline-flex text-neutral-20 bg-white rounded items-center gui-inherit-color-icon gui-inherit-color-link  ".concat(classes, " ").concat(className)
  }, rest), /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: iconName,
    className: "".concat(textClassName, " mr-3"),
    defaultActiveColor: false,
    defaultFillColor: false
  }), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-notification__content w-full"
  }, children));
}
NotificationInlineBase.defaultProps = _inlineTypes.defaults;
var _default = exports["default"] = NotificationInlineBase;
//# sourceMappingURL=NotificationInlineBase.js.map