"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MenuItem = MenuItem;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Icon = _interopRequireDefault(require("../Icon"));
var _excluded = ["text", "iconName", "selected", "className", "iconTitle"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function MenuItem(_ref) {
  var text = _ref.text,
    iconName = _ref.iconName,
    selected = _ref.selected,
    className = _ref.className,
    iconTitle = _ref.iconTitle,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classes = (0, _classnames["default"])(className, "bg-white hover:bg-neutral-95", "rounded-small w-48 border-0", "py-1 px-2", "mb-1", "flex items-center", "focus:outline-none focus:shadow-blue-focus-sm", {
    "text-neutral-20": !selected,
    "text-blue-primary": selected
  });
  return /*#__PURE__*/_react["default"].createElement("button", _extends({
    className: classes,
    type: "button"
  }, rest), iconName && /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    className: "pr-2",
    name: iconName,
    defaultActiveColor: false,
    types: selected ? ["primary-blue"] : [],
    title: iconTitle
  }), text);
}
MenuItem.defaultProps = {
  iconName: null,
  iconTitle: "",
  selected: false,
  className: ""
};
//# sourceMappingURL=MenuItem.js.map