"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("PageInformation", function () {
  (0, _vitest.it)("Renders page information and an editable title", function () {
    var renameMock = _vitest.vi.fn();
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
      title: "I am the title",
      contextName: "title",
      subtitle: "I'm the subtitle",
      editable: true,
      rename: renameMock
    }));
    (0, _vitest.expect)(_react2.screen.getByText("I am the title"));
    (0, _vitest.expect)(_react2.screen.getByText("I'm the subtitle"));
    _react2.fireEvent.click(_react2.screen.getByText("I am the title"));
    _react2.fireEvent.change(_react2.screen.getByLabelText("Rename title"), {
      target: {
        value: "hey"
      }
    });
    _react2.fireEvent.blur(_react2.screen.getByLabelText("Rename title"));
    (0, _vitest.expect)(renameMock).toHaveBeenCalledWith("hey");
  });
});
//# sourceMappingURL=PageInformation.spec.js.map