"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DeleteablePill = DeleteablePill;
var _react = _interopRequireDefault(require("react"));
var _Pill = _interopRequireDefault(require("../Pill"));
var _Icon = _interopRequireDefault(require("../Icon"));
var _Button = _interopRequireDefault(require("../Button"));
var _TooltipWrapper = _interopRequireDefault(require("../TooltipWrapper"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function DeleteablePill(_ref) {
  var name = _ref.name,
    onRemove = _ref.onRemove,
    warning = _ref.warning,
    id = _ref.id;
  var pillType = warning ? _Pill["default"].types.red : _Pill["default"].types["default"];
  return /*#__PURE__*/_react["default"].createElement(_TooltipWrapper["default"], {
    id: "pill-input-pill-tooltip-".concat(id),
    tooltipText: warning
  }, /*#__PURE__*/_react["default"].createElement(_Pill["default"], {
    className: "mr-1 mb-1",
    type: pillType
  }, /*#__PURE__*/_react["default"].createElement("p", {
    className: "gui-h-margin-clear gui-h-margin-right-half"
  }, name), /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    onClick: onRemove,
    types: ["clear"]
  }, /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: "cross"
  }))));
}
DeleteablePill.defaultProps = {
  onRemove: function onRemove() {},
  warning: null
};
//# sourceMappingURL=DeleteablePill.js.map