"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PillInput = PillInput;
var _react = _interopRequireWildcard(require("react"));
var _v = _interopRequireDefault(require("uuid/v1"));
var _classnames = _interopRequireDefault(require("classnames"));
var _DeleteablePill = require("../DeleteablePill");
var _useKeyDownHandlers = require("./useKeyDownHandlers");
var _excluded = ["className", "checker", "placeholder", "onPillsChange", "initialPills"]; // @ts-expect-error TS(7016): Could not find a declaration file for module 'uuid... Remove this comment to see the full error message
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function PillInput(_ref) {
  var className = _ref.className,
    checker = _ref.checker,
    placeholder = _ref.placeholder,
    onPillsChange = _ref.onPillsChange,
    initialPills = _ref.initialPills,
    rest = _objectWithoutProperties(_ref, _excluded);
  var checkPill = function checkPill(pillName) {
    return !checker || checker.regex.test(pillName);
  };
  var initialPillsValidated = initialPills.map(function (pill) {
    return _objectSpread(_objectSpread({}, pill), {}, {
      isValid: checkPill(pill.name)
    });
  });
  var _useState = (0, _react.useState)(false),
    _useState2 = _slicedToArray(_useState, 2),
    isFocused = _useState2[0],
    setIsFocused = _useState2[1];
  var _useState3 = (0, _react.useState)(initialPillsValidated),
    _useState4 = _slicedToArray(_useState3, 2),
    pills = _useState4[0],
    setPills = _useState4[1];
  var _useState5 = (0, _react.useState)(""),
    _useState6 = _slicedToArray(_useState5, 2),
    inputValue = _useState6[0],
    setInputValue = _useState6[1];
  var addPills = function addPills(pillNames) {
    var pillsToAdd = pillNames.reduce(function (acc, pillName) {
      if (!pillName) {
        return acc;
      }
      var isValid = checkPill(pillName);
      return [].concat(_toConsumableArray(acc), [{
        name: pillName,
        id: (0, _v["default"])(),
        isValid: isValid
      }]);
    }, []);
    setPills([].concat(_toConsumableArray(pills), _toConsumableArray(pillsToAdd)));
  };
  var removePill = function removePill(id) {
    var newPills = pills.filter(function (pill) {
      return pill.id !== id;
    });
    setPills(newPills);
  };
  var removeLastPill = function removeLastPill() {
    var newPills = pills.slice(0, pills.length - 1);
    setPills(newPills);
  };
  var _onChange = function onChange(value) {
    var pillNamesFromValue = value.split(" ");
    var numberOfPillNames = pillNamesFromValue.length;
    if (numberOfPillNames === 1) {
      return setInputValue(value);
    }
    var lastPillNameIndex = numberOfPillNames - 1;
    var pillNamesToAdd = pillNamesFromValue.slice(0, lastPillNameIndex);
    addPills(pillNamesToAdd);
    var newValue = pillNamesFromValue.slice(lastPillNameIndex)[0];
    return setInputValue(newValue);
  };
  var onFocus = function onFocus() {
    setIsFocused(true);
  };
  var onBlur = function onBlur() {
    addPills([inputValue]);
    setInputValue("");
    setIsFocused(false);
  };
  var containerClassName = (0, _classnames["default"])("".concat(className, " gui-pill-input__container gui-form__input gui-h-padding-quarter gui-h-padding-bottom-clear"), {
    "gui-pill-input--focused": isFocused
  });
  (0, _react.useEffect)(function () {
    onPillsChange(pills);
  }, [pills]);
  var inputRef = (0, _react.useRef)(null);
  (0, _useKeyDownHandlers.useKeyDownHandlers)({
    pills: pills,
    addPills: addPills,
    removeLastPill: removeLastPill,
    inputValue: inputValue,
    setInputValue: setInputValue,
    inputRef: inputRef
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: containerClassName
  }, pills.map(function (_ref2) {
    var id = _ref2.id,
      name = _ref2.name,
      isValid = _ref2.isValid;
    return /*#__PURE__*/_react["default"].createElement(_DeleteablePill.DeleteablePill, {
      key: id,
      id: id,
      name: name,
      onRemove: function onRemove() {
        return removePill(id);
      },
      warning: isValid ? null : checker.warning
    });
  }), /*#__PURE__*/_react["default"].createElement("input", _extends({}, rest, {
    ref: inputRef,
    placeholder: !pills.length ? placeholder : "",
    className: "gui-pill-input__input gui-h-margin-bottom-quarter gui-h-margin-right-quarter gui-h-padding-bottom-quarter gui-h-padding-top-quarter gui-h-padding-left-quarter gui-h-padding-right-quarter",
    value: inputValue,
    onChange: function onChange(_ref3) {
      var value = _ref3.target.value;
      return _onChange(value);
    },
    onFocus: onFocus,
    onBlur: onBlur
  })));
}
PillInput.defaultProps = {
  className: "",
  checker: null,
  placeholder: "",
  onPillsChange: function onPillsChange() {},
  initialPills: []
};
//# sourceMappingURL=PillInput.js.map