"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useKeyDownHandlers = useKeyDownHandlers;
var _react = require("react");
function useKeyDownHandlers(_ref) {
  var pills = _ref.pills,
    addPills = _ref.addPills,
    removeLastPill = _ref.removeLastPill,
    inputValue = _ref.inputValue,
    setInputValue = _ref.setInputValue,
    inputRef = _ref.inputRef;
  (0, _react.useEffect)(function () {
    var handleEnter = function handleEnter(event) {
      event.preventDefault();
      addPills([inputValue]);
      setInputValue('');
    };
    var handleBackSpace = function handleBackSpace() {
      if (inputValue) {
        return;
      }
      removeLastPill();
    };
    var handleKeyDown = function handleKeyDown(event) {
      if (event.target !== inputRef.current) {
        return;
      }
      var ENTER_KEY_CODE = 13;
      var BACKSPACE_KEY_CODE = 8;
      if (event.keyCode === ENTER_KEY_CODE) {
        handleEnter(event);
      }
      if (event.keyCode === BACKSPACE_KEY_CODE) {
        handleBackSpace();
      }
    };
    if (!inputRef) {
      return function () {};
    }
    var KEYDOWN_EVENT = 'keydown';
    document.addEventListener(KEYDOWN_EVENT, handleKeyDown);
    return function () {
      return document.removeEventListener(KEYDOWN_EVENT, handleKeyDown);
    };
  }, [inputRef.current, inputValue, pills]);
}
//# sourceMappingURL=useKeyDownHandlers.js.map