"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("ProgressButton", function () {
  (0, _vitest.it)("Renders a button that displays a spinner on click", function () {
    var clickHandler = _vitest.vi.fn();
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
      value: "click me!",
      spinnerText: "ive been clicked!",
      clickHandler: clickHandler
    }));
    (0, _vitest.expect)(_react2.screen.getByText("click me!"));
    _react2.fireEvent.click(_react2.screen.getByRole("button"));
    (0, _vitest.expect)(_react2.screen.queryByText("click me!")).toEqual(null);
    (0, _vitest.expect)(_react2.screen.getByText("ive been clicked!"));
    (0, _vitest.expect)(clickHandler).toHaveBeenCalled();
    (0, _vitest.expect)(_react2.screen.getByTitle("Loading"));
  });
});
//# sourceMappingURL=ProgressButton.spec.js.map