"use strict";

var _react = _interopRequireDefault(require("react"));
var _vitest = require("vitest");
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("Search", function () {
  (0, _vitest.it)("does a search", function () {
    var onChange = _vitest.vi.fn();
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], null, /*#__PURE__*/_react["default"].createElement(_["default"].Input, {
      onChange: onChange
    }), /*#__PURE__*/_react["default"].createElement(_["default"].Body, {
      "data-testid": "search-body"
    }, /*#__PURE__*/_react["default"].createElement(_["default"].Options, null, "I'm some options"), /*#__PURE__*/_react["default"].createElement(_["default"].List, null, /*#__PURE__*/_react["default"].createElement(_["default"].ListItem, {
      title: "bloop",
      subText: "123 435"
    }, "Waffles"), /*#__PURE__*/_react["default"].createElement(_["default"].ListItem, {
      title: "blorp",
      subText: "123 435"
    }, "Pancakes")))));
    (0, _vitest.expect)(_react2.screen.getByTestId("search-body").classList.contains("gui-display-results")).toEqual(false);
    _react2.fireEvent.click(_react2.screen.getByTitle("Open search"));
    _react2.fireEvent.change(_react2.screen.getByLabelText("Search"), {
      target: {
        value: "PLOP"
      }
    });
    (0, _vitest.expect)(_react2.screen.getByTestId("search-body").classList.contains("gui-display-results")).toEqual(true);
    (0, _vitest.expect)(_react2.screen.getByText("I'm some options"));
    (0, _vitest.expect)(_react2.screen.getByText("Waffles"));
    (0, _vitest.expect)(_react2.screen.getByText("Pancakes"));
    (0, _vitest.expect)(_react2.screen.getByLabelText("Search").getAttribute("value")).toEqual("PLOP");
    _react2.fireEvent.click(_react2.screen.getByTitle("Clear search"));
    (0, _vitest.expect)(_react2.screen.getByLabelText("Search").getAttribute("value")).toEqual("");
    _react2.fireEvent.click(_react2.screen.getByTitle("Close search"));
    (0, _vitest.expect)(_react2.screen.getByTestId("search-body").classList.contains("gui-display-results")).toEqual(false);
  });
});
//# sourceMappingURL=Search.spec.js.map