"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)('SearchDropdown', function () {
  var mockResults = [{
    name: "item 1",
    action: function action() {}
  }, {
    name: "item 2",
    action: function action() {}
  }];
  var onChange = _vitest.vi.fn();
  (0, _vitest.it)('displays the search results and calls the onChange prop', function () {
    (0, _react2.render)(
    /*#__PURE__*/
    // @ts-expect-error TS(2554): props mismatch.
    _react["default"].createElement(_["default"], {
      placeholder: "search me!",
      results: mockResults,
      handleOnChange: onChange
    }));
    (0, _vitest.expect)(onChange).not.toHaveBeenCalled();
    _react2.fireEvent.change(_react2.screen.getByPlaceholderText("search me!"), {
      target: {
        value: 'im searching!'
      }
    });
    (0, _vitest.expect)(onChange).toHaveBeenCalled();
    (0, _vitest.expect)(_react2.screen.getByText(mockResults[0].name));
    (0, _vitest.expect)(_react2.screen.getByText(mockResults[1].name));
  });
});
//# sourceMappingURL=SearchDropdown.spec.js.map