"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SectionHeader = SectionHeader;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _SectionHeaderTitle = require("./SectionHeaderTitle");
var _excluded = ["title", "cta", "children", "className", "collapse", "noBorder"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function SectionHeader(_ref) {
  var title = _ref.title,
    cta = _ref.cta,
    children = _ref.children,
    className = _ref.className,
    collapse = _ref.collapse,
    noBorder = _ref.noBorder,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classes = (0, _classnames["default"])("gui-section-header ".concat(className), {
    "gui-section-header-collapse": collapse,
    "gui-section-header-no-border": noBorder
  });
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: classes
  }, rest), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-section-header__inner"
  }, /*#__PURE__*/_react["default"].createElement(_SectionHeaderTitle.SectionHeaderTitle, {
    title: title
  }, children), cta));
}
SectionHeader.defaultProps = {
  cta: null,
  children: null,
  className: ""
};
var _default = exports["default"] = SectionHeader;
//# sourceMappingURL=index.js.map