"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SelectionBar = SelectionBar;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("./..");
var _SelectionBarAction = _interopRequireDefault(require("./SelectionBarAction"));
var _SelectionBarDivider = _interopRequireDefault(require("./SelectionBarDivider"));
var _SelectionBarCancel = _interopRequireDefault(require("./SelectionBarCancel"));
var _SelectionBarInformation = _interopRequireDefault(require("./SelectionBarInformation"));
var _SelectionBarActions = _interopRequireDefault(require("./SelectionBarActions"));
var _SelectionBarCounter = _interopRequireDefault(require("./SelectionBarCounter"));
var _excluded = ["fixed", "autoHide", "hasSelected", "children", "animatableProperties"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function SelectionBar(_ref) {
  var fixed = _ref.fixed,
    autoHide = _ref.autoHide,
    hasSelected = _ref.hasSelected,
    children = _ref.children,
    animatableProperties = _ref.animatableProperties,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classNames = (0, _classnames["default"])("gui-selection-bar", {
    "gui-selection-bar--fixed": fixed,
    "gui-selection-bar--auto-hide": autoHide,
    "gui-has-selected": hasSelected
  });
  return /*#__PURE__*/_react["default"].createElement(_.AnimatedWrapper, _extends({
    className: classNames,
    animatableProperties: animatableProperties
  }, rest), /*#__PURE__*/_react["default"].createElement(_.Row, {
    className: "m-0"
  }, children));
}
SelectionBar.Information = _SelectionBarInformation["default"];
SelectionBar.Cancel = _SelectionBarCancel["default"];
SelectionBar.Action = _SelectionBarAction["default"];
SelectionBar.Actions = _SelectionBarActions["default"];
SelectionBar.Divider = _SelectionBarDivider["default"];
SelectionBar.Counter = _SelectionBarCounter["default"];
SelectionBar.defaultProps = {
  fixed: false,
  autoHide: false,
  animatableProperties: {}
};
var _default = exports["default"] = SelectionBar;
//# sourceMappingURL=index.js.map