"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Selection = Selection;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("..");
var _Button = _interopRequireDefault(require("../../Button"));
var _StoryItem = _interopRequireDefault(require("../../../stories/styleguide/StoryItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
var _default = exports["default"] = {
  title: 'Legacy/Selection'
};
var items = _toConsumableArray(new Array(8)).map(function (i, index) {
  return {
    id: index + 1,
    type: index % 2 === 0 ? 'type-1' : 'type-2',
    data: {
      key: 'womp'
    }
  };
});
function Selection() {
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "Selecting Items"
  }, /*#__PURE__*/_react["default"].createElement(_.SelectionProvider, null, /*#__PURE__*/_react["default"].createElement(_.SelectionContext.Consumer, null, function (context) {
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, items.map(function (i) {
      return /*#__PURE__*/_react["default"].createElement(_Button["default"], {
        onClick: function onClick() {
          return context.updateSelected(i.id, 'type-1', {
            key: 'data'
          });
        }
      }, context.selected.includes(i.id) ? 'selected' : 'not selected');
    }), /*#__PURE__*/_react["default"].createElement(_Button["default"], {
      types: ['danger'],
      onClick: function onClick() {
        return context.clear();
      }
    }, "Clear"));
  }))), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "Restricting items using currentSelectedType"
  }, /*#__PURE__*/_react["default"].createElement(_.SelectionProvider, null, /*#__PURE__*/_react["default"].createElement(_.SelectionContext.Consumer, null, function (context) {
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, items.map(function (i) {
      return /*#__PURE__*/_react["default"].createElement(_Button["default"], {
        disabled: context.currentSelectedType && i.type !== context.currentSelectedType,
        onClick: function onClick() {
          return context.updateSelected(i.id, i.type, i.data);
        },
        types: i.type === 'type-1' ? ['primary'] : ['outline']
      }, context.selected.includes(i.id) ? 'selected' : 'not selected');
    }), /*#__PURE__*/_react["default"].createElement(_Button["default"], {
      types: ['danger'],
      onClick: function onClick() {
        return context.clear();
      }
    }, "Clear"));
  }))));
}
Selection.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=Selection.stories.js.map