"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ShortcutTrigger = ShortcutTrigger;
exports["default"] = void 0;
var _react = require("react");
var _v = _interopRequireDefault(require("uuid/v1"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; } // @ts-expect-error TS(7016): Could not find a declaration file for module 'uuid... Remove this comment to see the full error message
function ShortcutTrigger(_ref) {
  var shortcutKey = _ref.shortcutKey,
    onShortcutTrigger = _ref.onShortcutTrigger,
    withCtrlKey = _ref.withCtrlKey,
    withMetaKey = _ref.withMetaKey,
    withAltKey = _ref.withAltKey,
    withShiftKey = _ref.withShiftKey;
  var _useState = (0, _react.useState)(null),
    _useState2 = _slicedToArray(_useState, 2),
    shouldExecuteEvent = _useState2[0],
    setShouldExecuteEvent = _useState2[1];
  var doesKeyMeetRequirements = function doesKeyMeetRequirements(keyIsRequired, keyValue) {
    return keyIsRequired ? keyValue : !keyValue;
  };
  var checkCoreKeyRequirements = function checkCoreKeyRequirements(event) {
    return doesKeyMeetRequirements(withCtrlKey, event.ctrlKey) && doesKeyMeetRequirements(withMetaKey, event.metaKey) && doesKeyMeetRequirements(withAltKey, event.altKey) && doesKeyMeetRequirements(withShiftKey, event.shiftKey);
  };
  var shortcutHasBeenExecuted = function shortcutHasBeenExecuted(event) {
    return event.key === shortcutKey ? checkCoreKeyRequirements(event) : false;
  };
  var onKeyDown = function onKeyDown(event) {
    if (event.target.type === "text") {
      return event;
    }
    if (shortcutHasBeenExecuted(event) && !event.repeat) {
      setShouldExecuteEvent({
        // @ts-expect-error TS(2345): Argument of type '{ id: any; event: any; }' is not... Remove this comment to see the full error message
        id: (0, _v["default"])(),
        event: event
      });
    }
    return event;
  };
  (0, _react.useEffect)(function () {
    if (shouldExecuteEvent) {
      // @ts-expect-error TS(2339): Property 'event' does not exist on type 'never'.
      onShortcutTrigger(shouldExecuteEvent.event);
    }
    // @ts-expect-error TS(2339): Property 'id' does not exist on type 'never'.
  }, [shouldExecuteEvent === null || shouldExecuteEvent === void 0 ? void 0 : shouldExecuteEvent.id]);
  (0, _react.useEffect)(function () {
    document.addEventListener("keydown", onKeyDown);
    return function () {
      document.removeEventListener("keydown", onKeyDown);
    };
  }, []);
  return null;
}
ShortcutTrigger.defaultProps = {
  withCtrlKey: false,
  withMetaKey: false,
  withShiftKey: false,
  withAltKey: false
};
var _default = exports["default"] = ShortcutTrigger;
//# sourceMappingURL=index.js.map