"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StatusIndicator = StatusIndicator;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Icon = _interopRequireDefault(require("../Icon"));
var _TooltipWrapper = _interopRequireDefault(require("../TooltipWrapper"));
var _excluded = ["className", "approved", "completed", "circleLarge", "showDescription", "collapsed", "bordered", "small", "medium", "softLabel", "readOnly", "row", "color", "preText", "label", "actions", "description", "children", "labelFontSize"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function StatusIndicator(_ref) {
  var className = _ref.className,
    approved = _ref.approved,
    completed = _ref.completed,
    circleLarge = _ref.circleLarge,
    showDescription = _ref.showDescription,
    collapsed = _ref.collapsed,
    bordered = _ref.bordered,
    small = _ref.small,
    medium = _ref.medium,
    softLabel = _ref.softLabel,
    readOnly = _ref.readOnly,
    row = _ref.row,
    color = _ref.color,
    preText = _ref.preText,
    label = _ref.label,
    actions = _ref.actions,
    description = _ref.description,
    children = _ref.children,
    labelFontSize = _ref.labelFontSize,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classNames = (0, _classnames["default"])(className, {
    "gui-status-indicator": true,
    "gui-status-indicator--completed": completed,
    "gui-status-indicator--collapsed": collapsed,
    "gui-status-indicator--bordered": bordered,
    "gui-status-indicator--small": small,
    "gui-status-indicator--medium": medium,
    "gui-status-indicator--soft-label": softLabel,
    "gui-status-indicator--read-only": readOnly,
    "gui-status-indicator--row": row
  });
  var circleClassNames = (0, _classnames["default"])("gui-status-indicator__circle", {
    "gui-status-indicator__circle--large": circleLarge || approved
  });
  var style = completed ? {} : {
    backgroundColor: color
  };
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: classNames
  }, rest), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-status-indicator__label-row"
  }, preText && /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-status-indicator__pre-text"
  }, preText), /*#__PURE__*/_react["default"].createElement("span", {
    className: circleClassNames,
    style: style
  }, approved && /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: "boldTickSmall",
    types: ["white"],
    defaultActiveColor: false
  })), label && /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-status-indicator__label-wrapper"
  }, /*#__PURE__*/_react["default"].createElement("h3", {
    className: "gui-status-indicator__label",
    title: label
  }, /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-status-indicator__label-text gui-typo-size-".concat(labelFontSize)
  }, label)), readOnly && /*#__PURE__*/_react["default"].createElement(_TooltipWrapper["default"], {
    id: label,
    tooltipText: "Read only"
  }, /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: "lock",
    className: "gui-status-indicator__readonly",
    defaultActiveColor: false
  }))), actions && /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-status-indicator__actions"
  }, actions)), showDescription && /*#__PURE__*/_react["default"].createElement("p", {
    className: "gui-status-indicator__description"
  }, description), children && /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-status-indicator__children"
  }, children));
}
StatusIndicator.defaultProps = {
  className: "",
  children: null,
  actions: null,
  color: "#fff",
  label: "",
  completed: false,
  showDescription: false,
  collapsed: false,
  bordered: false,
  small: false,
  medium: false,
  softLabel: false,
  description: "",
  preText: "",
  readOnly: false,
  approved: false,
  circleLarge: false,
  row: false,
  labelFontSize: "base"
};
var _default = exports["default"] = StatusIndicator;
//# sourceMappingURL=index.js.map