"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StatusIndicator = StatusIndicator;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = _interopRequireDefault(require(".."));
var _DueDatePicker = _interopRequireDefault(require("../../DueDatePicker"));
var _Button = _interopRequireDefault(require("../../Button"));
var _StoryItem = _interopRequireDefault(require("../../../stories/styleguide/StoryItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); } // eslint-disable-next-line import/no-named-as-default
var _default = exports["default"] = {
  title: 'Legacy/Status Indicator',
  component: _["default"],
  args: {
    label: 'Editing',
    current: false,
    circleLarge: false,
    medium: false,
    approved: false,
    action: false,
    row: false,
    small: false,
    softLabel: false,
    readOnly: false,
    bordered: false,
    completed: false,
    color: 'rgb(250, 167, 50)'
  },
  argTypes: {
    color: {
      name: 'Colour',
      control: {
        type: 'color'
      }
    }
  }
};
function StatusIndicator(args) {
  return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "Status Indicator",
    description: "Indicator for the workflow status"
  }, /*#__PURE__*/_react["default"].createElement(_["default"], _extends({
    description: "Edits to be made in response to user testing and the feedback from the senior editor and subject matter expert."
  }, args, {
    actions: args.action ? /*#__PURE__*/_react["default"].createElement(_Button["default"], {
      types: ['primary'],
      clickHandler: function clickHandler() {}
    }, "Test Button") : null
  }), /*#__PURE__*/_react["default"].createElement(_DueDatePicker["default"], {
    applyDueDate: function applyDueDate() {},
    removeDueDate: function removeDueDate() {}
  }, "Due Tommorrow at 12:00pm"))), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    description: "Rowed and soft labeled"
  }, /*#__PURE__*/_react["default"].createElement(_["default"], {
    color: "#93724f",
    label: "Draft",
    row: true,
    softLabel: true
  }, /*#__PURE__*/_react["default"].createElement(_DueDatePicker["default"], {
    applyDueDate: function applyDueDate() {},
    removeDueDate: function removeDueDate() {},
    autoPosition: true,
    row: true
  }, "20th Feb 2019")), /*#__PURE__*/_react["default"].createElement(_["default"], {
    color: "green",
    label: "Publishing",
    row: true,
    softLabel: true
  }, /*#__PURE__*/_react["default"].createElement(_DueDatePicker["default"], {
    applyDueDate: function applyDueDate() {},
    removeDueDate: function removeDueDate() {},
    autoPosition: true,
    row: true
  }, "20th Feb 2019"))));
}
//# sourceMappingURL=StatusIndicator.stories.js.map