"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tab = Tab;
exports.TabContext = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _index = require("./index");
var _TabsRow = require("./TabsRow");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
var TabContext = exports.TabContext = /*#__PURE__*/_react["default"].createContext({});
function Tab(_ref) {
  var children = _ref.children,
    id = _ref.id,
    index = _ref.index;
  var _useContext = (0, _react.useContext)(_index.TabsContext),
    activeTabId = _useContext.activeTabId;
  var _useContext2 = (0, _react.useContext)(_TabsRow.TabsRowContext),
    colCount = _useContext2.colCount;
  var _useState = (0, _react.useState)(false),
    _useState2 = _slicedToArray(_useState, 2),
    actionsAreActive = _useState2[0],
    setActionsAreActive = _useState2[1];
  var _useState3 = (0, _react.useState)(false),
    _useState4 = _slicedToArray(_useState3, 2),
    isEditing = _useState4[0],
    setIsEditing = _useState4[1];
  var formInputRef = (0, _react.useRef)(null);
  var isActive = id === activeTabId;
  var location = index + 1;
  var endOfFullRow = location % colCount === 0;
  var borderClasses = (0, _classnames["default"])("border border-solid border-neutral-90 border-t-0 border-b-0 border-l-0", {
    "border-r-0": endOfFullRow
  });
  var wrapperClasses = (0, _classnames["default"])("gui-tab-wrapper flex relative group overflow-hidden ".concat(borderClasses), {
    "bg-neutral-95 hover:bg-neutral-90": !isActive,
    "bg-white": isActive
  });
  var tabClasses = (0, _classnames["default"])("gui-tab flex items-center no-underline outline-none border-0 font-semi-bold h-full bg-transparent w-full px-2", {
    "text-blue-primary": isActive,
    "text-neutral-primary focus:bg-neutral-90": !isActive
  });
  var sharedState = {
    id: id,
    isActive: isActive,
    actionsAreActive: actionsAreActive,
    setActionsAreActive: setActionsAreActive,
    isEditing: isEditing,
    setIsEditing: setIsEditing,
    formInputRef: formInputRef
  };
  return /*#__PURE__*/_react["default"].createElement(TabContext.Provider, {
    value: sharedState
  }, children(wrapperClasses, tabClasses));
}
//# sourceMappingURL=Tab.js.map