"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabNameForm = TabNameForm;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Tab = require("./Tab");
var _index = require("./index");
var _ShortcutTrigger = _interopRequireDefault(require("../ShortcutTrigger"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function TabNameForm(_ref) {
  var className = _ref.className,
    initialName = _ref.initialName,
    setActiveTab = _ref.setActiveTab,
    submitTabForm = _ref.submitTabForm,
    placeholder = _ref.placeholder;
  var _useContext = (0, _react.useContext)(_Tab.TabContext),
    id = _useContext.id,
    isEditing = _useContext.isEditing,
    setIsEditing = _useContext.setIsEditing,
    formInputRef = _useContext.formInputRef,
    isActive = _useContext.isActive,
    setActionsAreActive = _useContext.setActionsAreActive;
  var _useContext2 = (0, _react.useContext)(_index.TabsContext),
    tabsLength = _useContext2.tabsLength;
  var _useState = (0, _react.useState)(initialName),
    _useState2 = _slicedToArray(_useState, 2),
    tabName = _useState2[0],
    setTabName = _useState2[1];
  var nameToSet = tabName.trim();
  var contentRef = (0, _react.useRef)(null);
  var _useState3 = (0, _react.useState)(null),
    _useState4 = _slicedToArray(_useState3, 2),
    inputWidth = _useState4[0],
    setInputWidth = _useState4[1];
  var placeholderWidth = 122;
  (0, _react.useEffect)(function () {
    if (contentRef.current) {
      var padding = 1;
      // @ts-expect-error TS(2339): Property 'parentNode' does not exist on type 'neve... Remove this comment to see the full error message
      var parentWidth = contentRef.current.parentNode.offsetWidth;
      // @ts-expect-error TS(2339): Property 'offsetWidth' does not exist on type 'nev... Remove this comment to see the full error message
      var newWidth = contentRef.current.offsetWidth;
      var newInputWidth = newWidth >= parentWidth ? parentWidth : newWidth;
      setInputWidth( // @ts-expect-error TS(2345): Argument of type 'string' is not assignable to par... Remove this comment to see the full error message
      "".concat(tabName === "" ? placeholderWidth : newInputWidth + padding, "px"));
    }
  }, [tabName, tabsLength]);
  var valueWithWhitespaceUnicode = tabName.replace(/ /g, "\xA0");
  var sharedClassNames = (0, _classnames["default"])("border-solid block rounded outline-none px-2 z-10 bg-transparent", {
    "border border-transparent hover:border-neutral-90": !isEditing,
    "border-2 border-blue-primary z-50": isEditing
  });
  var labelClassNames = (0, _classnames["default"])(sharedClassNames, "cursor-pointer max-w-full text-center", {
    "-mt-32 absolute": isActive,
    "pointer-events-none": !isActive,
    "invisible fixed": isEditing
  });
  var inputClassNames = (0, _classnames["default"])(sharedClassNames, "tab-name-input", {
    "-mt-32 absolute": !isActive
  });
  var surroundButtonClassNames = (0, _classnames["default"])("absolute w-full h-full border-0 bg-transparent outline-none", {
    "focus:bg-neutral-90": !isActive
  });
  var resetTabForm = function resetTabForm() {
    setTabName(initialName);
    if (nameToSet === initialName) {
      formInputRef.current.blur();
    }
  };
  var submitForm = function submitForm() {
    if (!nameToSet) {
      return resetTabForm();
    }
    if (nameToSet === initialName) {
      return null;
    }
    return submitTabForm(tabName);
  };
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("button", {
    type: "button",
    onClick: setActiveTab,
    tabIndex: isActive ? -1 : 0,
    className: surroundButtonClassNames
  }), /*#__PURE__*/_react["default"].createElement("form", {
    className: "gui-tab-name-form ".concat(className),
    onSubmit: function onSubmit(e) {
      e.preventDefault();
      formInputRef.current.blur();
    }
  }, /*#__PURE__*/_react["default"].createElement(_index.Tabs.TabName, {
    className: "flex justify-center items-center"
  }, /*#__PURE__*/_react["default"].createElement("label", {
    htmlFor: id,
    ref: contentRef,
    className: labelClassNames
  }, valueWithWhitespaceUnicode || placeholder), /*#__PURE__*/_react["default"].createElement("input", {
    id: id,
    type: "text",
    value: tabName,
    className: inputClassNames,
    tabIndex: isActive ? 0 : -1,
    onChange: function onChange(e) {
      return setTabName(e.target.value);
    },
    onFocus: function onFocus(e) {
      setIsEditing(true);
      setActiveTab(e);
    },
    onBlur: function onBlur() {
      submitForm();
      setActionsAreActive(false);
      setIsEditing(false);
    },
    style: {
      // @ts-expect-error TS(2322): Type 'null' is not assignable to type 'Width<strin... Remove this comment to see the full error message
      width: inputWidth
    },
    ref: formInputRef,
    placeholder: placeholder
  })), /*#__PURE__*/_react["default"].createElement(_ShortcutTrigger["default"], {
    shortcutKey: "Escape",
    onShortcutTrigger: resetTabForm
  })));
}
TabNameForm.defaultProps = {
  placeholder: "Name this tab",
  initialName: "",
  className: ""
};
//# sourceMappingURL=TabNameForm.js.map