"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabOptions = TabOptions;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("./..");
var _Dropdown = _interopRequireDefault(require("../Dropdown"));
var _Tab = require("./Tab");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function TabOptions(_ref) {
  var children = _ref.children;
  var _useContext = (0, _react.useContext)(_Tab.TabContext),
    isActive = _useContext.isActive,
    actionsAreActive = _useContext.actionsAreActive,
    setActionsAreActive = _useContext.setActionsAreActive;
  var dropdownClassNames = (0, _classnames["default"])("gui-tab-dropdown overflow-visible items-center flex", {
    "hidden group-hover:flex": !isActive && !actionsAreActive
  });
  var iconClassNames = (0, _classnames["default"])("bg-transparent hover:bg-neutral-95");
  var createTriggerWrapperClassNames = function createTriggerWrapperClassNames(showContent) {
    return (0, _classnames["default"])("gui-tab-dropdown-trigger h-6 w-6 items-center justify-center", {
      flex: isActive || showContent,
      "hidden group-hover:flex": !isActive && !showContent,
      "group-hover:bg-neutral-90": !isActive,
      "bg-neutral-90": actionsAreActive
    });
  };
  return /*#__PURE__*/_react["default"].createElement(_Dropdown["default"], {
    className: dropdownClassNames,
    id: "tab-options",
    onHide: function onHide() {
      return setActionsAreActive(false);
    },
    autoPosition: true
  }, function (_ref2) {
    var showContent = _ref2.showContent;
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("div", {
      className: createTriggerWrapperClassNames(showContent)
    }, /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Trigger, null, function (_ref3) {
      var toggleShowContent = _ref3.toggleShowContent;
      return /*#__PURE__*/_react["default"].createElement(_.ButtonIcon, {
        name: "cog16",
        tabIndex: 0,
        onClick: function onClick() {
          toggleShowContent();
          setActionsAreActive(!showContent);
        },
        size: _.ButtonIcon.sizes.sm,
        className: iconClassNames,
        active: showContent
      });
    })), /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Content, {
      autoPositionLeft: true,
      collapse: true
    }, children));
  });
}
//# sourceMappingURL=TabOptions.js.map