"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabsGroup = TabsGroup;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function TabsGroup(_ref) {
  var children = _ref.children,
    className = _ref.className,
    maxNumberOfVisibleRows = _ref.maxNumberOfVisibleRows;
  var numberOfRows = children.length;
  var tabsClassName = (0, _classnames["default"])("gui-tab-group", {
    "max-h-30": maxNumberOfVisibleRows === 3,
    "overflow-y-hidden": numberOfRows <= maxNumberOfVisibleRows,
    "overflow-y-scroll": numberOfRows > maxNumberOfVisibleRows
  });
  return /*#__PURE__*/_react["default"].createElement("nav", {
    className: "".concat(tabsClassName, " ").concat(className)
  }, children);
}
TabsGroup.defaultProps = {
  className: "",
  maxNumberOfVisibleRows: 3
};
//# sourceMappingURL=TabsGroup.js.map