"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tabs = Tabs;
exports.TabsContext = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Tab = require("./Tab");
var _TabsActionGroup = require("./TabsActionGroup");
var _TabsGroup = require("./TabsGroup");
var _TabsScrollShadow = require("./TabsScrollShadow");
var _TabDragLine = require("./TabDragLine");
var _TabName = require("./TabName");
var _TabAside = require("./TabAside");
var _TabOptions = require("./TabOptions");
var _TabsRow = require("./TabsRow");
var _TabNameForm = require("./TabNameForm");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
var TabsContext = exports.TabsContext = /*#__PURE__*/_react["default"].createContext({});
function Tabs(_ref) {
  var children = _ref.children,
    className = _ref.className,
    tabsLength = _ref.tabsLength,
    activeTabId = _ref.activeTabId;
  var _useState = (0, _react.useState)("top"),
    _useState2 = _slicedToArray(_useState, 2),
    scrollPosition = _useState2[0],
    setScrollPosition = _useState2[1];
  var sharedState = {
    activeTabId: activeTabId,
    tabsLength: tabsLength
  };
  return /*#__PURE__*/_react["default"].createElement(TabsContext.Provider, {
    value: sharedState
  }, /*#__PURE__*/_react["default"].createElement("div", {
    onScroll: function onScroll(e) {
      var element = e.target;

      // @ts-expect-error TS(2339): Property 'scrollTop' does not exist on type 'Event... Remove this comment to see the full error message
      if (element.scrollTop === 0) {
        if (scrollPosition !== "top") {
          setScrollPosition("top");
        }
      } else if (
      // @ts-expect-error TS(2339): Property 'scrollHeight' does not exist on type 'Ev... Remove this comment to see the full error message
      element.scrollHeight - element.scrollTop ===
      // @ts-expect-error TS(2339): Property 'clientHeight' does not exist on type 'Ev... Remove this comment to see the full error message
      element.clientHeight) {
        if (scrollPosition !== "bottom") {
          setScrollPosition("bottom");
        }
      } else if (scrollPosition !== "middle") {
        setScrollPosition("middle");
      }
    },
    className: "gui-tabs-new relative ".concat(className, " ").concat(scrollPosition)
  }, children, tabsLength > 24 && /*#__PURE__*/_react["default"].createElement(_TabsScrollShadow.TabsScrollShadow, {
    scrollPosition: scrollPosition
  })));
}
Tabs.ActionGroup = _TabsActionGroup.TabsActionGroup;
Tabs.Group = _TabsGroup.TabsGroup;
Tabs.Row = _TabsRow.TabsRow;
Tabs.Tab = _Tab.Tab;
// @ts-expect-error TS(2339): Property 'Context' does not exist on type 'typeof ... Remove this comment to see the full error message
Tabs.Tab.Context = _Tab.TabContext;
Tabs.TabDragLine = _TabDragLine.TabDragLine;
Tabs.TabName = _TabName.TabName;
Tabs.TabNameForm = _TabNameForm.TabNameForm;
Tabs.TabAside = _TabAside.TabAside;
Tabs.TabOptions = _TabOptions.TabOptions;
Tabs.defaultProps = {
  className: ""
};
//# sourceMappingURL=index.js.map