"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TooltipWrapper = TooltipWrapper;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _react2 = _interopRequireDefault(require("@tippyjs/react"));
var _excluded = ["tooltipText", "children", "theme", "placement", "wrapperClassName", "tabbable", "id", "onClick"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function TooltipWrapper(_ref) {
  var tooltipText = _ref.tooltipText,
    children = _ref.children,
    theme = _ref.theme,
    placement = _ref.placement,
    wrapperClassName = _ref.wrapperClassName,
    tabbable = _ref.tabbable,
    id = _ref.id,
    onClick = _ref.onClick,
    rest = _objectWithoutProperties(_ref, _excluded);
  if (!tooltipText) {
    return children;
  }
  var tabIndex = tabbable ? 0 : -1;
  return /*#__PURE__*/_react["default"].createElement(_react2["default"], _extends({
    content: tooltipText,
    animation: "shift-toward",
    arrow: false,
    theme: theme,
    placement: placement
  }, rest), /*#__PURE__*/_react["default"].createElement("span", {
    id: id,
    className: "gui-tooltip-wrapper__child ".concat(wrapperClassName),
    tabIndex: tabIndex,
    role: "button",
    onClick: onClick,
    onKeyPress: onClick
  }, children));
}
TooltipWrapper.defaultProps = {
  className: "",
  placement: "top",
  trigger: "mouseenter focus",
  tooltipText: "",
  wrapperClassName: "",
  tabbable: true,
  theme: "dark",
  onClick: function onClick() {}
};
var _default = exports["default"] = TooltipWrapper;
//# sourceMappingURL=index.js.map