"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
var _TopBarContent = _interopRequireDefault(require("../TopBarContent"));
var _TopBarCell = _interopRequireDefault(require("../TopBarCell"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("TopBar", function () {
  (0, _vitest.it)("Renders children and adds the right classes to the right bits", function () {
    var _render = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], null, /*#__PURE__*/_react["default"].createElement(_TopBarContent["default"], {
        left: true
      }, /*#__PURE__*/_react["default"].createElement(_TopBarCell["default"], null, "top bar left")), /*#__PURE__*/_react["default"].createElement(_TopBarContent["default"], {
        right: true,
        collapse: true
      }, /*#__PURE__*/_react["default"].createElement(_TopBarCell["default"], {
        bordered: true
      }, "top bar right")))),
      rerender = _render.rerender;
    (0, _vitest.expect)(_react2.screen.getByText("top bar left"));
    (0, _vitest.expect)(_react2.screen.getByText("top bar right"));
    var topbar = _react2.screen.getByRole("banner");
    (0, _vitest.expect)(topbar.querySelector(".gui-top-bar__content--right")).toBeTruthy();
    (0, _vitest.expect)(topbar.querySelector(".gui-top-bar__content--left")).toBeTruthy();
    (0, _vitest.expect)(topbar.querySelector(".gui-top-bar__content--collapse")).toBeTruthy();
    (0, _vitest.expect)(topbar.querySelector(".gui-top-bar__cell--bordered")).toBeTruthy();
    rerender( /*#__PURE__*/_react["default"].createElement(_["default"], {
      fixed: true,
      useDarkTheme: true
    }, "hi"));
    topbar = _react2.screen.getByRole("banner");
    (0, _vitest.expect)(topbar.classList.contains("gui-top-bar--dark")).toBeTruthy();
    (0, _vitest.expect)(topbar.querySelector(".gui-top-bar__wrapper--fixed")).toBeTruthy();
    rerender( /*#__PURE__*/_react["default"].createElement(_["default"], {
      useLightGreyTheme: true
    }, "hi"));
    topbar = _react2.screen.getByRole("banner");
    (0, _vitest.expect)(topbar.classList.contains("gui-top-bar-light-grey")).toBeTruthy();
  });
});
//# sourceMappingURL=TopBar.spec.js.map