"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TopBar = TopBar;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("./..");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function TopBar(_ref) {
  var _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    children = _ref.children,
    fixed = _ref.fixed,
    scrollToFixed = _ref.scrollToFixed,
    useDarkTheme = _ref.useDarkTheme,
    notification = _ref.notification,
    shadow = _ref.shadow,
    useLightGreyTheme = _ref.useLightGreyTheme;
  var _useState = (0, _react.useState)(0),
    _useState2 = _slicedToArray(_useState, 2),
    initialPostion = _useState2[0],
    setInitialPosition = _useState2[1];
  var _useState3 = (0, _react.useState)(false),
    _useState4 = _slicedToArray(_useState3, 2),
    scrollFixed = _useState4[0],
    setScrollFixed = _useState4[1];
  var topbarRef = (0, _react.useRef)();
  var handleScroll = function handleScroll() {
    var topBarPosition = topbarRef.current.getBoundingClientRect().top;
    if (topBarPosition <= 0 && !scrollFixed) {
      setScrollFixed(true);
    }
    if (window.pageYOffset < initialPostion && scrollFixed) {
      setScrollFixed(false);
    }
  };
  (0, _react.useEffect)(function () {
    if (scrollToFixed && topbarRef.current) {
      window.addEventListener("scroll", handleScroll);
      setInitialPosition(topbarRef.current.getBoundingClientRect().top + window.pageYOffset);
    }
    return function () {
      window.removeEventListener("scroll", handleScroll);
    };
  }, [topbarRef.current]);
  var wrapperClasses = (0, _classnames["default"])("gui-top-bar__wrapper", {
    shadow: shadow,
    "gui-top-bar__wrapper--fixed": fixed || scrollFixed
  });
  var classes = (0, _classnames["default"])("gui-top-bar p-0 ".concat(className), {
    "gui-top-bar--dark": useDarkTheme,
    "gui-top-bar-light-grey": useLightGreyTheme,
    "gui-top-bar--has-notification": notification
  });
  return /*#__PURE__*/_react["default"].createElement(_.Grid, {
    className: classes,
    role: "banner"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: wrapperClasses,
    ref: topbarRef
  }, notification, /*#__PURE__*/_react["default"].createElement(_.Row, {
    className: "gui-top-bar__inner"
  }, children)));
}
TopBar.defaultProps = {
  fixed: false,
  scrollToFixed: false,
  useDarkTheme: false,
  notification: null,
  shadow: true,
  useLightGreyTheme: false
};
var _default = exports["default"] = TopBar;
//# sourceMappingURL=index.js.map