"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var mockUsers = [{
  id: 2,
  name: 'Bruce',
  avatar: 'https://gathercontent-production-avatars.s3-us-west-2.amazonaws.com/208205_yHGd7vA5HRxsnMQpES4UzjJ7Yxgn6Bp54165gqksRXyDJhuOnW88H6djhLJeE2BZ.jpg',
  initials: 'BB',
  display: 'brucebanner',
  email: 'bruce@bruce.com'
}, {
  id: 'saul',
  display: 'saulgoodman',
  name: 'Saul Goodman',
  initials: 'SG',
  email: 'heythere@lol.com'
}, {
  id: '456',
  display: 'jessepinkman',
  name: 'Jesse Pinkman',
  email: 'heythere@lol.com',
  initials: 'JP',
  url: 'https://d3iw72m71ie81c.cloudfront.net/2eae47ef-6f37-46fe-a02b-52cff401a8f9-me.jpg'
}];
(0, _vitest.describe)('UserSearch', function () {
  (0, _vitest.it)('Renders a list of users', function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
      users: mockUsers
    }));
    (0, _vitest.expect)(_react2.screen.getByText(mockUsers[0].name));
    (0, _vitest.expect)(_react2.screen.getByText(mockUsers[1].name));
    (0, _vitest.expect)(_react2.screen.getByText(mockUsers[2].name));
  });
  (0, _vitest.it)('Lets you search for users', function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
      users: mockUsers
    }));
    _react2.fireEvent.change(_react2.screen.getByPlaceholderText('Search people...'), {
      target: {
        value: 'sau'
      }
    });
    (0, _vitest.expect)(_react2.screen.queryByText(mockUsers[0].name)).toBeFalsy();
    (0, _vitest.expect)(_react2.screen.getByText(mockUsers[1].name));
    (0, _vitest.expect)(_react2.screen.queryByText(mockUsers[2].name)).toBeFalsy();
    _react2.fireEvent.change(_react2.screen.getByPlaceholderText('Search people...'), {
      target: {
        value: 'flump flamp'
      }
    });
    (0, _vitest.expect)(_react2.screen.getByText('Oops! No people found.'));
  });
  (0, _vitest.it)('Tells you if there are no users', function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
      users: [],
      noUserDisplay: "There's no one here!"
    }));
    _react2.fireEvent.change(_react2.screen.getByPlaceholderText('Search people...'), {
      target: {
        value: 'sau'
      }
    });
    (0, _vitest.expect)(_react2.screen.getByText("There's no one here!"));
  });
});
//# sourceMappingURL=UserSearch.spec.js.map