"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _Dropdown = _interopRequireDefault(require("../Dropdown"));
var _Avatar = _interopRequireDefault(require("../Avatar"));
var _AvatarInformation = _interopRequireDefault(require("../Avatar/AvatarInformation"));
var _UserSearchListUserName = _interopRequireDefault(require("./UserSearchListUserName"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function UserSearchList(_ref) {
  var users = _ref.users,
    addUser = _ref.addUser,
    displayEmail = _ref.displayEmail,
    selectedUserIds = _ref.selectedUserIds,
    noUsers = _ref.noUsers,
    noUserDisplay = _ref.noUserDisplay,
    hideAfterPerformingAction = _ref.hideAfterPerformingAction;
  if (users.length <= 0 && !noUsers) {
    return /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].ActionGroup, {
      className: "gui-user-search__search-results"
    }, /*#__PURE__*/_react["default"].createElement("span", {
      className: "gui-no-results"
    }, "Oops! No people found."));
  }
  return /*#__PURE__*/_react["default"].createElement("ul", {
    className: "gui-user-search-list gui-h-padding-clear gui-h-margin-clear"
  }, users.map(function (user) {
    return /*#__PURE__*/_react["default"].createElement("li", {
      className: "gui-user-search-list__user",
      key: user.id
    }, /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Action, {
      action: function action() {
        return addUser(user);
      },
      key: user.id,
      isSubmit: false,
      selected: selectedUserIds.indexOf(user.id) !== -1,
      hideAfterPerformingAction: hideAfterPerformingAction
    }, /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
      url: user.avatar,
      initials: user.initials
    }, /*#__PURE__*/_react["default"].createElement(_AvatarInformation["default"], {
      email: displayEmail ? user.email : "@".concat(user.display),
      name: /*#__PURE__*/_react["default"].createElement(_UserSearchListUserName["default"], {
        isSelected: selectedUserIds.indexOf(user.id) !== -1,
        name: user.name
      }),
      pending: user.pending
    }))));
  }), noUsers && /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].ActionGroup, {
    className: "gui-user-search__search-results"
  }, /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-no-results"
  }, noUserDisplay)));
}
var _default = exports["default"] = UserSearchList;
//# sourceMappingURL=UserSearchList.js.map