"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PureUserSearch = exports.UserSearch = UserSearch;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Dropdown = _interopRequireDefault(require("../Dropdown"));
var _helpers = require("../helpers");
var _UserSearchList = _interopRequireDefault(require("./UserSearchList"));
var _UserSearchHead = _interopRequireDefault(require("./UserSearchHead"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function UserSearch(_ref) {
  var users = _ref.users,
    displayEmail = _ref.displayEmail,
    onToggle = _ref.onToggle,
    searchHeading = _ref.searchHeading,
    addUser = _ref.addUser,
    selectedUserIds = _ref.selectedUserIds,
    noUserDisplay = _ref.noUserDisplay,
    minUserLength = _ref.minUserLength,
    inputRef = _ref.inputRef,
    subheading = _ref.subheading,
    useDisplayToggle = _ref.useDisplayToggle,
    hideAfterPerformingAction = _ref.hideAfterPerformingAction,
    className = _ref.className,
    propsDisplayList = _ref.displayList;
  var _useState = (0, _react.useState)(null),
    _useState2 = _slicedToArray(_useState, 2),
    searchedUsers = _useState2[0],
    setSearchedUsers = _useState2[1];
  var _useState3 = (0, _react.useState)(propsDisplayList),
    _useState4 = _slicedToArray(_useState3, 2),
    displayList = _useState4[0],
    setDisplayList = _useState4[1];
  var searchForUsers = function searchForUsers(e) {
    var value = e.target.value;
    if (value.trim() !== "" && users.length > 0) {
      setSearchedUsers((0, _helpers.filterUsers)(users, value, displayEmail));
    } else {
      setSearchedUsers(null);
    }
  };
  var handleKeyPress = function handleKeyPress(e) {
    if (e.key === "Enter") {
      e.preventDefault();
    }
  };
  var toggleListDisplay = function toggleListDisplay() {
    onToggle(!displayList);
    setDisplayList(!displayList);
  };
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-user-search ".concat(className)
  }, /*#__PURE__*/_react["default"].createElement(_UserSearchHead["default"], {
    searchHeading: searchHeading,
    subheading: subheading,
    useDisplayToggle: useDisplayToggle,
    toggleListDisplay: toggleListDisplay,
    toggleActive: displayList
  }), displayList && /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].ActionGroup, {
    className: "gui-user-search__search-wrapper"
  }, /*#__PURE__*/_react["default"].createElement("input", {
    className: "gui-user-search__search-input",
    onChange: searchForUsers,
    type: "text",
    placeholder: "Search people...",
    ref: inputRef,
    onKeyPress: handleKeyPress
  })), /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].ActionGroup, {
    className: "gui-user-search__search-results"
  }, /*#__PURE__*/_react["default"].createElement(_UserSearchList["default"], {
    users: searchedUsers || users,
    noUsers: users.length <= minUserLength,
    addUser: addUser,
    selectedUserIds: selectedUserIds,
    displayEmail: displayEmail,
    noUserDisplay: noUserDisplay,
    hideAfterPerformingAction: hideAfterPerformingAction
  }))));
}
UserSearch.defaultProps = {
  searchHeading: "Search...",
  className: "",
  selectedUserIds: [],
  useDisplayToggle: false,
  displayList: true,
  subheading: null,
  minUserLength: 0,
  noUserDisplay: "Looks like there are no people!",
  hideAfterPerformingAction: false,
  onToggle: function onToggle() {},
  inputRef: {}
};

// disabling linter here since I think its just getting confused with refs
// eslint-disable-next-line react/no-multi-comp
var _default = exports["default"] = /*#__PURE__*/_react["default"].forwardRef(function (props, ref) {
  return /*#__PURE__*/_react["default"].createElement(UserSearch, _extends({
    inputRef: ref
  }, props));
});
//# sourceMappingURL=index.js.map