"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Windowing = Windowing;
exports.WindowingContext = void 0;
var _react = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
var WindowingContext = exports.WindowingContext = /*#__PURE__*/(0, _react.createContext)({});
function Windowing(_ref) {
  var children = _ref.children,
    containerHeight = _ref.containerHeight,
    debounceTimer = _ref.debounceTimer,
    itemHeight = _ref.itemHeight,
    buffer = _ref.buffer,
    allIds = _ref.allIds;
  var _useState = (0, _react.useState)(null),
    _useState2 = _slicedToArray(_useState, 2),
    scrollTop = _useState2[0],
    setScrollTop = _useState2[1];
  var _useState3 = (0, _react.useState)(null),
    _useState4 = _slicedToArray(_useState3, 2),
    height = _useState4[0],
    setHeight = _useState4[1];
  var _useState5 = (0, _react.useState)({}),
    _useState6 = _slicedToArray(_useState5, 2),
    renderIndexes = _useState6[0],
    setRenderIndexes = _useState6[1];
  var _useState7 = (0, _react.useState)([]),
    _useState8 = _slicedToArray(_useState7, 2),
    inViewWindowingIds = _useState8[0],
    setInViewWindowingIds = _useState8[1];
  var subtractFromStartIndex = function subtractFromStartIndex(index) {
    return Math.max(index - buffer, 0);
  };
  var addToEndIndex = function addToEndIndex(index) {
    return Math.min(allIds.length, index + buffer);
  };
  var getRenderIndexes = function getRenderIndexes() {
    var startBoundary = scrollTop;
    // @ts-expect-error TS(2531): Object is possibly 'null'.
    var endBoundary = startBoundary + height;

    // @ts-expect-error TS(2531): Object is possibly 'null'.
    var startIndex = Math.round(startBoundary / itemHeight);
    var endIndex = Math.round(endBoundary / itemHeight);
    var startWithBuffer = subtractFromStartIndex(startIndex);
    var endWithBuffer = addToEndIndex(endIndex);
    setRenderIndexes({
      offset: startWithBuffer,
      length: endWithBuffer - startWithBuffer
    });
  };
  (0, _react.useEffect)(getRenderIndexes, [height, scrollTop, allIds]);
  var sharedState = {
    scrollTop: scrollTop,
    setScrollTop: setScrollTop,
    renderIndexes: renderIndexes,
    itemHeight: itemHeight,
    baseItemStyle: {
      height: "".concat(itemHeight, "px")
    },
    setHeight: setHeight,
    debounceTimer: debounceTimer,
    containerHeight: containerHeight,
    inViewWindowingIds: inViewWindowingIds,
    setInViewWindowingIds: setInViewWindowingIds,
    allWindowingIds: allIds
  };
  return /*#__PURE__*/_react["default"].createElement(WindowingContext.Provider, {
    value: sharedState
  }, children);
}
Windowing.defaultProps = {
  debounceTimer: 15,
  containerHeight: "",
  buffer: 10
};
//# sourceMappingURL=Windowing.js.map