"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Card = Card;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _CardContent = require("./CardContent");
var _CardControls = require("./CardControls");
var _CardTitle = require("./CardTitle");
var _CardDescription = require("./CardDescription");
var _CardFooter = require("./CardFooter");
var _common = require("./common");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function Card(_ref) {
  var onClick = _ref.onClick,
    className = _ref.className,
    children = _ref.children,
    innerClassNames = _ref.innerClassNames,
    selected = _ref.selected,
    highlighted = _ref.highlighted,
    added = _ref.added,
    removed = _ref.removed,
    active = _ref.active,
    disabled = _ref.disabled,
    size = _ref.size;
  var classNames = (0, _classnames["default"])("gui-card outline-none", className, {
    "gui-card-interactive": onClick,
    "gui-card-selected": selected,
    "gui-card-highlighted": highlighted,
    "gui-card-added": added,
    "gui-card-removed": removed,
    "gui-card-disabled": disabled,
    "gui-card-active": active,
    "gui-card-sm": size === _common.cardSizes.sm,
    "gui-card-md": size === _common.cardSizes.md
  });
  var innerClasses = (0, _classnames["default"])("gui-card-inner", innerClassNames);
  var handleKeyPress = function handleKeyPress(e) {
    if (e.key === "Enter") {
      onClick(e);
    }
  };
  return /*#__PURE__*/_react["default"].createElement("div", {
    // eslint-disable-line jsx-a11y/no-static-element-interactions
    role: onClick ? "button" : "presentation",
    className: classNames,
    onClick: onClick,
    onKeyUp: handleKeyPress
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: innerClasses
  }, children));
}
Card.Content = _CardContent.CardContent;
Card.Title = _CardTitle.CardTitle;
Card.Description = _CardDescription.CardDescription;
Card.Controls = _CardControls.CardControls;
Card.Footer = _CardFooter.CardFooter;
Card.defaultProps = {
  onClick: null,
  innerClassNames: "",
  selected: false,
  highlighted: false,
  added: false,
  removed: false,
  disabled: false,
  active: false,
  size: ""
};
//# sourceMappingURL=Card.js.map