"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ComponentWrapper = ComponentWrapper;
exports.componentStatuses = void 0;
var _react = _interopRequireDefault(require("react"));
var _ComponentWrapperHeader = require("./ComponentWrapperHeader/ComponentWrapperHeader");
var _ComponentWrapperBody = require("./ComponentWrapperBody");
var _ComponentWrapperFooter = require("./ComponentWrapperFooter");
var _excluded = ["editable", "headerAside", "label", "subLabel", "onLabelChange", "onLabelEmpty", "instructions", "onInstructionChange", "className", "children", "isSelected", "isHovered", "counter"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
var componentStatuses = exports.componentStatuses = {
  active: "ACTIVE",
  added: "ADDED",
  deleted: "DELETED",
  movedUp: "MOVED_UP",
  movedDown: "MOVED_DOWN",
  unchanged: "UNCHANGED"
};
function ComponentWrapper(_ref) {
  var editable = _ref.editable,
    headerAside = _ref.headerAside,
    label = _ref.label,
    subLabel = _ref.subLabel,
    onLabelChange = _ref.onLabelChange,
    onLabelEmpty = _ref.onLabelEmpty,
    instructions = _ref.instructions,
    onInstructionChange = _ref.onInstructionChange,
    className = _ref.className,
    children = _ref.children,
    isSelected = _ref.isSelected,
    isHovered = _ref.isHovered,
    counter = _ref.counter,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: "gui-component-wrapper ".concat(className)
  }, rest), /*#__PURE__*/_react["default"].createElement(_ComponentWrapperHeader.ComponentWrapperHeader, {
    editable: editable,
    headerAside: headerAside,
    label: label,
    subLabel: subLabel,
    onLabelChange: onLabelChange,
    onLabelEmpty: onLabelEmpty,
    instructions: instructions,
    onInstructionChange: onInstructionChange,
    isSelected: isSelected,
    isHovered: isHovered,
    counter: counter
  }), /*#__PURE__*/_react["default"].createElement(_ComponentWrapperFooter.ComponentWrapperFooter, {
    editable: editable,
    isSelected: isSelected,
    isHovered: isHovered
  }, children));
}
ComponentWrapper.Header = _ComponentWrapperHeader.ComponentWrapperHeader;
ComponentWrapper.Body = _ComponentWrapperBody.ComponentWrapperBody;
ComponentWrapper.Footer = _ComponentWrapperFooter.ComponentWrapperFooter;
//# sourceMappingURL=ComponentWrapper.js.map