"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ComponentWrapperFooter = ComponentWrapperFooter;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ComponentWrapper = require("./ComponentWrapper");
var _excluded = ["children", "editable", "isSelected", "draggedOver", "isHovered", "className", "status"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ComponentWrapperFooter(_ref) {
  var children = _ref.children,
    editable = _ref.editable,
    isSelected = _ref.isSelected,
    draggedOver = _ref.draggedOver,
    isHovered = _ref.isHovered,
    className = _ref.className,
    status = _ref.status,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classes = (0, _classnames["default"])("gui-component-footer", className, {
    "gui-component-footer-editable": editable,
    "gui-component-footer-dragged-over": draggedOver,
    "gui-component-footer-selected": isSelected,
    "gui-component-footer-hovered": isHovered,
    "border-l-2 border-r-2 border-t-0 border-b-2 border-2 border-green-primary bg-white": status === _ComponentWrapper.componentStatuses.added,
    "border-l-2 border-r-2 border-t-0 border-b-2  border-red-primary bg-white": status === _ComponentWrapper.componentStatuses.deleted,
    "border-l-2 border-r-2 border-t-0 border-b-2  border-purple-primary bg-white": status === _ComponentWrapper.componentStatuses.movedDown || status === _ComponentWrapper.componentStatuses.movedUp,
    "bg-white": [_ComponentWrapper.componentStatuses.active, _ComponentWrapper.componentStatuses.unchanged].includes(status)
  });
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: classes
  }, rest), children);
}
ComponentWrapperFooter.defaultProps = {
  editable: false,
  isSelected: false,
  isHovered: false,
  className: ""
};
//# sourceMappingURL=ComponentWrapperFooter.js.map