"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextForm = TextForm;
exports["default"] = void 0;
var React = _interopRequireWildcard(require("react"));
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
var _ = require("../../..");
var _createDelayedPromise = require("../../../../stories/helpers/createDelayedPromise");
var _createFailedPromise = require("../../../../stories/helpers/createFailedPromise");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Form/Text Form",
  component: _.TextForm,
  args: {
    showFailure: false,
    inputSize: "md",
    buttonSize: "md"
  },
  argTypes: {
    inputSize: {
      name: "Input size",
      control: {
        type: "radio"
      },
      options: ["md", "sm"]
    },
    buttonSize: {
      name: "Button size",
      control: {
        type: "radio"
      },
      options: ["md", "sm", "xs"]
    }
  }
};
function TextForm(args) {
  var promise = (0, _createDelayedPromise.createDelayedPromise)(1000);
  var failedPromise = (0, _createFailedPromise.createFailedPromise)(1000);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_StoryItem["default"], null, /*#__PURE__*/React.createElement(_.TextForm, {
    onSubmit: args.showFailure ? failedPromise : promise
  }, /*#__PURE__*/React.createElement(_.TextForm.Body, null, /*#__PURE__*/React.createElement(_.Label, {
    htmlFor: "test"
  }, "Label"), /*#__PURE__*/React.createElement(_.TextForm.Input, {
    id: "test",
    size: args.inputSize
  }), /*#__PURE__*/React.createElement(_.TextForm.Helper, null, "Ops!")), /*#__PURE__*/React.createElement(_.TextForm.Submission, null, /*#__PURE__*/React.createElement(_.TextForm.CancelButton, {
    size: args.buttonSize,
    onClick: function onClick() {}
  }), /*#__PURE__*/React.createElement(_.TextForm.SubmitButton, {
    size: args.buttonSize
  })))), /*#__PURE__*/React.createElement(_StoryItem["default"], null, /*#__PURE__*/React.createElement(_.TextForm, {
    onSubmit: args.showFailure ? failedPromise : promise,
    inline: true
  }, /*#__PURE__*/React.createElement(_.TextForm.Body, null, /*#__PURE__*/React.createElement(_.Label, {
    htmlFor: "test-inline",
    className: "gui-visually-hidden"
  }, "Label"), /*#__PURE__*/React.createElement(_.TextForm.Input, {
    id: "test-inline",
    size: args.inputSize,
    value: "value"
  }), /*#__PURE__*/React.createElement(_.TextForm.Helper, null, "Ops!")), /*#__PURE__*/React.createElement(_.TextForm.Submission, null, /*#__PURE__*/React.createElement(_.TextForm.SubmitButton, {
    size: args.buttonSize
  })))), /*#__PURE__*/React.createElement(_StoryItem["default"], null, /*#__PURE__*/React.createElement(_.TextForm, {
    onSubmit: args.showFailure ? failedPromise : promise,
    inline: true
  }, /*#__PURE__*/React.createElement(_.TextForm.Fieldset, null, /*#__PURE__*/React.createElement(_.TextForm.Legend, null, "Favourite Colour"), /*#__PURE__*/React.createElement(_.TextForm.Body, null, /*#__PURE__*/React.createElement("div", {
    className: "mb-2"
  }, /*#__PURE__*/React.createElement(_.RadioInput, {
    type: "radio",
    name: "colour",
    id: "blue",
    value: "blue",
    className: "mr-2"
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "blue"
  }, "Blue")), /*#__PURE__*/React.createElement("div", {
    className: "mb-2"
  }, /*#__PURE__*/React.createElement(_.RadioInput, {
    type: "radio",
    name: "colour",
    id: "red",
    value: "red",
    className: "mr-2"
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "red"
  }, "Red")), /*#__PURE__*/React.createElement("div", {
    className: "mb-2"
  }, /*#__PURE__*/React.createElement(_.RadioInput, {
    type: "radio",
    name: "colour",
    id: "green",
    value: "green",
    className: "mr-2"
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "green"
  }, "Green"))), /*#__PURE__*/React.createElement(_.TextForm.Submission, null, /*#__PURE__*/React.createElement(_.TextForm.SubmitButton, {
    size: args.buttonSize
  }))))));
}
//# sourceMappingURL=Form.stories.js.map