"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PersonSearch = PersonSearch;
var _react = _interopRequireWildcard(require("react"));
var _ = require("../../..");
var _Dropdown = _interopRequireDefault(require("../../../Dropdown"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function PersonSearch(_ref) {
  var people = _ref.people,
    onPersonSelect = _ref.onPersonSelect,
    label = _ref.label,
    placeholder = _ref.placeholder;
  var _useState = (0, _react.useState)(""),
    _useState2 = _slicedToArray(_useState, 2),
    searchValue = _useState2[0],
    setSearchValue = _useState2[1];
  var filteredPeople = searchValue ? people.filter(function (p) {
    return p.name.toLowerCase().includes(searchValue.toLowerCase()) || p.email.toLowerCase().includes(searchValue.toLowerCase());
  }) : people;
  return /*#__PURE__*/_react["default"].createElement(_Dropdown["default"], {
    id: "person-search-story",
    className: "overflow-visible w-full"
  }, function (_ref2) {
    var showContent = _ref2.showContent;
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Trigger, {
      triggerClassName: "w-full"
    }, function (_ref3) {
      var toggleShowContent = _ref3.toggleShowContent;
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_.Label, {
        htmlFor: "person-search"
      }, label), /*#__PURE__*/_react["default"].createElement(_.Input, {
        id: "person-search",
        placeholder: placeholder,
        onFocus: function onFocus() {
          return toggleShowContent(true);
        },
        onBlur: function onBlur() {
          return showContent ? null : toggleShowContent(true);
        },
        onChange: function onChange(e) {
          return setSearchValue(e.target.value);
        },
        value: searchValue,
        size: _.Input.sizes.md
      }));
    }), showContent && /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Content, {
      noTransform: true,
      collapse: true,
      className: "w-full max-h-56 overflow-y-auto"
    }, /*#__PURE__*/_react["default"].createElement(_.DropdownContent, null, searchValue && !filteredPeople.length ? /*#__PURE__*/_react["default"].createElement(_.DropdownContent.Body, null, /*#__PURE__*/_react["default"].createElement("span", {
      className: "block p-4 text-neutral-primary"
    }, "Nobody matches your search", /*#__PURE__*/_react["default"].createElement("p", null, /*#__PURE__*/_react["default"].createElement("a", {
      className: " leading-snug text-blue-primary",
      href: "/people"
    }, "Manage your team \u2192")))) : /*#__PURE__*/_react["default"].createElement(_.DropdownContent.Body, null, filteredPeople.map(function (person) {
      return /*#__PURE__*/_react["default"].createElement(_.Person, {
        name: person.name,
        subtitle: person.email,
        avatarUrl: person.avatar,
        initials: person.initials,
        className: "items-center px-4",
        interactive: true,
        onClick: function onClick() {
          return onPersonSelect(person.id);
        },
        highlightText: searchValue,
        colour: person.colour,
        key: person.email,
        pending: person.pending
      });
    })))));
  });
}
//# sourceMappingURL=PersonSearch.js.map