"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WorkflowStep = WorkflowStep;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _workflowStepProvider = require("./workflowStepProvider");
var _workflowStepBody = require("./workflowStepBody");
var _workflowStepActions = require("./workflowStepActions");
var _workflowStepHeader = require("./workflowStepHeader");
var _workflowStepTitle = require("./workflowStepTitle");
var _workflowStepMeta = require("./workflowStepMeta");
var _workflowStepCollapsibleBody = require("./workflowStepCollapsibleBody");
var _excluded = ["showBody", "isActive"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function WorkflowStepInner(_ref) {
  var children = _ref.children,
    onClick = _ref.onClick,
    className = _ref.className;
  var _useContext = (0, _react.useContext)(_workflowStepProvider.WorkflowStepContext),
    showBody = _useContext.showBody,
    setShowActions = _useContext.setShowActions,
    isActive = _useContext.isActive,
    showActions = _useContext.showActions;
  var workflowStepClassName = (0, _classnames["default"])("gui-workflow-step", className, {
    "gui-is-active gui-pseudo-left-border-blue-2px relative": isActive,
    "bg-neutral-98": showBody && !isActive || showActions && !isActive,
    "cursor-pointer": onClick && !showBody && !isActive
  });
  var onStepClick = function onStepClick(e) {
    if (e.target.className && e.target.className.includes) {
      var hasClickedStep = e.target.className.includes("workflow-step");
      var hasClickedMeta = !!e.target.closest(".workflow-step__meta");
      if (!showBody && onClick && (hasClickedStep || hasClickedMeta)) {
        onClick(e);
      }
    }
  };
  var handleKeyUp = function handleKeyUp(e) {
    e.stopPropagation();
    if (e.keyCode === 32) {
      onStepClick(e);
    }
  };
  return /*#__PURE__*/_react["default"].createElement("div", {
    onMouseEnter: function onMouseEnter() {
      setShowActions(true);
    },
    onMouseLeave: function onMouseLeave() {
      setShowActions(false);
    },
    onFocus: function onFocus() {
      setShowActions(true);
    },
    onBlur: function onBlur() {
      setShowActions(false);
    },
    onKeyUp: handleKeyUp,
    onClick: onStepClick,
    className: workflowStepClassName,
    tabIndex: !isActive && !showBody ? 0 : -1,
    role: "menuitem"
  }, children);
}
function WorkflowStep(_ref2) {
  var showBody = _ref2.showBody,
    isActive = _ref2.isActive,
    props = _objectWithoutProperties(_ref2, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_workflowStepProvider.WorkflowStepProvider, {
    showBody: showBody,
    isActive: isActive
  }, /*#__PURE__*/_react["default"].createElement(WorkflowStepInner, props));
}
WorkflowStep.Body = _workflowStepBody.WorkflowStepBody;
WorkflowStep.CollapsibleBody = _workflowStepCollapsibleBody.WorkflowStepCollapsibleBody;
WorkflowStep.Actions = _workflowStepActions.WorkflowStepActions;
WorkflowStep.Meta = _workflowStepMeta.WorkflowStepMeta;
WorkflowStep.Header = _workflowStepHeader.WorkflowStepHeader;
WorkflowStep.Title = _workflowStepTitle.WorkflowStepTitle;
//# sourceMappingURL=workflowStep.js.map