"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonBase = ButtonBase;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("../../..");
var _common = require("./common");
var _excluded = ["children", "className", "size", "loading", "loaderRight", "loaderTypes", "connectedLeft", "connectedRight", "disabled", "buttonRef", "defaultFillColor"];
/* eslint-disable react/button-has-type */
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ButtonBase(_ref) {
  var children = _ref.children,
    className = _ref.className,
    size = _ref.size,
    loading = _ref.loading,
    loaderRight = _ref.loaderRight,
    loaderTypes = _ref.loaderTypes,
    connectedLeft = _ref.connectedLeft,
    connectedRight = _ref.connectedRight,
    disabled = _ref.disabled,
    buttonRef = _ref.buttonRef,
    defaultFillColor = _ref.defaultFillColor,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classes = (0, _classnames["default"])("gui-button-base", className, {
    "gui-button-base-connected-r": connectedRight,
    "gui-button-base-connected-l": connectedLeft,
    "gui-button-base-md": size && size === _common.sizes.md,
    "gui-button-base-sm": size && size === _common.sizes.sm,
    "gui-button-base-xs": size && size === _common.sizes.xs
  });
  if (typeof children === "function") {
    return children(classes);
  }
  var loaderTypesWithDisabled = disabled ? ["dark"] : loaderTypes;
  return /*#__PURE__*/_react["default"].createElement("button", _extends({
    className: classes,
    disabled: disabled,
    ref: buttonRef
  }, rest), loading && !loaderRight && /*#__PURE__*/_react["default"].createElement(_.Icon, {
    name: "loader16",
    className: "pr-2",
    types: loaderTypesWithDisabled
  }), children, loading && loaderRight && /*#__PURE__*/_react["default"].createElement(_.Icon, {
    name: "loader16",
    className: "pl-2",
    types: loaderTypesWithDisabled
  }));
}
ButtonBase.defaultProps = _objectSpread(_objectSpread({}, _common.defaultProps), {}, {
  loaderTypes: [],
  disabled: false
});
ButtonBase.sizes = _common.sizes;
//# sourceMappingURL=ButtonBase.js.map