"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonIconDanger = ButtonIconDanger;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("../../../..");
var _ButtonBase = require("../ButtonBase");
var _common = require("../common");
var _excluded = ["className", "disabled", "name", "active", "size"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ButtonIconDanger(_ref) {
  var className = _ref.className,
    disabled = _ref.disabled,
    name = _ref.name,
    active = _ref.active,
    size = _ref.size,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classes = (0, _classnames["default"])(className, "gui-button-icon-danger", {
    "gui-button-icon-danger-active": active,
    "gui-button-icon-danger-sm": size === _common.sizes.sm
  }, (0, _common.getSizeClasses)(size));
  var iconTypes = [];
  if (!disabled) {
    iconTypes.push("red-on-button-parent-active");
  }
  if (active) {
    iconTypes.push("primary-red");
  }
  return /*#__PURE__*/_react["default"].createElement(_ButtonBase.ButtonBase, _extends({
    className: classes,
    disabled: disabled,
    size: false
  }, rest), /*#__PURE__*/_react["default"].createElement(_.Icon, {
    name: name,
    types: iconTypes,
    defaultActiveColor: false
  }));
}
ButtonIconDanger.sizes = _common.sizes;
ButtonIconDanger.defaultProps = _common.buttonIconDefaultProps;
//# sourceMappingURL=ButtonIconDanger.js.map