"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonPrimaryDanger = ButtonPrimaryDanger;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ButtonBase = require("../ButtonBase");
var _common = require("../common");
var _excluded = ["children", "className", "disabled", "connectedRight"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ButtonPrimaryDanger(_ref) {
  var children = _ref.children,
    className = _ref.className,
    disabled = _ref.disabled,
    connectedRight = _ref.connectedRight,
    rest = _objectWithoutProperties(_ref, _excluded);
  var disabledClasses = (0, _classnames["default"])("text-neutral-primary bg-neutral-95 border-neutral-95", {
    "border-r-neutral-90": connectedRight
  });
  var nonDisabledClasses = (0, _classnames["default"])("text-white bg-red-primary border-red-primary", "hover:bg-red-60", "active:bg-red-40 active:border-red-30 active:shadow-none", "focus:border-white focus:shadow-button-primary-danger-focus relative focus:z-50", {
    "border-r-red-40": connectedRight
  });
  var classes = (0, _classnames["default"])(disabled ? disabledClasses : nonDisabledClasses, className);
  return /*#__PURE__*/_react["default"].createElement(_ButtonBase.ButtonBase, _extends({
    className: classes,
    loaderTypes: ["white"],
    disabled: disabled,
    connectedRight: connectedRight
  }, rest), children);
}
ButtonPrimaryDanger.defaultProps = _common.defaultProps;
ButtonPrimaryDanger.sizes = _common.sizes;
//# sourceMappingURL=ButtonPrimaryDanger.js.map