"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Calendar = Calendar;
var _react = _interopRequireDefault(require("react"));
var _reactDayPicker = require("react-day-picker");
var _classnames = _interopRequireDefault(require("classnames"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function Calendar(_ref) {
  var onDayClick = _ref.onDayClick,
    selectedDay = _ref.selectedDay,
    className = _ref.className,
    _ref$enableWeekendDay = _ref.enableWeekendDays,
    enableWeekendDays = _ref$enableWeekendDay === void 0 ? false : _ref$enableWeekendDay,
    _ref$containerClassNa = _ref.containerClassName,
    containerClassName = _ref$containerClassNa === void 0 ? "" : _ref$containerClassNa,
    today = _ref.today;
  var classes = (0, _classnames["default"])("gui-calendar", className);
  var containerClasses = (0, _classnames["default"])("gui-calendar-container", containerClassName);
  var modifiers = {
    past: function past(day) {
      return day < today;
    }
  };
  if (enableWeekendDays === false) {
    // @ts-expect-error TS(2339): Property 'weekend' does not exist on type '{ past:... Remove this comment to see the full error message
    modifiers.weekend = {
      daysOfWeek: [0, 6]
    };
  }
  var weekdayText = ["SUN", "MON", "TUE", "WED", "THU", "FRI", "SAT"];
  var getDayOfWeekLabel = function getDayOfWeekLabel(dateObject) {
    var dayOfWeekNumber = dateObject.getDay();
    return weekdayText[dayOfWeekNumber];
  };
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: containerClasses
  }, /*#__PURE__*/_react["default"].createElement(_reactDayPicker.DayPicker, {
    mode: "single",
    className: classes,
    modifiers: modifiers
    // @ts-expect-error TS(2322): Type '{ mode: "single"; className: string; modifie... Remove this comment to see the full error message
    ,
    firstDayOfWeek: 1,
    weekdaysShort: weekdayText,
    onDayClick: onDayClick,
    selected: selectedDay || today,
    defaultMonth: selectedDay,
    showOutsideDays: true,
    today: today,
    formatters: {
      formatWeekdayName: function formatWeekdayName(dateObject) {
        return getDayOfWeekLabel(dateObject);
      }
    },
    modifiersClassNames: {
      past: "rdp-day_past"
    },
    captionLayout: "buttons"
  }));
}
//# sourceMappingURL=Calendar.js.map