"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InventoryItem = InventoryItem;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("../../..");
var _excluded = ["isPreviewActive", "isPreview", "iconName", "className", "tooltipClassName", "tooltipText", "tooltipPlacement", "id"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function InventoryItem(_ref) {
  var isPreviewActive = _ref.isPreviewActive,
    isPreview = _ref.isPreview,
    iconName = _ref.iconName,
    className = _ref.className,
    tooltipClassName = _ref.tooltipClassName,
    tooltipText = _ref.tooltipText,
    tooltipPlacement = _ref.tooltipPlacement,
    id = _ref.id,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classNames = (0, _classnames["default"])("gui-inventory-item ".concat(className), {
    "gui-inventory-item-preview-active": isPreviewActive,
    // change classname and styles
    "gui-inventory-item-preview": isPreview
  });
  if (isPreviewActive) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: classNames
    });
  }
  return /*#__PURE__*/_react["default"].createElement(_.TooltipWrapper, {
    id: id || "inventory-tooltip-".concat(iconName),
    tooltipText: tooltipText,
    placement: tooltipPlacement,
    wrapperClassName: tooltipClassName
  }, /*#__PURE__*/_react["default"].createElement(_.ButtonIconContained, _extends({
    name: iconName,
    size: _.ButtonIconContained.sizes.lg,
    className: classNames
  }, rest)));
}
InventoryItem.defaultProps = {
  isPreviewActive: false,
  isPreview: false,
  className: "",
  tooltipClassName: "",
  tooltipText: "",
  tooltipPlacement: "right",
  id: ""
};
//# sourceMappingURL=InventoryItem.js.map