"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MenuItem = MenuItem;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _excluded = ["href", "tabIndex", "active", "divider", "disabled", "onSelect", "eventKey", "className", "children"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function MenuItem(_ref) {
  var href = _ref.href,
    tabIndex = _ref.tabIndex,
    active = _ref.active,
    divider = _ref.divider,
    disabled = _ref.disabled,
    onSelect = _ref.onSelect,
    eventKey = _ref.eventKey,
    className = _ref.className,
    children = _ref.children,
    rest = _objectWithoutProperties(_ref, _excluded);
  var onClick = function onClick(e) {
    if (!href || disabled) {
      e.preventDefault();
    }
    if (!disabled) {
      onSelect(eventKey, e);
    }
  };
  var classes = (0, _classnames["default"])("gui-menu-item", className, {
    "gui-disabled": disabled,
    "gui-divider": divider,
    "gui-active": active
  });
  if (divider) {
    return /*#__PURE__*/_react["default"].createElement("li", {
      className: classes,
      role: "separator"
    });
  }
  return /*#__PURE__*/_react["default"].createElement("li", _extends({
    role: "presentation",
    className: classes
  }, rest), /*#__PURE__*/_react["default"].createElement("a", {
    href: href,
    role: "menuitem",
    tabIndex: tabIndex,
    onClick: onClick
  }, children));
}
MenuItem.defaultProps = {
  tabIndex: -1,
  className: "",
  onSelect: function onSelect() {}
};
//# sourceMappingURL=MenuItem.js.map