"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OptionMenuItem = OptionMenuItem;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("../../..");
var _excluded = ["children", "meta", "active", "danger", "className"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function OptionMenuItem(_ref) {
  var children = _ref.children,
    meta = _ref.meta,
    active = _ref.active,
    danger = _ref.danger,
    className = _ref.className,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classes = (0, _classnames["default"])("gui-option-menu-item ".concat(className), {
    "gui-option-menu-item-active": active,
    "gui-option-menu-item-danger": danger,
    "gui-option-menu-item-has-meta": !!meta
  });
  return /*#__PURE__*/_react["default"].createElement("button", _extends({
    className: classes,
    role: "option",
    "aria-selected": active,
    type: "button"
  }, rest), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-option-menu-item-content"
  }, children), active && /*#__PURE__*/_react["default"].createElement(_.Icon, {
    name: "tick16",
    types: ["primary-blue"],
    className: "gui-option-menu-item-tick"
  }), !!meta && /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-option-menu-item-meta"
  }, meta));
}
//# sourceMappingURL=OptionMenuItem.js.map