"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RenameInput = RenameInput;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _v = _interopRequireDefault(require("uuid/v1"));
var _RenameInputForm = require("./RenameInputForm");
var _common = require("./common");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; } // @ts-expect-error TS(7016): Could not find a declaration file for module 'uuid... Remove this comment to see the full error message
function RenameInput(_ref) {
  var text = _ref.text,
    title = _ref.title,
    label = _ref.label,
    onRename = _ref.onRename,
    onEmpty = _ref.onEmpty,
    id = _ref.id,
    multiline = _ref.multiline,
    size = _ref.size,
    className = _ref.className,
    placeholder = _ref.placeholder,
    formClass = _ref.formClass,
    maxLength = _ref.maxLength;
  var _useState = (0, _react.useState)(false),
    _useState2 = _slicedToArray(_useState, 2),
    isEditing = _useState2[0],
    setIsEditing = _useState2[1];
  var classes = (0, _classnames["default"])("gui-rename-input-text ".concat(className), {
    "gui-rename-input-text-md": size === _common.sizes.md,
    "gui-rename-input-text-lrg": size === _common.sizes.lrg,
    "gui-rename-input-multiline": multiline
  });
  if (isEditing) {
    return /*#__PURE__*/_react["default"].createElement(_RenameInputForm.RenameInputForm, {
      stopEditing: function stopEditing() {
        return setIsEditing(false);
      },
      onRename: onRename,
      onEmpty: onEmpty,
      label: label,
      id: id,
      text: text,
      multiline: multiline,
      classes: classes,
      title: title,
      placeholder: placeholder,
      formClass: formClass,
      maxLength: maxLength
    });
  }
  return /*#__PURE__*/_react["default"].createElement("button", {
    className: "".concat(classes, " rename-input"),
    onClick: function onClick() {
      return setIsEditing(true);
    },
    type: "button"
  }, text);
}
RenameInput.defaultProps = {
  size: _common.sizes.md,
  placeholder: "Enter a new value",
  className: "",
  formClass: "",
  id: "rename-input-".concat((0, _v["default"])()),
  maxLength: null
};
RenameInput.sizes = _common.sizes;
//# sourceMappingURL=RenameInput.js.map