"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RenameInputForm = RenameInputForm;
var _react = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function RenameInputForm(_ref) {
  var stopEditing = _ref.stopEditing,
    onRename = _ref.onRename,
    onEmpty = _ref.onEmpty,
    label = _ref.label,
    text = _ref.text,
    id = _ref.id,
    multiline = _ref.multiline,
    classes = _ref.classes,
    placeholder = _ref.placeholder,
    formClass = _ref.formClass,
    maxLength = _ref.maxLength;
  var _useState = (0, _react.useState)(text),
    _useState2 = _slicedToArray(_useState, 2),
    value = _useState2[0],
    setValue = _useState2[1];
  var handleSubmit = function handleSubmit(e) {
    e.preventDefault();
    if (value.trim() !== "") {
      onRename(value);
    } else if (onEmpty) {
      onEmpty();
    }
    stopEditing();
  };
  var handleOnChange = function handleOnChange(e) {
    setValue(e.target.value);
  };
  var handleKeyDown = function handleKeyDown(e) {
    var isEscKey = e.keyCode === 27;
    var isEnterKey = e.keyCode === 13;
    if (isEscKey) {
      stopEditing();
    }
    if (isEnterKey) {
      handleSubmit(e);
    }
  };
  var InputType = multiline ? "textarea" : "input";
  return /*#__PURE__*/_react["default"].createElement("form", {
    onSubmit: handleSubmit,
    className: "gui-rename-input-form ".concat(formClass)
  }, /*#__PURE__*/_react["default"].createElement("label", {
    htmlFor: id,
    className: "hidden"
  }, label), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-rename-input-size-helper ".concat(classes),
    "aria-hidden": "true"
  }, value || placeholder), /*#__PURE__*/_react["default"].createElement(InputType, {
    value: value,
    onChange: handleOnChange,
    autoFocus: true,
    onKeyDown: handleKeyDown,
    id: id,
    onBlur: handleSubmit,
    className: "".concat(classes),
    placeholder: placeholder,
    onFocus: function onFocus(e) {
      return e.target.select();
    },
    maxLength: maxLength
  }));
}
//# sourceMappingURL=RenameInputForm.js.map