"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RevisionListStatus = RevisionListStatus;
var _react = _interopRequireDefault(require("react"));
var _statusIndicatorCircle = require("../statusIndicatorCircle/statusIndicatorCircle");
var _Icon = _interopRequireDefault(require("../../../Icon"));
var _TooltipWrapper = _interopRequireDefault(require("../../../TooltipWrapper"));
var _excluded = ["oldStatusColour", "oldStatusName", "statusName", "statusColour", "className"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function RevisionListStatus(_ref) {
  var oldStatusColour = _ref.oldStatusColour,
    oldStatusName = _ref.oldStatusName,
    statusName = _ref.statusName,
    statusColour = _ref.statusColour,
    _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: "".concat(className, " gui-revision-list-status")
  }, rest), !!oldStatusColour && !!oldStatusName && /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-revision-list-old-status mr-2"
  }, /*#__PURE__*/_react["default"].createElement(_TooltipWrapper["default"], {
    tooltipText: oldStatusName
  }, /*#__PURE__*/_react["default"].createElement(_statusIndicatorCircle.StatusIndicatorCircle, {
    color: oldStatusColour,
    solid: true,
    className: "mr-2"
  })), /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: "arrowRight16",
    defaultFillColor: false,
    defaultActiveColor: false
  })), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-revision-list-current-status"
  }, /*#__PURE__*/_react["default"].createElement(_TooltipWrapper["default"], {
    tooltipText: statusName
  }, /*#__PURE__*/_react["default"].createElement(_statusIndicatorCircle.StatusIndicatorCircle, {
    color: statusColour,
    solid: true,
    className: "mr-2"
  }), /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-revision-list-status-name"
  }, statusName))));
}
//# sourceMappingURL=RevisionListStatus.js.map