"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StatusIndicatorCircle = StatusIndicatorCircle;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Icon = _interopRequireDefault(require("../../../Icon"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function StatusIndicatorCircle(_ref) {
  var color = _ref.color,
    icon = _ref.icon,
    solid = _ref.solid,
    thickBorder = _ref.thickBorder,
    _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className;
  var classes = (0, _classnames["default"])("gui-status-indicator-circle", className, {
    "gui-duration-100": thickBorder,
    "gui-duration-300": !thickBorder
  });
  var boxShadow = "inset 0px 0px 0px ".concat(thickBorder ? "4" : "2", "px ").concat(color);
  var addedStyles = {
    backgroundColor: solid ? color : "transparent",
    boxShadow: boxShadow
  };
  return /*#__PURE__*/_react["default"].createElement("span", {
    style: addedStyles,
    className: classes
  }, icon && solid ? /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: icon,
    types: ["white"],
    defaultActiveColor: false
  }) : null);
}
//# sourceMappingURL=statusIndicatorCircle.js.map