"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AssigneeDropdown = AssigneeDropdown;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("../../..");
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
var _faker = _interopRequireDefault(require("faker"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); } // @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
// @ts-expect-error TS(7016): Could not find a declaration file for module 'fake... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Dropdowns/Assignee Dropdown",
  component: _.AssigneeDropdown,
  args: {
    search: ""
  }
};
function AssigneeDropdown(args) {
  var getPerson = function getPerson() {
    return {
      name: _faker["default"].name.findName(),
      subtitle: _faker["default"].internet.email(),
      avatarUrl: _faker["default"].image.avatar(),
      selected: _faker["default"].random["boolean"](),
      pending: false
    };
  };
  var assigned = [_objectSpread(_objectSpread({}, getPerson()), {}, {
    pending: true
  }), getPerson(), getPerson()];
  var unassigned = [_objectSpread(_objectSpread({}, getPerson()), {}, {
    pending: true
  }), getPerson(), getPerson(), getPerson(), getPerson()];
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "AssigneeDropdownComponent",
    description: "A prefab for an assignee dropdown"
  }, /*#__PURE__*/_react["default"].createElement(_.AssigneeDropdown, {
    id: "assignee-dropdown-prefab",
    searchValue: args.search
  }, /*#__PURE__*/_react["default"].createElement(_.DropdownContent.List, {
    heading: "ASSIGNED"
  }, assigned.map(function (assignee) {
    return /*#__PURE__*/_react["default"].createElement(_.Person, {
      key: assignee.name,
      name: assignee.name,
      subtitle: assignee.subtitle,
      avatarUrl: assignee.avatarUrl,
      selected: assignee.selected,
      pending: assignee.pending,
      interactive: true,
      bordered: true
    });
  })), /*#__PURE__*/_react["default"].createElement(_.DropdownContent.List, {
    heading: "UNASSIGNED"
  }, unassigned.map(function (unassignee) {
    return /*#__PURE__*/_react["default"].createElement(_.Person, {
      key: unassignee.name,
      name: unassignee.name,
      subtitle: unassignee.subtitle,
      avatarUrl: unassignee.avatarUrl,
      selected: unassignee.selected,
      pending: unassignee.pending,
      interactive: true,
      bordered: true
    });
  }))));
}
//# sourceMappingURL=AssigneeDropdown.stories.js.map