"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FileCard = FileCard;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("../../../..");
var _excluded = ["preview", "meta", "controls", "insetMeta", "children", "size", "innerClassName"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function FileCard(_ref) {
  var preview = _ref.preview,
    meta = _ref.meta,
    controls = _ref.controls,
    insetMeta = _ref.insetMeta,
    children = _ref.children,
    size = _ref.size,
    innerClassName = _ref.innerClassName,
    cardProps = _objectWithoutProperties(_ref, _excluded);
  var cardClassNames = (0, _classnames["default"])("gui-file-card group", cardProps.className, {
    "w-full": size !== "thumbnail",
    "w-8 h-8": size === "thumbnail",
    "gui-file-card-inset-meta": insetMeta
  });
  return /*#__PURE__*/_react["default"].createElement(_.Card, _extends({}, cardProps, {
    className: cardClassNames,
    innerClassNames: "relative overflow-hidden rounded ".concat(innerClassName)
  }), /*#__PURE__*/_react["default"].createElement(_.Card.Content, {
    className: "p-0"
  }, preview), meta && /*#__PURE__*/_react["default"].createElement(_.Card.Content, {
    className: "gui-file-card-meta"
  }, meta), controls && /*#__PURE__*/_react["default"].createElement(_.Card.Controls, null, controls), children);
}
FileCard.defaultProps = {
  insetMeta: false,
  meta: null,
  controls: null,
  preview: null
};
//# sourceMappingURL=FileCard.js.map