"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FileCard = FileCard;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("../../../..");
var _v = _interopRequireDefault(require("uuid/v1"));
var _StoryItem = _interopRequireDefault(require("../../../../../stories/styleguide/StoryItem"));
var _ConfirmationOverlay = _interopRequireDefault(require("../../../../ConfirmationOverlay"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; } // @ts-expect-error TS(7016): Could not find a declaration file for module 'uuid... Remove this comment to see the full error message
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Cards/File Card",
  component: _.FileCard,
  args: {
    insetMeta: false,
    previewFailedToLoad: false,
    interactive: false,
    selected: false,
    highlighted: false,
    active: false,
    added: false,
    removed: false,
    disabled: false,
    showLoader: false,
    imgHeight: 500,
    imgWidth: 500
  }
};
function FileCard(args) {
  var onClick = args.interactive ? function () {} : null;
  var controls = /*#__PURE__*/_react["default"].createElement(_.Controls, {
    animateFromTop: true
  }, /*#__PURE__*/_react["default"].createElement(_.Controls.Control, {
    iconName: "commentsMulti16",
    onClick: function onClick() {}
  }), /*#__PURE__*/_react["default"].createElement(_.Controls.Control, {
    iconName: "commentsMulti16",
    onClick: function onClick() {}
  }), /*#__PURE__*/_react["default"].createElement(_.Controls.Control, {
    iconName: "commentsMulti16",
    onClick: function onClick() {}
  }), /*#__PURE__*/_react["default"].createElement(_.Controls.Control, {
    iconName: "commentsMulti16",
    onClick: function onClick() {}
  }), /*#__PURE__*/_react["default"].createElement(_.Controls.Control, {
    iconName: "commentsMulti16",
    onClick: function onClick() {}
  }));
  var previewSrc = args.previewFailedToLoad ? "http://fail" : "http://placeimg.com/".concat(args.imgWidth, "/").concat(args.imgHeight, "/animals");
  function Preview(_ref) {
    var children = _ref.children,
      loader = _ref.loader;
    return /*#__PURE__*/_react["default"].createElement(_.PreviewImage, {
      src: previewSrc,
      altText: "preview image",
      title: "preview image",
      loader: loader,
      showLoader: args.showLoader
    }, children);
  }
  var meta = /*#__PURE__*/_react["default"].createElement(_.Meta, null, /*#__PURE__*/_react["default"].createElement(_.Meta.Heading, null, /*#__PURE__*/_react["default"].createElement("h3", {
    className: "text-inherit m-0"
  }, /*#__PURE__*/_react["default"].createElement("a", {
    href: "/",
    className: "text-inherit no-underline hover:underline"
  }, "Flower.jpg"))), /*#__PURE__*/_react["default"].createElement(_.Meta.Text, null, /*#__PURE__*/_react["default"].createElement("p", {
    className: "text-inherit m-0"
  }, "Uploaded one week ago")), /*#__PURE__*/_react["default"].createElement(_.Meta.Footer, null, /*#__PURE__*/_react["default"].createElement(_.Pill, {
    type: "purple",
    size: "xs",
    className: "mr-2"
  }, "JPG"), "1.4 MB"));
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "FileCard",
    description: "A card component which utilises the Preview, Meta and Control modules to display a file."
  }, /*#__PURE__*/_react["default"].createElement("ul", {
    className: "list-none grid p-0 m-0 tw grid-cols-2 sm:grid-cols-3 md:grid-cols-4 gap-4"
  }, _toConsumableArray(new Array(4)).map(function () {
    return /*#__PURE__*/_react["default"].createElement("li", {
      key: "file-card-".concat((0, _v["default"])())
    }, /*#__PURE__*/_react["default"].createElement(_.FileCard, _extends({
      preview: /*#__PURE__*/_react["default"].createElement(Preview, null),
      controls: controls,
      meta: args.insetMeta && args.disabled ? null : meta,
      onClick: onClick
    }, args), args.disabled && /*#__PURE__*/_react["default"].createElement(_ConfirmationOverlay["default"], {
      confirmationText: "Delete",
      confirm: function confirm() {},
      cancel: function cancel() {},
      show: true
    })));
  }))), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "FileCard (thumbnail usage)",
    description: "A card component which utilises the thumbnail size to display a file at a reduced size."
  }, /*#__PURE__*/_react["default"].createElement(_.FileCard, {
    size: "thumbnail",
    preview: /*#__PURE__*/_react["default"].createElement(Preview, {
      loader: /*#__PURE__*/_react["default"].createElement(_.Loader, {
        size: "sm"
      })
    })
  })), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "FileCard (loading usage)",
    description: "A card component which represents a loading file."
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "w-32 h-32"
  }, /*#__PURE__*/_react["default"].createElement(_.FileCard, {
    className: "h-full",
    innerClassName: "h-full"
  }, /*#__PURE__*/_react["default"].createElement(_.Loader, {
    size: "sm",
    className: "h-full"
  })))));
}
//# sourceMappingURL=FileCard.stories.js.map